using Kentico.CMS.DataEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class EventLogDetails : System.Web.UI.Page { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnClose; 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventTime; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblSource; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventCode; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblIPAddress; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblNodeID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblNodeName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventDescription; 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventIDValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventTypeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventTimeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblSourceValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventCodeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserIDValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserNameValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblIPAddressValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblNodeIDValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblNodeNameValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEventDescriptionValue; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // Check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.Administration", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.Administration", "Read" ); 
                return; 
            } 
            
            lblHeader.Text = ResMan.GetString( "EventLogDetails.Header" ); 
            
            // Set table labels
            lblEventID.Text = ResMan.GetString( "EventLogDetails.EventID" ); 
            lblEventType.Text = ResMan.GetString( "EventLogDetails.EventType" ); 
            lblEventTime.Text = ResMan.GetString( "EventLogDetails.EventTime" ); 
            lblSource.Text = ResMan.GetString( "EventLogDetails.Source" ); 
            lblEventCode.Text = ResMan.GetString( "EventLogDetails.EventCode" ); 
            lblUserID.Text = ResMan.GetString( "EventLogDetails.UserID" ); 
            lblUserName.Text = ResMan.GetString( "EventLogDetails.UserName" ); 
            lblIPAddress.Text = ResMan.GetString( "EventLogDetails.IPAddress" ); 
            lblNodeID.Text = ResMan.GetString( "EventLogDetails.NodeID" ); 
            lblNodeName.Text = ResMan.GetString( "EventLogDetails.NodeName" ); 
            lblEventDescription.Text = ResMan.GetString( "EventLogDetails.EventDescription" ); 
            
            // Set button
            btnClose.Text = ResMan.GetString( "EventLogDetails.Close" ); 
            btnClose.Attributes.Add( "onclick", "window.close();" ); 
            
            // Get EventID value
            int eventID = int.Parse( "" + Request.QueryString[ "id" ] ); 
            
            // Select specified event
            DataClass eventRecord = new DataClass( "CMS.EventLog", eventID, new GeneralConnection( Functions.GetConnectionString() ) ); 
            
            if ( eventRecord.IsEmpty() == false ) { 
                string eventType = System.Convert.ToString( eventRecord.GetValue( "EventType" ) ) + ""; 
                
                // Rewrite event type text.
                switch ( eventType.ToUpper() ) {
                    case "I":
                        lblEventTypeValue.Text = ResMan.GetString( "EventLogList.EventTypeInformation" ); 
                        break;
                    case "E":
                        lblEventTypeValue.Text = ResMan.GetString( "EventLogList.EventTypeError" ); 
                        break;
                    case "W":
                        lblEventTypeValue.Text = ResMan.GetString( "EventLogList.EventTypeWarning" ); 
                        break;
                }
                
                
                lblEventIDValue.Text = System.Convert.ToString( eventRecord.GetValue( "EventID" ) ); 
                lblEventTimeValue.Text = System.Convert.ToString( eventRecord.GetValue( "EventTime" ) ); 
                lblSourceValue.Text = System.Convert.ToString( eventRecord.GetValue( "Source" ) ); 
                lblEventCodeValue.Text = System.Convert.ToString( eventRecord.GetValue( "EventCode" ) ); 
                lblUserIDValue.Text = System.Convert.ToString( eventRecord.GetValue( "UserID" ) ); 
                lblUserNameValue.Text = System.Convert.ToString( eventRecord.GetValue( "UserName" ) ); 
                lblIPAddressValue.Text = System.Convert.ToString( eventRecord.GetValue( "IPAddress" ) ); 
                lblNodeIDValue.Text = System.Convert.ToString( eventRecord.GetValue( "NodeID" ) ); 
                lblNodeNameValue.Text = System.Convert.ToString( eventRecord.GetValue( "NodeNamePath" ) ); 
                lblEventDescriptionValue.Text = System.Convert.ToString( eventRecord.GetValue( "EventDescription" ) ); 
            } 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
