<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EditRoleUsers.aspx.cs" Inherits="Kentico.CMS.CMSDesk.EditRoleUsers" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>EditRoleUsers</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/Administration/Users/Manage_Role_Users" RootPath="../.."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<br>
			<table width="98%">
				<tr>
					<td align="left"><asp:Label id="lblUsersHeader" runat="server"></asp:Label></td>
					<td align="right">
						<asp:Literal id="ltlButtonAddUser" runat="server"></asp:Literal></td>
				</tr>
			</table>
			<br>
			<cc1:QueryDataGrid id="Querydatagrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="UserName" CellPadding="0" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<itemtemplate>
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;UserID&quot;) %>">
							</asp:ImageButton>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="UserName" SortExpression="UserName" HeaderText="User Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="FullName" SortExpression="FullName" HeaderText="Full Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="Email" SortExpression="Email" HeaderText="E-mail">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc1:QueryDataGrid>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal><BR>
			<asp:Button id="btnOK" runat="server" CssClass="FormButton" Width="176px"></asp:Button>&nbsp;
		</form>
		<script language="javascript">
				function ConfirmDelete()
				{
				  if (confirm(document.getElementById('confirmationText').value) == true)
					return true;
				  else
					return false;
				}
				
				function AddUser(id)
				{
				  var openWindow = window.open('AddUser.aspx?roleid=' + id, 'addRole', 'height=400,width=400,left=250,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
				  openWindow.focus();
				}

				function GoBack()
				{
					document.location.href = 'RoleList.aspx';					
				}
		</script>
		<asp:Literal id="ltlScript" runat="server"></asp:Literal>
	</body>
</HTML>
