using Kentico.CMS.DataEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class EditUser : System.Web.UI.Page { 
        
        protected int UserID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPreferredUICultureCode; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblStartingAliasPath; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtStartingAliasPath; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPreferredUICultureCode; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPreferredContentCultureCode; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPreferredContentCultureCode; 
        private const string cMaskPassword = "?!?!?!?!?!"; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblError; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFullName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFirstName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblMiddleName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblLastName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserIDValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtUserName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtFullName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtFirstName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtMiddleName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtLastName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblEmail; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtEmail; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPassword; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPassword; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPassword2; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPassword2; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            GeneralConnection cn = null; 
            DataClass userObj = null; 
            
            if ( "" + Request.QueryString[ "id" ] + "" != "" ) { 
                // check permissions
                if ( !( Functions.IsAuthorizedPerResource( "CMS.Administration", "Modify" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.Administration", "Modify" ); 
                    return; 
                } 
                UserID = int.Parse( "" + Request.QueryString[ "id" ] ); 
            } 
            else { 
                // check permissions
                if ( !( Functions.IsAuthorizedPerResource( "CMS.Administration", "Create" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.Administration", "Create" ); 
                    return; 
                } 
                UserID = 0; 
            } 
            
            lblError.Text = ""; 
            lblError.Visible = false; 
            lblInfo.Text = ""; 
            lblInfo.Visible = false; 
            lblHeader.Text = ResMan.GetString( "EditUser.Header" ); 
            lblUserID.Text = ResMan.GetString( "EditUser.UserID" ); 
            lblUserName.Text = ResMan.GetString( "EditUser.UserName" ); 
            lblFirstName.Text = ResMan.GetString( "EditUser.FirstName" ); 
            lblMiddleName.Text = ResMan.GetString( "EditUser.MiddleName" ); 
            lblLastName.Text = ResMan.GetString( "EditUser.LastName" ); 
            lblEmail.Text = ResMan.GetString( "EditUser.Email" ); 
            lblFullName.Text = ResMan.GetString( "EditUser.FullName" ); 
            btnOK.Text = ResMan.GetString( "EditUser.OK" ); 
            btnCancel.Text = ResMan.GetString( "EditUser.Cancel" ); 
            lblPassword.Text = ResMan.GetString( "EditUser.Password" ); 
            lblPassword2.Text = ResMan.GetString( "EditUser.PasswordConfirm" ); 
            lblPreferredUICultureCode.Text = ResMan.GetString( "EditUser.PreferredUICultureCode" ); 
            lblStartingAliasPath.Text = ResMan.GetString( "EditUser.StartingAliasPath" ); 
            this.lblPreferredContentCultureCode.Text = ResMan.GetString( "EditUser.PreferredContentCultureCode" ); 
            
            if ( Page.IsPostBack == false & UserID != 0 ) { 
                // set user values
                cn = new GeneralConnection( Functions.GetConnectionString() ); 
                userObj = new DataClass( "CMS.User", UserID, cn ); 
                txtUserName.Text = System.Convert.ToString( userObj.GetValue( "UserName" ) ); 
                txtFirstName.Text = System.Convert.ToString( userObj.GetValue( "FirstName" ) ); 
                txtLastName.Text = System.Convert.ToString( userObj.GetValue( "LastName" ) ); 
                txtFullName.Text = System.Convert.ToString( userObj.GetValue( "FullName" ) ); 
                txtMiddleName.Text = System.Convert.ToString( userObj.GetValue( "MiddleName" ) ); 
                txtEmail.Text = System.Convert.ToString( userObj.GetValue( "Email" ) ); 
                lblUserIDValue.Text = System.Convert.ToString( userObj.GetValue( "UserID" ) ); 
                txtPassword.Attributes.Add( "value", cMaskPassword ); 
                txtPassword2.Attributes.Add( "value", cMaskPassword ); 
                txtPreferredUICultureCode.Text = System.Convert.ToString( userObj.GetValue( "PreferredUICultureCode" ) ); 
                txtPreferredContentCultureCode.Text = System.Convert.ToString( userObj.GetValue( "PreferredContentCultureCode" ) ); 
                txtStartingAliasPath.Text = System.Convert.ToString( userObj.GetValue( "StartingAliasPath" ) ); 
            } 
            else if ( UserID == 0 ) { 
                lblUserIDValue.Text = ResMan.GetString( "EditUser.NoUserIDValue" ); 
            } 
            
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            // validate input
            string errorMessage = ""; 
            GeneralConnection cn = null; 
            string[,] paramsIdent = new string[ 1, 3 ]; 
            DataRow userDR = null; 
            DataSet userNamesDS = null; 
            string infoMessage = null; 
            DataClass userObj = null; 
            
            if ( txtUserName.Text.Trim() + "" == "" ) { 
                errorMessage += ResMan.GetString( "EditUser.ErrorEmptyUserName" ) + " "; 
            } 
            if ( txtFullName.Text.Trim() + "" == "" ) { 
                errorMessage += ResMan.GetString( "EditUser.ErrorEmptyFullName" ) + " "; 
            } 
            if ( txtPassword.Text != txtPassword2.Text ) { 
                errorMessage += ResMan.GetString( "EditUser.ErrorPasswordConfirmation" ) + " "; 
                this.txtPassword.Text = ""; 
                this.txtPassword.Attributes.Remove( "value" ); 
                this.txtPassword2.Text = ""; 
                this.txtPassword2.Attributes.Remove( "value" ); 
            } 
            
            if ( errorMessage + "" == "" ) { 
                // check for existing user            
                paramsIdent[ 0, 0 ] = "@UserName"; 
                paramsIdent[ 0, 1 ] = txtUserName.Text.Trim(); 
                cn = new GeneralConnection( Functions.GetConnectionString() ); 
                cn.DataConnection.Open(); 
                
                userNamesDS = cn.ExecuteQuery( "CMS.User.SelectByUserName", paramsIdent ); 
                if ( UserID == 0 ) { 
                    if ( userNamesDS.Tables[ 0 ].Rows.Count > 0 ) { 
                        // user name already exists
                        errorMessage += ResMan.GetString( "EditUser.ErrorExistingUserName" ) + " "; 
                    } 
                } 
                else { 
                    foreach ( System.Data.DataRow transTemp0 in userNamesDS.Tables[ 0 ].Rows ) { 
                        userDR = transTemp0;  
                        if ( System.Convert.ToInt32( userDR[ "UserID" ] ) != UserID ) { 
                            // user name already exists
                            errorMessage += ResMan.GetString( "EditUser.ErrorExistingUserName" ) + " "; 
                        } 
                    }
                } 
                
                if ( errorMessage + "" == "" ) { 
                    // save user info
                    if ( UserID == 0 ) { 
                        // insert a new user
                        userObj = new DataClass( "CMS.User", cn ); 
                        userObj.SetValue( "UserName", txtUserName.Text ); 
                        userObj.SetValue( "FirstName", txtFirstName.Text ); 
                        userObj.SetValue( "MiddleName", txtMiddleName.Text ); 
                        userObj.SetValue( "LastName", txtLastName.Text ); 
                        userObj.SetValue( "FullName", txtFullName.Text ); 
                        userObj.SetValue( "Email", txtEmail.Text ); 
                        userObj.SetValue( "PreferredUICultureCode", txtPreferredUICultureCode.Text.Trim() ); 
                        userObj.SetValue( "PreferredContentCultureCode", txtPreferredContentCultureCode.Text.Trim() ); 
                        userObj.SetValue( "StartingAliasPath", txtStartingAliasPath.Text.Trim() ); 
                        if ( txtPassword.Text != cMaskPassword ) { 
                            userObj.SetValue( "UserPassword", txtPassword.Text ); 
                        } 
                        userObj.Insert(); 
                        Functions.LogEvent( "I", "CMS-Administration", "CREATEUSER", 0, "", txtUserName.Text ); 
                        txtUserName.Text = ""; 
                        txtFullName.Text = ""; 
                        txtFirstName.Text = ""; 
                        txtMiddleName.Text = ""; 
                        txtLastName.Text = ""; 
                        txtEmail.Text = ""; 
                        txtPassword.Text = cMaskPassword; 
                        txtPassword2.Text = cMaskPassword; 
                        txtPreferredUICultureCode.Text = ""; 
                        txtPreferredContentCultureCode.Text = ""; 
                        txtStartingAliasPath.Text = ""; 
                        infoMessage = ResMan.GetString( "EditUser.ChangesInserted" ); 
                    } 
                    else { 
                        // update an existing user
                        userObj = new DataClass( "CMS.User", UserID, cn ); 
                        userObj.SetValue( "UserName", txtUserName.Text ); 
                        userObj.SetValue( "FirstName", txtFirstName.Text ); 
                        userObj.SetValue( "MiddleName", txtMiddleName.Text ); 
                        userObj.SetValue( "LastName", txtLastName.Text ); 
                        userObj.SetValue( "FullName", txtFullName.Text ); 
                        userObj.SetValue( "Email", txtEmail.Text ); 
                        userObj.SetValue( "PreferredUICultureCode", txtPreferredUICultureCode.Text.Trim() ); 
                        userObj.SetValue( "PreferredContentCultureCode", txtPreferredContentCultureCode.Text.Trim() ); 
                        userObj.SetValue( "StartingAliasPath", txtStartingAliasPath.Text.Trim() ); 
                        if ( txtPassword.Text != cMaskPassword ) { 
                            userObj.SetValue( "UserPassword", txtPassword.Text ); 
                        } 
                        userObj.Update(); 
                        Functions.LogEvent( "I", "CMS-Administration", "UPDATEUSER", 0, "", txtUserName.Text ); 
                        infoMessage = ResMan.GetString( "EditUser.ChangesSaved" ); 
                        GoBack(); 
                    } 
                    HttpContext.Current.Session[ "CMSUserPreferredUICulture" ] = null; 
                    HttpContext.Current.Session[ "CMSPreferredCulture" ] = null; 
                    Functions.GetPreferredContentCultureCode(); 
                    Functions.GetPreferredUICulture(); 
                } 
                cn.DataConnection.Close(); 
            } 
            
            if ( errorMessage + "" != "" ) { 
                lblError.Text = errorMessage; 
                lblError.Visible = true; 
            } 
            if ( infoMessage + "" != "" ) { 
                lblInfo.Text = infoMessage; 
                lblInfo.Visible = true; 
            } 
        } 
        
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            GoBack(); 
        } 
        
        
        
        ///<summary>Returns user to the list of users.</summary>
        private void GoBack() { 
            ltlScript.Text = @"<script language=""javascript"">"; 
            ltlScript.Text += " GoBack(); "; 
            ltlScript.Text += "</script>"; 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
