<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EditUserRoles.aspx.cs" Inherits="Kentico.CMS.CMSDesk.EditUserRoles" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>EditUserRoles</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/Administration/Users/Manage_User_Roles" RootPath="../.."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
				<br>
				<table width="98%">
					<tr>
						<td align="left"><asp:Label id="lblRolesHeader" runat="server"></asp:Label></td>
						<td align="right">
							<asp:Literal id="ltlButtonAddRole" runat="server"></asp:Literal></td>
					</tr>
				</table>
				<br>
				<cc1:QueryDataGrid id="Querydatagrid1" runat="server" CssClass="RolesGrid" AutoGenerateColumns="False"
					AllowPaging="True" AllowSorting="True" SortField="RoleDisplayName" CellPadding="0" OnDeleteCommand="DeleteItem">
					<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
					<ItemStyle CssClass="ListingTableItem"></ItemStyle>
					<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn HeaderText="Action">
							<HeaderStyle Width="100px"></HeaderStyle>
							<ItemTemplate>
								<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;RoleID&quot;) %>">
								</asp:ImageButton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="RoleDisplayName" SortExpression="RoleDisplayName" HeaderText="Role">
							<HeaderStyle Width="90%"></HeaderStyle>
						</asp:BoundColumn>
					</Columns>
				</cc1:QueryDataGrid>
				<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal><BR>
				<asp:Button id="btnOK" runat="server" CssClass="FormButton" Width="176px"></asp:Button>
			&nbsp;
		</form>
		<script language="javascript">
				function ConfirmDelete()
				{
				  if (confirm(document.getElementById('confirmationText').value) == true)
					return true;
				  else
					return false;
				}
				
				function AddRole(id)
				{
				  var openWindow = window.open('AddRole.aspx?userid=' + id, 'addRole', 'height=400,width=400,left=250,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
				  openWindow.focus();
				}

				function GoBack()
				{
					document.location.href = 'UserList.aspx';					
				}
		</script>
		<asp:Literal id="ltlScript" runat="server"></asp:Literal></DIV>
	</body>
</HTML>
