using Kentico.CMS.TreeEngine; 
using Kentico.CMS.DataEngine; 
using Kentico.CMS; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class BrowseAndEditEmptyPage : System.Web.UI.Page { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlRefreshScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlEmptyScript; 
        protected /* TRANSINFO: WithEvents */ Kentico.CMS.skmMenuControl.Menu Menu2; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblCulture; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList lstCultures; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlDeleteScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlConfirmWindowClose; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        protected string closeAndUpdate; 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // set up menu
            Kentico.CMS.skmMenuControl.MenuItem newItem = null; 
            string idpath = "" + Request.QueryString[ "IDPath" ]; 
            TreeNode node = null; 
            TreeProvider tree = Functions.GetTreeProvider(); 
            string culture = "" + Request.QueryString[ "culture" ]; 
            if ( !( Page.IsPostBack ) ) { 
                ltlConfirmWindowClose.Text = @"<input id=""closeConfirmationText"" type=""hidden"" value=""" + Server.HtmlDecode( ResMan.GetString( "BrowseAndEditEmptyPage.ConfirmClose" ) ) + @""">"; 
            } 
            
            node = tree.SelectSingleNode( idpath, TreePathTypeEnum.IDPath ); 
            if ( Functions.UseMultilingualSupport() & culture + "" != "" ) { 
                string aliaspath = System.Convert.ToString( node.GetValue( "AliasPath" ) ); 
                node = tree.SelectSingleNode( "/" + culture + Functions.RemoveCultureFromAliasPath( aliaspath ), TreePathTypeEnum.AliasPath ); 
                if ( !( node == null ) ) { 
                    idpath = System.Convert.ToString( node.GetValue( "idpath" ) ); 
                } 
            } 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/view.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.View" ); 
            newItem.JavascriptCommand = "ChooseMode('view');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconView" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/edit.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Edit" ); 
            newItem.JavascriptCommand = "ChooseMode('edit');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconEdit" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/properties.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Properties" ); 
            newItem.JavascriptCommand = "ChooseMode('properties');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconProperties" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            // create menu for versioning
            if ( ConfigurationSettings.AppSettings[ "CMSUseCheckinCheckout" ] != "false" ) { 
                newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
                newItem.Image = "../Design/Buttons/lock.gif"; 
                newItem.MouseOverImage = newItem.Image; 
                newItem.ToolTip = ResMan.GetString( "ContentMenu.Lock" ); 
                newItem.JavascriptCommand = "ChooseMode('lock');"; 
                newItem.ImageAltText = newItem.ToolTip; 
                newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconLock" ); 
                newItem.MouseOverCssClass = "MenuItemOver"; 
                newItem.CssClass = "MenuItemTD"; 
                Menu2.Items.Add( newItem ); 
            } 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/history.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.History" ); 
            newItem.JavascriptCommand = "ChooseMode('history');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconHistory" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/publish.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Publish" ); 
            newItem.JavascriptCommand = "ChooseMode('publish');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconPublish" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            if ( ( Functions.IsAuthorizedPerNode( idpath, TreePathTypeEnum.IDPath, NodePermissionsEnum.ModifyPermissions ) | Functions.IsAuthorizedPerResource( "CMS.Content", "modifypermissions" ) ) ) { 
                newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
                newItem.Image = "../Design/Buttons/permissions.gif"; 
                newItem.MouseOverImage = newItem.Image; 
                newItem.ToolTip = ResMan.GetString( "ContentMenu.Permissions" ); 
                newItem.JavascriptCommand = "ChooseMode('permissions');"; 
                newItem.ImageAltText = newItem.ToolTip; 
                newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconPermissions" ); 
                newItem.MouseOverCssClass = "MenuItemOver"; 
                newItem.CssClass = "MenuItemTD"; 
                Menu2.Items.Add( newItem ); 
            } 
            
            if ( Functions.GetConfigValue( "CMSEnableRelationships" ).ToLower().Trim() != "false" ) { 
                newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
                newItem.Image = "../Design/Buttons/relationships.gif"; 
                newItem.MouseOverImage = newItem.Image; 
                newItem.ToolTip = ResMan.GetString( "ContentMenu.Relationships" ); 
                newItem.JavascriptCommand = "ChooseMode('relationships');"; 
                newItem.ImageAltText = newItem.ToolTip; 
                newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconRelationships" ); 
                newItem.MouseOverCssClass = "MenuItemOver"; 
                newItem.CssClass = "MenuItemTD"; 
                Menu2.Items.Add( newItem ); 
            } 
            
            Menu2.Cursor = Kentico.CMS.skmMenuControl.MouseCursor.Pointer; 
            Menu2.Layout = Kentico.CMS.skmMenuControl.MenuLayout.Horizontal; 
            Menu2.CssClass = "ContentMenu"; 
            
            // select default mode
            switch ( "" + Request.QueryString[ "mode" ].ToLower().Trim() ) {
                case "view":
                    Menu2.HighlightedItemIndexByDefault = 0; 
                    break;
                case "edit":
                    Menu2.HighlightedItemIndexByDefault = 1; 
                    break;
                case "properties":
                    Menu2.HighlightedItemIndexByDefault = 2; 
                    break;
                case "lock":
                    Menu2.HighlightedItemIndexByDefault = 3; 
                    break;
                case "history":
                    if ( ConfigurationSettings.AppSettings[ "CMSUseCheckinCheckout" ] != "false" ) { 
                        Menu2.HighlightedItemIndexByDefault = 4; 
                    } 
                    else { 
                        Menu2.HighlightedItemIndexByDefault = 3; 
                    } 
                    break;
            }
            
            
            // render scripts according to versioning settings
            string classname = "" + Request.QueryString[ "classname" ] + ""; 
            if ( classname + "" == "" && !( ( node == null ) ) ) { 
                classname = node.ClassName; 
            } 
            DataRow classDR = ClassInformationProvider.GetClassRow( classname, tree ); 
            if ( System.Convert.ToBoolean( classDR[ "UseVersioning" ] ) & "" + Request.QueryString[ "mode" ].ToLower().Trim() != "delete" ) { 
                this.pnlRefreshScript.Visible = false; 
                this.pnlEmptyScript.Visible = true; 
            } 
            else { 
                this.pnlRefreshScript.Visible = true; 
                this.pnlEmptyScript.Visible = false; 
            } 
            
            // render client script for parent window update
            if ( "" + Request.QueryString[ "closeandupdate" ] == "1" ) { 
                closeAndUpdate = " + '&closeandupdate=1'"; 
                this.pnlRefreshScript.Visible = true; 
                this.pnlEmptyScript.Visible = false; 
            } 
            
            
            // multilingual support
            if ( Functions.UseMultilingualSupport() ) { 
                DataSet ds = null; 
                GeneralConnection cn = Functions.GetTreeProvider().Connection; 
                string preferredContentCultureCode = Functions.GetPreferredContentCultureCode(); 
                ListItem item = null; 
                string currentCulture = ""; 
                
                if ( !( Request.QueryString[ "culture" ] == null ) ) { 
                    currentCulture = "" + Request.QueryString[ "culture" ]; 
                } 
                
                ds = cn.ExecuteQuery( "cms.culture.selectbypath", null, "", " CultureDisplayName " ); 
                lstCultures.DataSource = ds.Tables[ 0 ]; 
                lstCultures.DataValueField = "CultureCode"; 
                lstCultures.DataTextField = "CultureDisplayName"; 
                lstCultures.DataBind(); 
                lstCultures.Attributes.Add( "onchange", "javascript:ChangeCulture();" ); 
                // select the default culture
                foreach ( System.Web.UI.WebControls.ListItem transTemp0 in lstCultures.Items ) { 
                    item = transTemp0;  
                    if ( item.Value.ToLower().Trim() == currentCulture.ToLower().Trim() ) { 
                        lstCultures.SelectedValue = item.Value; 
                    } 
                }
                lblCulture.Text = ResMan.GetString( "ContentMenu.CultureLabel" ); 
                lblCulture.Visible = true; 
                try { 
                    lstCultures.SelectedValue = preferredContentCultureCode; 
                } 
                catch ( Exception ex ) { 
                } 
            } 
            else { 
                this.lstCultures.Attributes.Add( "style", "display:none" ); 
                lblCulture.Visible = false; 
            } 
            
            ltlScript.Text = @"<script language=""JavaScript"">" + Constants.vbCrLf; 
            ltlScript.Text += " defaultMode = '" + "" + Request.QueryString[ "mode" ] + "';" + Constants.vbCrLf; 
            ltlScript.Text += " document.getElementById('viewmode').value = '" + "" + Request.QueryString[ "mode" ] + "'; "; 
            ltlScript.Text += "</script>" + Constants.vbCrLf; 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
