<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="DocumentPermissions.aspx.cs" Inherits="Kentico.CMS.CMSDesk.DocumentPermissions" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
		<title>DocumentPermissions</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%" id="Content">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/ManagingContent/Permissions"></uc1:helpicon></td>
				</tr>
			</table>
			<div style="FLOAT:left; WIDTH:10px;"></div>
			<div class="ContentLeftMargin" style="WIDTH:100%; padding-left: 1px;">
			<br>
			<asp:Label id="lblInheritanceInfo" runat="server"></asp:Label>
			<asp:Panel id="pnlPermissions" runat="server">
<TABLE width="100%">
  <TR vAlign=top>
    <TD width="50%">
<asp:LinkButton id=lnkInheritance runat="server"></asp:LinkButton><BR><BR><B>
<asp:label id=lblUsersRoles runat="server"></asp:label></B><BR>
      <TABLE class="PermissionsPanel" style="WIDTH: 300px" cellSpacing=0 
      cellPadding=3>
        <TR>
          <TD noWrap>
<asp:listbox id=lstOperators runat="server" Rows="15" Width="256px" style="width:256px" AutoPostBack="True"></asp:listbox></TD>
          <TD noWrap><BR>
<asp:Button id=btnAddOperator runat="server" CssClass="FormButton"></asp:Button><BR><BR>
<asp:Button id=btnRemoveOperator runat="server" CssClass="FormButton"></asp:Button></TD></TR></TABLE></TD>
    <TD><BR>
			<asp:label id="lblInfo" runat="server"></asp:label><BR><B>
<asp:label id=lblPermissions runat="server"></asp:label></B><BR>
      <TABLE class="PermissionsPanel" style="WIDTH: 250px" cellSpacing=0 
      cellPadding=2>
        <TR>
          <TD>&nbsp; </TD>
          <TD>
<asp:label id=lblAllow runat="server"></asp:label></TD>
          <TD>
<asp:label id=lblDeny runat="server"></asp:label></TD></TR>
        <TR>
          <TD 
          style="BORDER-TOP: black 1px solid; BORDER-BOTTOM: black 1px solid">
<asp:label id=lblFullControl runat="server"></asp:label></TD>
          <TD 
          style="BORDER-TOP: black 1px solid; BORDER-BOTTOM: black 1px solid">
<asp:checkbox id=chkFullControlAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD 
          style="BORDER-TOP: black 1px solid; BORDER-BOTTOM: black 1px solid">
<asp:checkbox id=chkFullControlDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblRead runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkReadAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkReadDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblModify runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkModifyAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkModifyDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblCreate runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkCreateAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkCreateDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblDelete runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkDeleteAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkDeleteDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblDestroy runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkDestroyAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkDestroyDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblExploreTree runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkExploreTreeAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkExploreTreeDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD>
<asp:label id=lblManagePermissions runat="server"></asp:label></TD>
          <TD>
<asp:checkbox id=chkManagePermissionsAllow runat="server" AutoPostBack="True"></asp:checkbox></TD>
          <TD>
<asp:checkbox id=chkManagePermissionsDeny runat="server" AutoPostBack="True"></asp:checkbox></TD></TR>
        <TR>
          <TD align=right colSpan=3>&nbsp;<BR>
<asp:Button id=btnOK runat="server" CssClass="FormButton"></asp:Button></TD></TR></TABLE></TD></TR></TABLE>
			</asp:Panel>
			<asp:Panel id="pnlInheritance" runat="server" Visible="False">
<asp:LinkButton id=lnkRestoreInheritance runat="server"></asp:LinkButton>
<asp:LinkButton id=lnkBreakWithCopy runat="server"></asp:LinkButton><BR>
<asp:LinkButton id=lnkBreakWithClear runat="server"></asp:LinkButton><BR><BR>
<asp:Button id=btnCancel runat="server" CssClass="FormButton"></asp:Button>
			</asp:Panel>
			<SPAN style="DISPLAY: none">
				<asp:TextBox id="txtUpdate" runat="server" AutoPostBack="True"></asp:TextBox>
				<asp:Button id="btnUpdate" runat="server" Text="Button"></asp:Button>
			</SPAN>
			</div>
		</form>
		<script language="javascript">
			function AddOperator(idPath)
			{
				var openWindow = window.open('DocumentPermissionsAddOperator.aspx?idpath=' + idPath, 'permissionDialog', 'height=350,width=400,left=250,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
				openWindow.focus();
				return false;
			}
		</script>
	</body>
</HTML>
