using Kentico.CMS.TreeEngine; 
using Kentico.CMS.DataEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class Menu : System.Web.UI.Page { 
        
        protected string ViewStyle = ""; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ Kentico.CMS.skmMenuControl.Menu Menu1; 
        protected /* TRANSINFO: WithEvents */ Kentico.CMS.skmMenuControl.Menu Menu2; 
        protected /* TRANSINFO: WithEvents */ Kentico.CMS.skmMenuControl.Menu Menu3; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlDeleteScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList lstCultures; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblCulture; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlStyle; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            Kentico.CMS.skmMenuControl.MenuItem newItem = null; 
            
            // create menu with basic operations
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/new.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.New" ); 
            newItem.JavascriptCommand = "NewItem();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconNew" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu1.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/delete.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Delete" ); 
            newItem.JavascriptCommand = "Delete();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconDelete" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu1.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/copy.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Copy" ); 
            newItem.JavascriptCommand = "CopyToClipBoard();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconCopy" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu1.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/cut.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Cut" ); 
            newItem.JavascriptCommand = "CutToClipBoard();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconCut" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu1.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/paste.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Paste" ); 
            newItem.JavascriptCommand = "Paste();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconPaste" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu1.Items.Add( newItem ); 
            
            Menu1.Cursor = Kentico.CMS.skmMenuControl.MouseCursor.Pointer; 
            Menu1.Layout = Kentico.CMS.skmMenuControl.MenuLayout.Horizontal; 
            Menu1.CssClass = "ContentMenu"; 
            
            // create menu for choosing mode
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/view.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Browse" ); 
            newItem.JavascriptCommand = "ChooseMode('view');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconBrowse" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/edit.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Edit" ); 
            newItem.JavascriptCommand = "ChooseMode('edit');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconEdit" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/listing.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Listing" ); 
            newItem.JavascriptCommand = "ChooseMode('listing');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconListing" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/properties.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Properties" ); 
            newItem.JavascriptCommand = "ChooseMode('properties');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconProperties" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            if ( ConfigurationSettings.AppSettings[ "CMSUseCheckinCheckout" ] != "false" ) { 
                // create menu for versioning
                newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
                newItem.Image = "../Design/Buttons/lock.gif"; 
                newItem.MouseOverImage = newItem.Image; 
                newItem.ToolTip = ResMan.GetString( "ContentMenu.Lock" ); 
                newItem.JavascriptCommand = "ChooseMode('lock');"; 
                newItem.ImageAltText = newItem.ToolTip; 
                newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconLock" ); 
                newItem.MouseOverCssClass = "MenuItemOver"; 
                newItem.CssClass = "MenuItemTD"; 
                Menu2.Items.Add( newItem ); 
            } 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/history.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.History" ); 
            newItem.JavascriptCommand = "ChooseMode('history');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconHistory" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/publish.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Publish" ); 
            newItem.JavascriptCommand = "ChooseMode('publish');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconPublish" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/permissions.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Permissions" ); 
            newItem.JavascriptCommand = "ChooseMode('permissions');"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconPermissions" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu2.Items.Add( newItem ); 
            
            if ( Functions.GetConfigValue( "CMSEnableRelationships" ).ToLower().Trim() != "false" ) { 
                newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
                newItem.Image = "../Design/Buttons/relationships.gif"; 
                newItem.MouseOverImage = newItem.Image; 
                newItem.ToolTip = ResMan.GetString( "ContentMenu.Relationships" ); 
                newItem.JavascriptCommand = "ChooseMode('relationships');"; 
                newItem.ImageAltText = newItem.ToolTip; 
                newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconRelationships" ); 
                newItem.MouseOverCssClass = "MenuItemOver"; 
                newItem.CssClass = "MenuItemTD"; 
                Menu2.Items.Add( newItem ); 
            } 
            
            Menu2.Cursor = Kentico.CMS.skmMenuControl.MouseCursor.Pointer; 
            Menu2.Layout = Kentico.CMS.skmMenuControl.MenuLayout.Horizontal; 
            Menu2.CssClass = "ContentMenu"; 
            
            Menu2.HighlightedItemIndexByDefault = 0; 
            
            // select appropriate mode button
            if ( ( !( Request.QueryString[ "ExpandMode" ] == null ) ) && Request.QueryString[ "ExpandMode" ] != "" ) { 
                switch ( "" + Request.QueryString[ "ExpandMode" ].ToLower().Trim() ) {
                    case "view":
                        Menu2.HighlightedItemIndexByDefault = 0; 
                        break;
                    case "edit":
                        Menu2.HighlightedItemIndexByDefault = 1; 
                        break;
                    case "properties":
                        Menu2.HighlightedItemIndexByDefault = 3; 
                        break;
                    case "lock":
                        Menu2.HighlightedItemIndexByDefault = 4; 
                        break;
                    case "publish":
                        Menu2.HighlightedItemIndexByDefault = 6; 
                        break;
                }
                
            } 
            
            //  create menu for search
            newItem = new Kentico.CMS.skmMenuControl.MenuItem(); 
            newItem.Image = "../Design/Buttons/search.gif"; 
            newItem.MouseOverImage = newItem.Image; 
            newItem.ToolTip = ResMan.GetString( "ContentMenu.Search" ); 
            newItem.JavascriptCommand = "Search();"; 
            newItem.ImageAltText = newItem.ToolTip; 
            newItem.Text = "<br>" + ResMan.GetString( "ContentMenu.IconSearch" ); 
            newItem.MouseOverCssClass = "MenuItemOver"; 
            newItem.CssClass = "MenuItemTD"; 
            Menu3.Items.Add( newItem ); 
            
            Menu3.Cursor = Kentico.CMS.skmMenuControl.MouseCursor.Pointer; 
            Menu3.Layout = Kentico.CMS.skmMenuControl.MenuLayout.Horizontal; 
            Menu3.CssClass = "ContentMenu"; 
            
            // multilingual support
            if ( Functions.UseMultilingualSupport() ) { 
                DataSet ds = null; 
                TreeProvider tree = Functions.GetTreeProvider(); 
                GeneralConnection cn = tree.Connection; 
                string preferredContentCultureCode = Functions.GetPreferredContentCultureCode(); 
                ListItem item = null; 
                string cultureCode = null; 
                if ( ( !( Request.QueryString[ "expandidpath" ] == null ) ) && Request.QueryString[ "expandidpath" ].Trim() != "" ) { 
                    TreeNode node = tree.SelectSingleNode( "" + Request.QueryString[ "expandidpath" ], TreePathTypeEnum.IDPath ); 
                    cultureCode = System.Convert.ToString( node.GetValue( "AliasPath" ) ).Split( '/' )[ 1 ]; 
                } 
                else { 
                    cultureCode = Functions.GetDefaultCulture(); 
                } 
                
                ds = cn.ExecuteQuery( "cms.culture.selectbypath", null, "", " CultureDisplayName " ); 
                lstCultures.DataSource = ds.Tables[ 0 ]; 
                lstCultures.DataValueField = "CultureCode"; 
                lstCultures.DataTextField = "CultureDisplayName"; 
                lstCultures.DataBind(); 
                lstCultures.Attributes.Add( "onchange", "javascript:ChangeCulture();" ); 
                // select the default culture
                foreach ( System.Web.UI.WebControls.ListItem transTemp0 in lstCultures.Items ) { 
                    item = transTemp0;  
                    if ( item.Value.ToLower().Trim() == cultureCode.ToLower().Trim() ) { 
                        lstCultures.SelectedValue = item.Value; 
                        HttpCookie CultureCookie = new HttpCookie( "CMSPreferredCulture" ); 
                        CultureCookie.Value = item.Value; 
                        CultureCookie.Path = "/"; 
                        CultureCookie.Expires = DateAndTime.Now.AddYears( 5 ); 
                        HttpContext.Current.Request.Cookies.Add( CultureCookie ); 
                    } 
                }
                lblCulture.Text = ResMan.GetString( "ContentMenu.CultureLabel" ); 
                lblCulture.Visible = true; 
            } 
            else { 
                this.lstCultures.Attributes.Add( "style", "display:none" ); 
                lblCulture.Visible = false; 
            } 
            
            string expandIDPath = "" + Request.QueryString[ "ExpandIDPath" ] + ""; 
            if ( expandIDPath + "" == "" ) { 
                expandIDPath = "/"; 
            } 
            ltlScript.Text = @"<script language=""JavaScript"">" + Constants.vbCrLf; 
            if ( ( !( "" + Request.QueryString[ "ExpandMode" ] == null ) ) && "" + Request.QueryString[ "ExpandMode" ].Trim() + "" != "" ) { 
                // Change selected tab item - in case of redirection from another page
                if ( !( IsPostBack ) ) { 
                    ltlScript.Text += " if ( top.frames['header'].selTabControlItem ) {" + Constants.vbCrLf; 
                    if ( !( ConfigurationSettings.AppSettings[ "CMSUseSiteModule" ] == null ) && ConfigurationSettings.AppSettings[ "CMSUseSiteModule" ].ToLower() == "true" ) { 
                        ltlScript.Text += "     top.frames['header'].selTabControlItem(2);" + Constants.vbCrLf; 
                    } 
                    else { 
                        ltlScript.Text += "     top.frames['header'].selTabControlItem(1);" + Constants.vbCrLf; 
                    } 
                    ltlScript.Text += " }" + Constants.vbCrLf; 
                } 
                ltlScript.Text += " document.getElementById('viewmode').value = '" + "" + Request.QueryString[ "ExpandMode" ] + "';" + Constants.vbCrLf; 
            } 
            ltlScript.Text += " parent.frames['tree'].document.location.href='tree.aspx?ExpandIDPath=" + expandIDPath + "'; " + Constants.vbCrLf; 
            ltlScript.Text += " defaultMode = '" + "" + Request.QueryString[ "ExpandMode" ] + "';" + Constants.vbCrLf; 
            ltlScript.Text += "</script>" + Constants.vbCrLf; 
            
            ViewStyle = "" + Request.QueryString[ "style" ]; 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
