using Kentico.CMS.TreeEngine; 
using Kentico.CMS.MetadataEngine; 
using Kentico.CMS.WorkflowEngine; 
using Kentico.CMS.DataEngine; 
using Kentico.CMS.Mailer; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class Publish : System.Web.UI.Page { 
        
        protected TreeNode node; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblWorkflowSteps; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblWorkflowHistory; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DataGrid DataGrid1; 
        protected int stepID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DataGrid DataGrid2; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtComment; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblComment; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlMain; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlForm; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblSendMail; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkSendMail; 
        protected int workflowID; 
        protected TreeProvider tree; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblError; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblApprove; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlSetModeScript; 
        protected bool usesVersioning; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnApprove_Click
             
            btnApprove.Click += new System.EventHandler( btnApprove_Click ); 
            // events handled by btnReject_Click
             
            btnReject.Click += new System.EventHandler( btnReject_Click ); 
            // events handled by btnSubmitToApprove_Click
             
            btnSubmitToApprove.Click += new System.EventHandler( btnSubmitToApprove_Click ); 
            // events handled by DataGrid1_ItemDataBound
             
            DataGrid1.ItemDataBound += new System.Web.UI.WebControls.DataGridItemEventHandler( DataGrid1_ItemDataBound ); 
            // events handled by DataGrid2_ItemDataBound
             
            DataGrid2.ItemDataBound += new System.Web.UI.WebControls.DataGridItemEventHandler( DataGrid2_ItemDataBound ); 
            // events handled by Page_Prerender
             
            base.PreRender += new System.EventHandler( Page_Prerender ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlApprove; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnApprove; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnReject; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnSubmitToApprove; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlSubmitToApprove; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            string idpath = "" + Request.QueryString[ "idpath" ] + ""; 
            string culture = "" + Request.QueryString[ "culture" ] + ""; 
            tree = Functions.GetTreeProvider(); 
            if ( ( !( Page.IsPostBack ) ) & "" + Request.QueryString[ "returnback" ] + "" + "" != "" ) { 
                ViewState[ "returnback" ] = Request.UrlReferrer.ToString(); 
            } 
            
            // set publish mode
            if ( !( Page.IsPostBack ) ) { 
                ltlSetModeScript.Text = @"<script language=""JavaScript"">" + Constants.vbCrLf; 
                ltlSetModeScript.Text += " try " + Constants.vbCrLf; 
                ltlSetModeScript.Text += " { " + Constants.vbCrLf; 
                if ( ConfigurationSettings.AppSettings[ "CMSUseCheckinCheckout" ] == "false" ) { 
                    ltlSetModeScript.Text += "  parent.frames['header'].SetMode('publishNoLock'); " + Constants.vbCrLf; 
                } 
                else { 
                    ltlSetModeScript.Text += "  parent.frames['header'].SetMode('publish'); " + Constants.vbCrLf; 
                } 
                ltlSetModeScript.Text += " } " + Constants.vbCrLf; 
                ltlSetModeScript.Text += " catch (e)" + Constants.vbCrLf; 
                ltlSetModeScript.Text += " { " + Constants.vbCrLf; 
                ltlSetModeScript.Text += " } " + Constants.vbCrLf; 
                ltlSetModeScript.Text += "</script>" + Constants.vbCrLf; 
            } 
            else { 
                ltlSetModeScript.Text = ""; 
            } 
            
            // generate correct return URL
            if ( ( !( Page.IsPostBack ) ) & "" + Request.QueryString[ "returnback" ] + "" + "" != "" ) { 
                this.btnCancel.Visible = true; 
                if ( Strings.InStr( Request.UrlReferrer.ToString().ToLower(), "edit.aspx", (Microsoft.VisualBasic.CompareMethod)(0) ) > 0 && Strings.InStr( Request.UrlReferrer.ToString().ToLower(), "action=insert", (Microsoft.VisualBasic.CompareMethod)(0) ) > 0 ) { 
                    ViewState[ "returnback" ] = "edit.aspx?idpath=" + idpath + "&culture=" + culture; 
                } 
                else { 
                    ViewState[ "returnback" ] = Request.UrlReferrer.ToString(); 
                } 
            } 
            
            // set labels
            if ( !( Page.IsPostBack ) ) { 
                this.lblHeader.Text = ResMan.GetString( "Publish.Header" ); 
                this.btnSubmitToApprove.Text = ResMan.GetString( "Publish.SubmitToApproval" ); 
                this.btnApprove.Text = ResMan.GetString( "Publish.Approve" ); 
                this.btnReject.Text = ResMan.GetString( "Publish.Reject" ); 
                this.lblWorkflowSteps.Text = ResMan.GetString( "Publish.WorkflowSteps" ); 
                this.lblComment.Text = ResMan.GetString( "Publish.Comment" ); 
                this.lblSendMail.Text = ResMan.GetString( "Publish.SendMail" ); 
                this.btnCancel.Text = ResMan.GetString( "Publish.Cancel" ); 
                this.lblApprove.Text = ResMan.GetString( "Publish.Approve" ); 
            } 
            if ( ( ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmails" ] + "" ).ToLower().Trim() == "false" ) { 
                this.chkSendMail.Visible = false; 
                this.lblSendMail.Visible = false; 
            } 
            else { 
                this.chkSendMail.Visible = true; 
                this.lblSendMail.Visible = true; 
            } 
            lblError.Text = ""; 
            
            // get node
            node = Functions.GetNodeByIDPathAndCulture( idpath, culture ); 
            
            // multilingual support
            if ( node == null ) { 
                // culture version does not exist            
                node = tree.SelectSingleNode( idpath, TreePathTypeEnum.IDPath ); 
                Response.Redirect( "NewCultureVersion.aspx?idpath=" + idpath + "&aliaspath=" + System.Convert.ToString( node.GetValue( "aliaspath" ) ) + "&culture=" + culture ); 
                return; 
            } 
            else { 
                idpath = System.Convert.ToString( node.GetValue( "idpath" ) ); 
            } 
            
            // check permissions        
            if ( !( ( Functions.IsAuthorizedPerResource( "CMS.Content", "Read" ) | Functions.IsAuthorizedPerResource( "CMS.Content", "ManageWorkflow" ) | Functions.IsAuthorizedPerNode( idpath, TreePathTypeEnum.IDPath, NodePermissionsEnum.Read ) ) ) ) { 
                Functions.RedirectToAccessDenied( idpath, "Read (publish.aspx)" ); 
                return; 
            } 
            if ( !( ( Functions.IsAuthorizedPerResource( "CMS.Content", "Modify" ) | Functions.IsAuthorizedPerResource( "CMS.Content", "ManageWorkflow" ) | Functions.IsAuthorizedPerNode( idpath, TreePathTypeEnum.IDPath, NodePermissionsEnum.Modify ) ) ) ) { 
                // disable form
                DisablePnlForm(); 
            } 
            
            // check if document type supports versioning
            if ( !( System.Convert.ToBoolean( Functions.GetClassDRValue( System.Convert.ToInt32( node.GetValue( "ClassID" ) ), "UseVersioning" ) ) ) ) { 
                pnlMain.Visible = false; 
                lblInfo.Text = ResMan.GetString( "Publish.InfoDocumentDoesNotSupportVersioningWorkflow" ); 
                usesVersioning = false; 
                return; 
            } 
            else { 
                usesVersioning = true; 
            } 
            
            // check if document isn't checked out
            if ( !( node.GetValue( "CheckedOutByUserID" ) == null ) ) { 
                lblInfo.Text = ResMan.GetString( "Publish.InfoDocumentIsCheckedOut" ); 
                DisablePnlForm(); 
            } 
            
            // check if document has any version history record
            if ( node.GetValue( "CheckedOutVersionHistoryID" ) == null ) { 
                lblInfo.Text = ResMan.GetString( "Publish.InfoDocumentHasNoHistory" ); 
                DisablePnlForm(); 
            } 
            
            // check if the next step is "published" and current step is "edit" show or hide the "send mail" checkbox
            WorkflowManager worMan = new WorkflowManager( tree ); 
            DataClass nextStep = worMan.GetNextStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            DataClass currentStep = worMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            if ( ( !( nextStep == null ) ) && ( !( nextStep.IsEmpty() ) ) ) { 
                if ( System.Convert.ToString( nextStep.GetValue( "StepName" ) ).ToLower().Trim() == "published" ) { 
                    if ( ( !( currentStep == null ) ) && ( !( currentStep.IsEmpty() ) ) ) { 
                        if ( System.Convert.ToString( currentStep.GetValue( "StepName" ) ).ToLower().Trim() == "edit" ) { 
                            // hide
                            this.chkSendMail.Visible = false; 
                            this.lblSendMail.Visible = false; 
                        } 
                    } 
                } 
            } 
            
            // display steps
            this.DataGrid1.Columns[ 1 ].HeaderText = ResMan.GetString( "Publish.StepOrder" ); 
            this.DataGrid1.Columns[ 2 ].HeaderText = ResMan.GetString( "Publish.StepName" ); 
            
            // display workflow history
            this.lblWorkflowHistory.Text = ResMan.GetString( "Publish.WorkflowHistory" ); 
            this.DataGrid2.Columns[ 0 ].HeaderText = ResMan.GetString( "Publish.ApprovedWhen" ); 
            this.DataGrid2.Columns[ 1 ].HeaderText = ResMan.GetString( "Publish.StepDisplayName" ); 
            this.DataGrid2.Columns[ 2 ].HeaderText = ResMan.GetString( "Publish.ApprovedByUserFullName" ); 
            this.DataGrid2.Columns[ 3 ].HeaderText = ResMan.GetString( "Publish.Comment" ); 
            this.DataGrid2.Columns[ 4 ].HeaderText = ResMan.GetString( "Publish.ApprovedRejected" ); 
        } 
        
        
        // move to the next step
        private void btnApprove_Click( System.Object sender, System.EventArgs e ) { 
            WorkflowManager workMan = new WorkflowManager( Functions.GetTreeProvider() ); 
            stepID = workMan.MoveToNextStep( System.Convert.ToInt32( node.GetValue( "NodeID" ) ), txtComment.Text ); 
            this.SendWorkflowApprove(); 
            this.txtComment.Text = ""; 
            
            // check if current step is "published"
            DataClass stepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() == "published" ) { 
                DisablePnlForm(); 
            } 
        } 
        
        
        
        // move to the previous step
        private void btnReject_Click( System.Object sender, System.EventArgs e ) { 
            WorkflowManager workMan = new WorkflowManager( Functions.GetTreeProvider() ); 
            stepID = workMan.MoveToPreviousStep( System.Convert.ToInt32( node.GetValue( "NodeID" ) ), txtComment.Text ); 
            this.SendWorkflowReject(); 
            this.txtComment.Text = ""; 
        } 
        
        
        
        // submit to approval
        private void btnSubmitToApprove_Click( System.Object sender, System.EventArgs e ) { 
            WorkflowManager workMan = new WorkflowManager( Functions.GetTreeProvider() ); 
            stepID = workMan.MoveToNextStep( System.Convert.ToInt32( node.GetValue( "NodeID" ) ), txtComment.Text ); 
            this.SendWorkflowApprove(); 
            this.txtComment.Text = ""; 
            
            // check if current step is "published"
            DataClass stepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() == "published" ) { 
                DisablePnlForm(); 
            } 
        } 
        
        
        
        // highlight the current workflow step
        private void DataGrid1_ItemDataBound( System.Object sender, System.Web.UI.WebControls.DataGridItemEventArgs e ) { 
            DataRowView dr = null; 
            
            if ( e.Item.ItemType == ListItemType.Item | e.Item.ItemType == ListItemType.AlternatingItem ) { 
                dr = ( ( DataRowView )( e.Item.DataItem ) ); 
                if ( System.Convert.ToInt32( dr[ "StepID" ] ) == stepID ) { 
                    e.Item.CssClass = "TableSelectedRow"; 
                    e.Item.Cells[ 0 ].Text = @"<img src=""../design/buttons/next.gif"">"; 
                } 
            } 
        } 
        
        
        
        // display approved/rejected
        private void DataGrid2_ItemDataBound( System.Object sender, System.Web.UI.WebControls.DataGridItemEventArgs e ) { 
            DataRowView dr = null; 
            
            if ( e.Item.ItemType == ListItemType.Item | e.Item.ItemType == ListItemType.AlternatingItem ) { 
                dr = ( ( DataRowView )( e.Item.DataItem ) ); 
                if ( System.Convert.ToBoolean( dr[ "WasRejected" ] ) == true ) { 
                    e.Item.Cells[ 4 ].Text = ResMan.GetString( "Publish.WasRejected" ); 
                } 
                else { 
                    e.Item.Cells[ 4 ].Text = ResMan.GetString( "Publish.WasApproved" ); 
                } 
            } 
        } 
        
        
        
        // update displayed data
        private void Page_Prerender( System.Object sender, System.EventArgs e ) { 
            if ( !( usesVersioning ) ) { 
                return; 
            } 
            
            this.SetStepDetails(); 
            
            DataSet ds = null; 
            
            // check if document supports versioning (workflow)
            if ( !( System.Convert.ToBoolean( Functions.GetClassDRValue( System.Convert.ToInt32( node.GetValue( "ClassID" ) ), "UseVersioning" ) ) ) ) { 
                return; 
            } 
            ds = tree.Connection.ExecuteQuery( "cms.workflowstep.selectworkflowsteps", null, "WorkflowID = " + workflowID.ToString() ); 
            this.DataGrid1.DataSource = ds.Tables[ 0 ]; 
            this.DataGrid1.DataBind(); 
            
            ds = tree.Connection.ExecuteQuery( "CMS.workflowhistory.selectwherenodeid", null, " nodeid = " + System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            this.DataGrid2.DataSource = ds.Tables[ 0 ]; 
            this.DataGrid2.DataBind(); 
            
            
            // get step info
            WorkflowManager workMan = new WorkflowManager( tree ); 
            DataClass stepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            
            // decide what should be displayed
            if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() == "edit" ) { 
                // editing step
                this.pnlSubmitToApprove.Visible = true; 
                this.pnlApprove.Visible = false; 
            } 
            else if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() == "publish" ) { 
                // published 
                this.pnlSubmitToApprove.Visible = false; 
                this.pnlApprove.Visible = false; 
            } 
            else { 
                // some step inside workflow
                this.pnlSubmitToApprove.Visible = false; 
                this.pnlApprove.Visible = true; 
            } 
        } 
        
        
        
        // send mail to inform next editor(s)
        public void SendWorkflowApprove() { 
            if ( ( !( this.chkSendMail.Checked ) ) | ( ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmails" ] + "" ).ToLower().Trim() == "false" ) { 
                return; 
            } 
            
            TreeProvider tree = Functions.GetTreeProvider(); 
            DataClass currentUserInfo = null; 
            string approvedByMailInfo = null; 
            DataClass lastUserDC = null; 
            string[,] replacements = new string[ 13, 2 ]; 
            WorkflowManager workMan = new WorkflowManager( tree ); 
            DataClass previousStepInfo = workMan.GetPreviousStepInfo( System.Convert.ToInt32( node.GetValue( "nodeid" ) ) ); 
            DataClass currentStepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "nodeid" ) ) ); 
            DataSet usersDS = workMan.GetUsersWhoCanApprove( System.Convert.ToInt32( currentStepInfo.GetValue( "StepID" ) ) ); 
            
            // get email list
            DataRow usersDR = null; 
            string userStartingPath = null; 
            string nodeAliasPath = null; 
            foreach ( System.Data.DataRow transTemp0 in usersDS.Tables[ 0 ].Rows ) { 
                usersDR = transTemp0;  
                if ( ( System.Convert.ToString( usersDR[ "Email" ] ) + "" ).Trim() + "" != "" ) { 
                    // add user to the maillist only if the document is located under his/her starting path 
                    if ( usersDR[ "StartingAliasPath" ] == DBNull.Value ) { 
                        userStartingPath = ""; 
                    } 
                    else { 
                        userStartingPath = System.Convert.ToString( usersDR[ "StartingAliasPath" ] ).Trim(); 
                    } 
                    nodeAliasPath = System.Convert.ToString( node.GetValue( "AliasPath" ) ); 
                    if ( Functions.UseMultilingualSupport() ) { 
                        // remove culture code
                        if ( userStartingPath + "" == "" | userStartingPath == "/" ) { 
                            userStartingPath = "/"; 
                        } 
                        else { 
                            userStartingPath = Functions.RemoveCultureFromAliasPath( userStartingPath ); 
                        } 
                        nodeAliasPath = Functions.RemoveCultureFromAliasPath( nodeAliasPath ); 
                    } 
                    if ( userStartingPath + "" == "" | nodeAliasPath.ToLower().Trim().StartsWith( userStartingPath.ToLower().Trim() ) ) { 
                        // send mail to this user
                        if ( tree.UserID != 0 ) { 
                            currentUserInfo = new DataClass( "cms.user", tree.UserID, tree.Connection ); 
                            approvedByMailInfo = System.Convert.ToString( currentUserInfo.GetValue( "FullName" ) ); 
                            if ( !( currentUserInfo.GetValue( "Email" ) == null ) ) { 
                                approvedByMailInfo += @" (<a href=""mailto:" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + @""">" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + "</a>)"; 
                            } 
                        } 
                        replacements[ 0, 0 ] = "namepath"; 
                        replacements[ 0, 1 ] = System.Convert.ToString( node.GetValue( "NamePath" ) ); 
                        replacements[ 1, 0 ] = "approvedby"; 
                        replacements[ 1, 1 ] = approvedByMailInfo; 
                        replacements[ 2, 0 ] = "approvedwhen"; 
                        replacements[ 2, 1 ] = DateTime.Now.ToString(); 
                        replacements[ 3, 0 ] = "originalstep"; 
                        replacements[ 3, 1 ] = System.Convert.ToString( previousStepInfo.GetValue( "StepDisplayName" ) ); 
                        replacements[ 4, 0 ] = "currentstep"; 
                        replacements[ 4, 1 ] = System.Convert.ToString( currentStepInfo.GetValue( "StepDisplayName" ) ); 
                        replacements[ 5, 0 ] = "comment"; 
                        replacements[ 5, 1 ] = this.txtComment.Text; 
                        replacements[ 6, 0 ] = "idpath"; 
                        replacements[ 6, 1 ] = System.Convert.ToString( node.GetValue( "IDPath" ) ); 
                        replacements[ 7, 0 ] = "applicationurl"; 
                        replacements[ 7, 1 ] = HttpContext.Current.Request.Url.AbsoluteUri.Substring( 0, Strings.InStr( HttpContext.Current.Request.Url.AbsoluteUri, "/content/publish.aspx", (Microsoft.VisualBasic.CompareMethod)(0) ) - 1 ); 
                        replacements[ 8, 0 ] = "firstname"; 
                        replacements[ 8, 1 ] = GetDRValue( usersDR, "firstname" ); 
                        replacements[ 9, 0 ] = "lastname"; 
                        replacements[ 9, 1 ] = GetDRValue( usersDR, "lastname" ); 
                        replacements[ 10, 0 ] = "username"; 
                        replacements[ 10, 1 ] = GetDRValue( usersDR, "username" ); 
                        replacements[ 11, 0 ] = "email"; 
                        replacements[ 11, 1 ] = GetDRValue( usersDR, "email" ); 
                        replacements[ 12, 0 ] = "fullname"; 
                        replacements[ 12, 1 ] = GetDRValue( usersDR, "fullname" ); 
                        try { 
                            MailTemplateSender.SendPage( Kentico.CMS.MetadataEngine.MetadataProvider.GetMetadataPath() + @"\_MailTemplates\WorkflowApprove", ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmailsFrom" ], System.Convert.ToString( usersDR[ "email" ] ), "", ResMan.GetString( "Publish.EmailSubjectApproved" ) + " " + System.Convert.ToString( node.GetValue( "NodeName" ) ), replacements ); 
                        } 
                        catch ( Exception ex ) { 
                            // error when sending an e-mail
                            lblError.Text = ResMan.GetString( "Publish.SendMailError" ) + " " + ex.Message; 
                        } 
                    } 
                } 
            }
            
            // send e-mail to the user who started the workflow
            if ( System.Convert.ToString( previousStepInfo.GetValue( "StepName" ) ).ToLower().Trim() != "edit" ) { 
                object[,] paramsIdent = new object[ 1, 3 ]; 
                paramsIdent[ 0, 0 ] = "@NodeID"; 
                paramsIdent[ 0, 1 ] = System.Convert.ToInt32( node.GetValue( "NodeID" ) ); 
                DataSet firstSubmissionDS = tree.Connection.ExecuteQuery( "cms.workflowhistory.getfirstsubmission", paramsIdent ); 
                DataRow dr = null; 
                if ( firstSubmissionDS.Tables[ 0 ].Rows.Count > 0 ) { 
                    dr = firstSubmissionDS.Tables[ 0 ].Rows[ 0 ]; 
                } 
                if ( ( !( dr == null ) ) && ( !( dr[ "email" ] == DBNull.Value ) ) && ( !( System.Convert.ToString( dr[ "email" ] ).Trim() + "" == "" ) ) ) { 
                    if ( tree.UserID != 0 ) { 
                        currentUserInfo = new DataClass( "cms.user", tree.UserID, tree.Connection ); 
                        approvedByMailInfo = System.Convert.ToString( currentUserInfo.GetValue( "FullName" ) ); 
                        if ( !( currentUserInfo.GetValue( "Email" ) == null ) ) { 
                            approvedByMailInfo += @" (<a href=""mailto:" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + @""">" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + "</a>)"; 
                        } 
                    } 
                    replacements[ 0, 0 ] = "namepath"; 
                    replacements[ 0, 1 ] = System.Convert.ToString( node.GetValue( "NamePath" ) ); 
                    replacements[ 1, 0 ] = "approvedby"; 
                    replacements[ 1, 1 ] = approvedByMailInfo; 
                    replacements[ 2, 0 ] = "approvedwhen"; 
                    replacements[ 2, 1 ] = DateTime.Now.ToString(); 
                    replacements[ 3, 0 ] = "originalstep"; 
                    replacements[ 3, 1 ] = System.Convert.ToString( previousStepInfo.GetValue( "StepDisplayName" ) ); 
                    replacements[ 4, 0 ] = "currentstep"; 
                    replacements[ 4, 1 ] = System.Convert.ToString( currentStepInfo.GetValue( "StepDisplayName" ) ); 
                    replacements[ 5, 0 ] = "comment"; 
                    replacements[ 5, 1 ] = this.txtComment.Text; 
                    replacements[ 6, 0 ] = "idpath"; 
                    replacements[ 6, 1 ] = System.Convert.ToString( node.GetValue( "IDPath" ) ); 
                    replacements[ 7, 0 ] = "applicationurl"; 
                    replacements[ 7, 1 ] = HttpContext.Current.Request.Url.AbsoluteUri.Substring( 0, Strings.InStr( HttpContext.Current.Request.Url.AbsoluteUri, "/content/publish.aspx", (Microsoft.VisualBasic.CompareMethod)(0) ) - 1 ); 
                    replacements[ 8, 0 ] = "firstname"; 
                    replacements[ 8, 1 ] = GetDRValue( dr, "firstname" ); 
                    replacements[ 9, 0 ] = "lastname"; 
                    replacements[ 9, 1 ] = GetDRValue( dr, "lastname" ); 
                    replacements[ 10, 0 ] = "username"; 
                    replacements[ 10, 1 ] = GetDRValue( dr, "username" ); 
                    replacements[ 11, 0 ] = "email"; 
                    replacements[ 11, 1 ] = GetDRValue( dr, "email" ); 
                    replacements[ 12, 0 ] = "fullname"; 
                    replacements[ 12, 1 ] = GetDRValue( dr, "fullname" ); 
                    try { 
                        MailTemplateSender.SendPage( Kentico.CMS.MetadataEngine.MetadataProvider.GetMetadataPath() + @"\_MailTemplates\WorkflowApproveToCreator", ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmailsFrom" ], System.Convert.ToString( dr[ "email" ] ), "", ResMan.GetString( "Publish.EmailSubjectApprovedToCreator" ) + " " + System.Convert.ToString( node.GetValue( "NodeName" ) ), replacements ); 
                    } 
                    catch ( Exception ex ) { 
                        // error when sending an e-mail
                        lblError.Text = ResMan.GetString( "Publish.SendMailError" ) + " " + ex.Message; 
                    } 
                } 
            } 
        } 
        
        
        
        // send mail to inform previous editor
        public void SendWorkflowReject() { 
            if ( ( !( this.chkSendMail.Checked ) ) | ( ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmails" ] + "" ).ToLower().Trim() == "false" ) { 
                return; 
            } 
            
            TreeProvider tree = Functions.GetTreeProvider(); 
            DataClass currentUserInfo = null; 
            string rejectedByMailInfo = null; 
            DataRow lastUserDR = null; 
            DataSet lastUserDS = null; 
            string[,] replacements = new string[ 13, 2 ]; 
            WorkflowManager workMan = new WorkflowManager( tree ); 
            DataClass currentStepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "nodeid" ) ) ); 
            object[,] paramsIdent = new object[ 1, 3 ]; 
            
            paramsIdent[ 0, 0 ] = "@NodeID"; 
            paramsIdent[ 0, 1 ] = System.Convert.ToInt32( node.GetValue( "NodeID" ) ); 
            lastUserDS = tree.Connection.ExecuteQuery( "cms.workflowhistory.getlastapprove", paramsIdent ); 
            if ( lastUserDS.Tables[ 0 ].Rows.Count > 0 ) { 
                lastUserDR = lastUserDS.Tables[ 0 ].Rows[ 0 ]; 
                if ( ( System.Convert.ToString( lastUserDR[ "Email" ] ) + "" ).Trim() + "" != "" ) { 
                    if ( tree.UserID != 0 ) { 
                        currentUserInfo = new DataClass( "cms.user", tree.UserID, tree.Connection ); 
                        rejectedByMailInfo = System.Convert.ToString( currentUserInfo.GetValue( "FullName" ) ); 
                        if ( !( currentUserInfo.GetValue( "Email" ) == null ) ) { 
                            rejectedByMailInfo += @" (<a href=""mailto:" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + @""">" + System.Convert.ToString( currentUserInfo.GetValue( "Email" ) ) + "</a>)"; 
                        } 
                    } 
                    replacements[ 0, 0 ] = "namepath"; 
                    replacements[ 0, 1 ] = System.Convert.ToString( node.GetValue( "NamePath" ) ); 
                    replacements[ 1, 0 ] = "rejectedby"; 
                    replacements[ 1, 1 ] = rejectedByMailInfo; 
                    replacements[ 2, 0 ] = "rejectedwhen"; 
                    replacements[ 2, 1 ] = DateTime.Now.ToString(); 
                    replacements[ 3, 0 ] = "currentstep"; 
                    replacements[ 3, 1 ] = System.Convert.ToString( currentStepInfo.GetValue( "StepDisplayName" ) ); 
                    replacements[ 4, 0 ] = "comment"; 
                    replacements[ 4, 1 ] = this.txtComment.Text; 
                    replacements[ 5, 0 ] = "idpath"; 
                    replacements[ 5, 1 ] = System.Convert.ToString( node.GetValue( "IDPath" ) ); 
                    replacements[ 6, 0 ] = "applicationurl"; 
                    replacements[ 6, 1 ] = HttpContext.Current.Request.Url.AbsoluteUri.Substring( 0, Strings.InStr( HttpContext.Current.Request.Url.AbsoluteUri, "/content/publish.aspx", (Microsoft.VisualBasic.CompareMethod)(0) ) - 1 ); 
                    replacements[ 7, 0 ] = "applicationurl"; 
                    replacements[ 7, 1 ] = HttpContext.Current.Request.Url.AbsoluteUri.Substring( 0, Strings.InStr( HttpContext.Current.Request.Url.AbsoluteUri, "/content/publish.aspx", (Microsoft.VisualBasic.CompareMethod)(0) ) - 1 ); 
                    replacements[ 8, 0 ] = "firstname"; 
                    replacements[ 8, 1 ] = GetDRValue( lastUserDR, "firstname" ); 
                    replacements[ 9, 0 ] = "lastname"; 
                    replacements[ 9, 1 ] = GetDRValue( lastUserDR, "lastname" ); 
                    replacements[ 10, 0 ] = "username"; 
                    replacements[ 10, 1 ] = GetDRValue( lastUserDR, "username" ); 
                    replacements[ 11, 0 ] = "email"; 
                    replacements[ 11, 1 ] = GetDRValue( lastUserDR, "email" ); 
                    replacements[ 12, 0 ] = "fullname"; 
                    replacements[ 12, 1 ] = GetDRValue( lastUserDR, "fullname" ); 
                    MailTemplateSender.SendPage( Kentico.CMS.MetadataEngine.MetadataProvider.GetMetadataPath() + @"\_MailTemplates\WorkflowReject", ConfigurationSettings.AppSettings[ "CMSSendWorkflowEmailsFrom" ], System.Convert.ToString( lastUserDR[ "Email" ] ), "", ResMan.GetString( "Publish.EmailSubjectRejected" ) + " " + System.Convert.ToString( node.GetValue( "NodeName" ) ), replacements ); 
                } 
            } 
        } 
        
        
        
        protected void SetStepDetails() { 
            // get step info
            WorkflowManager workMan = new WorkflowManager( tree ); 
            DataClass stepInfo = workMan.GetStepInfo( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            stepID = System.Convert.ToInt32( stepInfo.GetValue( "StepID" ) ); 
            workflowID = System.Convert.ToInt32( stepInfo.GetValue( "WorkflowID" ) ); 
            
            // check if current user can approve/reject the document 
            if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() != "edit" ) { 
                if ( !( ( workMan.CanUserApprove( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ) | Functions.IsAuthorizedPerResource( "cms.content", "ManageWorkflow" ) ) ) ) { 
                    DisablePnlForm(); 
                } 
            } 
            
            // check if current step is "published"
            if ( System.Convert.ToString( stepInfo.GetValue( "StepName" ) ).ToLower().Trim() == "published" ) { 
                DisablePnlForm(); 
            } 
        } 
        
        
        private string GetDRValue( DataRow dr, string columnName ) { 
            return System.Convert.ToString( Interaction.IIf( dr[ columnName ] == DBNull.Value, "", System.Convert.ToString( dr[ columnName ] ) ) ); 
        } 
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            Response.Redirect( System.Convert.ToString( ViewState[ "returnback" ] ) ); 
        } 
        
        
        private void DisablePnlForm() { 
            pnlForm.Enabled = false; 
            this.btnApprove.Enabled = false; 
            this.btnApprove.CssClass = "FormButtonDisabled"; 
            this.btnCancel.Enabled = false; 
            this.btnCancel.CssClass = "FormButtonDisabled"; 
            this.btnReject.Enabled = false; 
            this.btnReject.CssClass = "FormButtonDisabled"; 
            this.btnSubmitToApprove.Enabled = false; 
            this.btnSubmitToApprove.CssClass = "FormButtonDisabled"; 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
