using Kentico.CMS.TreeEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class ShowHistoryVersion : System.Web.UI.Page { 
        
        protected string title; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ Kentico.CMS.CMSControls.CMSViewer CMSViewer1; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlFile; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlViewFileValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblViewFile; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFilePathValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFilePath; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileSizeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileSize; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileNameValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.HtmlControls.HtmlForm Form1; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.HtmlControls.HtmlForm Form2; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            int versionHistoryID = 0; 
            if ( !( Request.QueryString[ "VersionHistoryID" ] == null ) ) { 
                versionHistoryID = int.Parse( "" + Request.QueryString[ "VersionHistoryID" ] ); 
            } 
            else { 
                return; 
            } 
            
            // set labels
            if ( !( Page.IsPostBack ) ) { 
                this.lblFileName.Text = ResMan.GetString( "ViewFile.FileName" ); 
                this.lblFilePath.Text = ResMan.GetString( "ViewFile.FilePath" ); 
                this.lblFileSize.Text = ResMan.GetString( "ViewFile.FileSize" ); 
                this.lblViewFile.Text = ResMan.GetString( "ViewFile.ViewFile" ); 
                this.lblHeader.Text = ResMan.GetString( "ShowHistoryVersion.Header" ); 
                this.title = ResMan.GetString( "ShowHistoryVersion.Title" ); 
            } 
            
            TreeProvider tree = Functions.GetTreeProvider(); 
            VersionManager verMan = new VersionManager( Functions.GetTreeProvider() ); 
            TreeNode node = verMan.GetVersion( versionHistoryID ); 
            
            // check permissions
            TreeNode currentNode = tree.SelectSingleNode( System.Convert.ToInt32( node.GetValue( "NodeID" ) ) ); 
            if ( !( ( Functions.IsAuthorizedPerResource( "CMS.Content", "Read" ) | Functions.IsAuthorizedPerNode( System.Convert.ToString( currentNode.GetValue( "IDPath" ) ), TreePathTypeEnum.IDPath, NodePermissionsEnum.Read ) ) ) ) { 
                Functions.RedirectToAccessDenied( System.Convert.ToString( node.GetValue( "AliasPath" ) ), "Read (ShowHistoryVersion.aspx)" ); 
                return; 
            } 
            
            if ( node.ClassName.ToLower() == "cms.file" ) { 
                this.lblFileNameValue.Text = System.Convert.ToString( node.GetValue( "FileName" ) ); 
                this.lblFilePathValue.Text = Functions.RemoveCultureFromAliasPath( node.GetParentPath( TreePathTypeEnum.AliasPath ) ) + "/" + System.Convert.ToString( node.GetValue( "FileName" ) ); 
                this.lblFileSizeValue.Text = System.Convert.ToInt32( node.GetValue( "FileSize" ) ).ToString(); 
                if ( Strings.InStr( ";.jpg;.gif;.bmp;.png;", ";" + System.IO.Path.GetExtension( System.Convert.ToString( node.GetValue( "FileName" ) ) ).ToLower() + ";", (Microsoft.VisualBasic.CompareMethod)(0) ) > 0 ) { 
                    this.ltlViewFileValue.Text = @"<img src=""GetFile.aspx?versionHistoryID=" + versionHistoryID.ToString() + @""">"; 
                } 
                else { 
                    this.ltlViewFileValue.Text = @"<a href=""GetFile.aspx?versionhistoryid=" + versionHistoryID.ToString() + @""" target=""_blank"">" + ResMan.GetString( "ViewFile.OpenDocument" ) + "</a>"; 
                } 
                this.CMSViewer1.Visible = false; 
            } 
            else { 
                CMSViewer1.VersionHistoryID = int.Parse( "" + Request.QueryString[ "VersionHistoryID" ] + "" ); 
                this.pnlFile.Visible = false; 
            } 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
