<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.skmMenuControl" Assembly="Kentico.CMS.skmMenuControl" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="FileManagerMenu.aspx.cs" Inherits="Kentico.CMS.CMSDesk.FileManagerMenu" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Menu</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body class="TopMenu">
		<form id="Form1" method="post" runat="server">
			<table width="100%">
				<tr>
					<td width="250px"><cc1:Menu id="Menu1" runat="server"></cc1:Menu></td>
					<td width="10px"><img src="../Design/images/Separator.gif"></td>
					<td width="200px"><cc1:Menu id="Menu2" runat="server" HighlightLastSelectedItem="True"></cc1:Menu></td>
					<td></td>
					<td></td>
					<td style="DISPLAY:none" class="AddressBarLabel">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:Label id="lblAddress" runat="server"></asp:Label></td>
					<td style="DISPLAY:none"><input type="text" class="AddressBarTextBox"></td>
					<td style="DISPLAY:none"><asp:Literal id="ltlButton" runat="server"></asp:Literal></td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" runat="server" HelpTopic="/ManagingFiles/Files_Toolbar" RootPath=".."></uc1:HelpIcon></td>
				</tr>
			</table>
			<asp:TextBox id="txtStyle" runat="server" style="DISPLAY:none"></asp:TextBox>
			<asp:TextBox id="txtFtbName" runat="server" style="DISPLAY:none"></asp:TextBox>
			&nbsp;</form>
		<input type="hidden" name="viewmode" id="viewmode" value="listing"> <input type="hidden" name="idpath" id="idpath" value="/">
		<input type="hidden" name="clipboard" id="clipboard"> <input type="hidden" name="clipboardaction" id="clipboardaction">
		<script language="javascript">
			function ChooseMode(mode)
			{
			  document.getElementById('viewmode').value = mode;
			  SelectNode(document.getElementById('idpath').value);			  
			}
			
			function SelectNode(idpath)
			{			  			  
			  idpath = idpath.split('%26apos%3b').join('\'');			  
			  document.getElementById('idpath').value = idpath;
			  if (document.getElementById('viewmode').value == 'listing')
			  {			    			    
			    parent.frames['details'].document.location.href="FileManagerListing.aspx?idpath=" + idpath + "&style=" + document.getElementById("txtStyle").value + "&ftbName=" + document.getElementById("txtFtbName").value;			
			  }
			  if (document.getElementById('viewmode').value == 'edit')
			  {
				parent.frames['details'].document.location.href="FileManagerEdit.aspx?idpath=" + idpath;			
			  }
  			  if (document.getElementById('viewmode').value == 'view')
			  {			    
			    parent.frames['details'].document.location.href="FileViewframeset.aspx?idpath=" + idpath + "&style=" + document.getElementById("txtStyle").value + "&ftbName=" + document.getElementById("txtFtbName").value;						    
			  }
			  if (document.getElementById('viewmode').value == 'properties')
			  {
			    parent.frames['details'].document.location.href="FileManagerProperties.aspx?idpath=" + idpath;
			  }
			}		
				
			function NewItem()
			{
				parent.frames['details'].document.location.href="FileManagerNew.aspx?idpath=" + document.getElementById('idpath').value;				
			}
		
			function CopyToClipBoard()
			{
				document.getElementById('clipboard').value = document.getElementById('idpath').value;
				document.getElementById('clipboardaction').value = 'copy';
			}
			
			function CutToClipBoard()
			{
				document.getElementById('clipboard').value = document.getElementById('idpath').value;
				document.getElementById('clipboardaction').value = 'move';
			}
			
			function Paste()
			{				
				parent.frames['treedata'].document.location.href="FileManagerTreeData.aspx?action=" + document.getElementById('clipboardaction').value + "&idpath=" + document.getElementById('idpath').value + "&sourceidpath=" + document.getElementById('clipboard').value;
				if (document.getElementById('clipboardaction').value == 'move') 
				{
				  document.getElementById('clipboard').value = '';
				}
			}
			
			function ReloadNodeAfterInsert()
			{			    
			    selid = parent.frames["tree"].document.getElementById('selectedNode_1').value;			    
			    parentID = parent.frames['tree'].document.getElementById(selid).attributes['parentID'].value;			    			    
			    parent.frames['tree'].CollapseNode(selid);							    
			    parent.frames['tree'].ExpandNode(selid, selid);			    
			    //parent.frames['tree'].selectNode(selid);			    
			}

			function RefreshNodeAfterUpdate(selid, parentid)
			{
			    parent.frames["tree"].document.getElementById('selectedNode_1').value = selid;
			    parent.frames['tree'].CollapseNode(parentid);
			    parent.frames['tree'].ExpandNode(parentid, selid);			    
			}

			function GetParentNode(path)
			{
			  if (path == '/')
			  {
			    return('/');
			  }
			  else
			  {
			    arr = path.split('/');
				if (arr.length == 2)
				{
				  return '/'; 
				}
				else
				{
				  return arr.slice(0, arr.length - 1).join('/');
				}
			  }
			}
			
			parent.frames['tree'].document.location.href="FileManagerTree.aspx"
		</script>
		<asp:Literal id="ltlDeleteScript" runat="server"></asp:Literal>
	</body>
</HTML>
