<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="FileManagerNew.aspx.cs" Inherits="Kentico.CMS.CMSDesk.FileManagerNew" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>FileManagerNew</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" encType="multipart/form-data" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/ManagingFiles/edit_an_existing_file_or_folder" RootPath=".."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<br>
			<asp:Label id="lblInfo" runat="server"></asp:Label>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<asp:Panel id="pnlForm" runat="server">
				<TABLE>
					<TR>
						<TD>
							<asp:radiobutton id="radFile" runat="server" AutoPostBack="True" Checked="True" GroupName="Create"></asp:radiobutton></TD>
						<TD></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:label id="lblFileName" runat="server"></asp:label></TD>
						<TD><INPUT class="FormUpload" id="upload" type="file" runat="server"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>
							<asp:RadioButton id="radFolder" runat="server" AutoPostBack="True" GroupName="Create"></asp:RadioButton></TD>
						<TD></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:label id="lblFolderName" runat="server"></asp:label></TD>
						<TD>
							<asp:TextBox id="txtFolderName" runat="server" CssClass="FormTextBox" Width="232px"></asp:TextBox></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD></TD>
						<TD>
							<asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button>&nbsp;
							<asp:button id="btnCancel" runat="server" CssClass="FormButton"></asp:button></TD>
						<TD>&nbsp;</TD>
					</TR>
				</TABLE>
			</asp:Panel>
			<script language="javascript">
			  function RefreshTree()
			  {
				parent.frames['header'].ReloadNodeAfterInsert();
			  }
			  
			  function Cancel(idpath)
			  {	
				document.location.href='FileManagerListing.aspx?idpath=' + idpath;
			  }
			</script>
		</form>
		<asp:literal id="ltlScript" runat="server"></asp:literal>
	</body>
</HTML>
