<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ApplicationList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.ApplicationList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RoleList</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="ApplicationDisplayName" border="1" cellspacing="0"
				CellPadding="3" OnDeleteCommand="DeleteItem">
				<ITEMSTYLE CssClass="ListingTableItem"></ITEMSTYLE>
				<HEADERSTYLE CssClass="ListingTableHeader"></HEADERSTYLE>
				<COLUMNS>
					<ASP:TEMPLATECOLUMN HeaderText="Action">
						<HEADERSTYLE Width="100px"></HEADERSTYLE>
						<ITEMTEMPLATE>
							<IMG title="<%=editHint%>"
style="CURSOR: hand" 
onclick='javascript:ShowApplication(<%# DataBinder.Eval(Container.DataItem, "ApplicationID") %>);' 
src="../design/buttons/editItem.gif">
							<asp:ImageButton id=btnDelete Runat="server" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ApplicationID") %>' CommandName="Delete" ImageUrl="../design/buttons/deleteItem.gif">
							</asp:ImageButton>
						</ITEMTEMPLATE>
					</ASP:TEMPLATECOLUMN>
					<ASP:BOUNDCOLUMN HeaderText="Role Display Name" SortExpression="ApplicationDisplayName" DataField="ApplicationDisplayName">
						<HEADERSTYLE Width=""></HEADERSTYLE>
					</ASP:BOUNDCOLUMN>
					<ASP:BOUNDCOLUMN HeaderText="Role Name" SortExpression="ApplicationName" DataField="ApplicationName">
						<HEADERSTYLE Width=""></HEADERSTYLE>
					</ASP:BOUNDCOLUMN>
				</COLUMNS>
				<PAGERSTYLE CssClass="ListingTablePager" Mode="NumericPages"></PAGERSTYLE>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowApplication(id)
			{
			  //window.open('ApplicationEdit.aspx?id=' + id, '_blank', 'height=400,width=600,left=200,top=100,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
			  document.location.href='ApplicationEdit.aspx?id=' + id
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}			
			function Reload()
			{
			  parent.frames['header'].ReloadSelectedNodeChildren();
			  document.location.href = document.location.href;
			}
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
		</form>
	</body>
</HTML>
