<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ClassList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.ClassList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RoleList</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="ClassDisplayName" border="1" cellspacing="0"
				CellPadding="3" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<itemtemplate>
							<img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick='javascript:ShowClass(<%# DataBinder.Eval(Container.DataItem, "ClassID") %>, <%# DataBinder.Eval(Container.DataItem, "ApplicationID") %>);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;ClassID&quot;) %>'>
							</asp:ImageButton>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ClassDisplayName" SortExpression="ClassDisplayName" HeaderText="Role Display Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="ClassName" SortExpression="ClassName" HeaderText="Role Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowClass(id, applicationid)
			{
			  //window.open('ClassEdit.aspx?id=' + id, '_blank', 'height=400,width=600,left=200,top=100,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
			  document.location.href = 'ClassEdit.aspx?id=' + id + '&applicationid=' + applicationid;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			
			function Reload()
			{
			  parent.frames['header'].ReloadSelectedNodeChildren();
			  document.location.href = document.location.href;
			}
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
		</form>
	</body>
</HTML>
