<%@ Page Language="vb" AutoEventWireup="false" Codebehind="PermissionNameList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.PermissionNameList" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RoleList</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<!--<div class="FormHeader" style="margin-top:2px;"><div class="FormHeaderText" style="margin-left:2px;"><asp:Label ID="lblHeader1" Runat="server"></asp:Label></div></div>-->
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right"></td>
				</tr>
			</table>			
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="PermissionDisplayName" border=1 cellspacing=0 CellPadding="3" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
					  <HeaderStyle Width="100px"></HeaderStyle>
					  <itemtemplate>
					    <img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick="javascript:ShowPermissionName('<%# DataBinder.Eval(Container.DataItem, "PermissionID") %>', '<%# DataBinder.Eval(Container.DataItem, "ClassID") %>', '<%# DataBinder.Eval(Container.DataItem, "ResourceID") %>' );" style="cursor:hand"><asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;PermissionID&quot;) %>"></asp:ImageButton>
					  </itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="PermissionDisplayName" SortExpression="PermissionDisplayName" HeaderText="Role Display Name"><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>
					<asp:BoundColumn DataField="PermissionName" SortExpression="PermissionName" HeaderText="Role Name"><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>					
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowPermissionName(id, classid, resourceid)
			{
			  //window.open('PermissionNameEdit.aspx?id=' + id, '_blank', 'height=400,width=600,left=200,top=100,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
			  document.location.href = 'PermissionNameEdit.aspx?id=' + id + '&classid=' + classid + '&resourceid=' + resourceid;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			</script>			
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
