using System.Xml; 
using System.IO; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class QueryEdit : System.Web.UI.Page { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblError; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblQueryName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblQueryText; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtQueryText; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblQueryType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstQueryType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRequiresTransaction; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkRequiresTransaction; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtQueryID; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private string queryID; 
        private string className; 
        private int classID; 
        private string path; 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Read" ); 
                return; 
            } 
            
            if ( "" + Request.QueryString[ "action" ] != "insert" ) { 
                queryID = "" + Request.QueryString[ "queryid" ].Split( '.' )[ 2 ]; 
                path = Functions.GetMetadataPath() + @"\" + "" + Request.QueryString[ "queryid" ].Split( '.' )[ 0 ] + @"\" + "" + Request.QueryString[ "queryid" ].Split( '.' )[ 1 ] + @"\queries.config"; 
                ViewState[ "mode" ] = "modify"; 
                className = "" + Request.QueryString[ "queryid" ].Split( '.' )[ 0 ] + "." + "" + Request.QueryString[ "queryid" ].Split( '.' )[ 1 ]; 
                classID = System.Convert.ToInt32( Kentico.CMS.TreeEngine.ClassInformationProvider.GetClassRow( className, Functions.GetTreeProvider() )[ "ClassID" ] ); 
            } 
            else if ( "" + Request.QueryString[ "classid" ] + "" != "" ) { 
                if ( System.Convert.ToString( ViewState[ "mode" ] ) + "" == "" ) { 
                    ViewState[ "mode" ] = "create"; 
                } 
                queryID = ""; 
                classID = int.Parse( "" + Request.QueryString[ "classid" ] ); 
                className = System.Convert.ToString( Kentico.CMS.TreeEngine.ClassInformationProvider.GetClassRow( classID, Functions.GetTreeProvider() )[ ( ( "ClassName" ) ) ] ); 
                path = Functions.GetMetadataPath() + @"\" + className.Split( '.' )[ 0 ] + @"\" + className.Split( '.' )[ 1 ] + @"\queries.config"; 
            } 
            if ( !( Page.IsPostBack ) ) { 
                ViewState[ "originalQueryID" ] = queryID; 
            } 
            lblError.Text = ""; 
            lblInfo.Text = ""; 
            lblHeader.Text = ResMan.GetString( "QueryEdit.Header" ); 
            lblQueryName.Text = ResMan.GetString( "QueryEdit.QueryName" ); 
            lblQueryText.Text = ResMan.GetString( "QueryEdit.QueryText" ); 
            lblQueryType.Text = ResMan.GetString( "QueryEdit.QueryType" ); 
            lblRequiresTransaction.Text = ResMan.GetString( "QueryEdit.RequiresTransaction" ); 
            btnOK.Text = ResMan.GetString( "QueryEdit.OK" ); 
            btnCancel.Text = ResMan.GetString( "QueryEdit.Cancel" ); 
            if ( !( Page.IsPostBack ) ) { 
                lstQueryType.Items.Add( new ListItem( ResMan.GetString( "QueryEdit.QueryTypeText" ), "querytext" ) ); 
                lstQueryType.Items.Add( new ListItem( ResMan.GetString( "QueryEdit.QueryTypeSP" ), "sp" ) ); 
            } 
            
            if ( !( Page.IsPostBack ) & System.Convert.ToString( ViewState[ "mode" ] ) == "modify" ) { 
                // set values
                XmlDocument xml = new XmlDocument(); 
                xml.Load( path ); 
                XmlNode node = xml.SelectSingleNode( "/queries/query[@id='" + queryID + "']" ); 
                this.txtQueryID.Text = queryID; 
                this.txtQueryText.Text = node.InnerText; 
                if ( !( node.Attributes[ "transaction" ] == null ) && node.Attributes[ "transaction" ].Value.ToLower() == "true" ) { 
                    this.chkRequiresTransaction.Checked = true; 
                } 
                else { 
                    this.chkRequiresTransaction.Checked = false; 
                } 
                if ( !( node.Attributes[ "type" ] == null ) && node.Attributes[ "type" ].Value.ToLower() == "sp" ) { 
                    this.lstQueryType.SelectedValue = "sp"; 
                } 
                else { 
                    this.lstQueryType.SelectedValue = "querytext"; 
                } 
            } 
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( System.Convert.ToString( ViewState[ "mode" ] ) == "create" ) { 
                if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Create" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Create" ); 
                    return; 
                } 
            } 
            else { 
                if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                    return; 
                } 
            } 
            
            // validate input
            string errorMessage = ""; 
            XmlDocument xml = new XmlDocument(); 
            xml.Load( path ); 
            XmlNode node = null; 
            
            if ( txtQueryID.Text.Trim() + "" == "" ) { 
                errorMessage += ResMan.GetString( "QueryEdit.ErrorEmptyQueryID" ) + " "; 
            } 
            else if ( txtQueryID.Text.Trim().ToLower() != ( System.Convert.ToString( ViewState[ "originalQueryID" ] ) + "" ).Trim().ToLower() ) { 
                // ensure uniqueness
                if ( !( xml.SelectSingleNode( "/queries/query[@id='" + this.txtQueryID.Text.Trim().ToLower() + "']" ) == null ) ) { 
                    errorMessage += ResMan.GetString( "QueryEdit.ErrorExistingQueryID" ); 
                } 
            } 
            if ( txtQueryText.Text.Trim() + "" == "" ) { 
                errorMessage += ResMan.GetString( "QueryEdit.ErrorEmptyQuery" ) + " "; 
            } 
            if ( errorMessage + "" != "" ) { 
                lblError.Text = errorMessage; 
            } 
            
            // save
            if ( errorMessage + "" == "" ) { 
                txtQueryID.Text = txtQueryID.Text.ToLower().Trim(); 
                if ( System.Convert.ToString( ViewState[ "mode" ] ) == "create" ) { 
                    node = xml.CreateNode( XmlNodeType.Element, "", "query", "" ); 
                    node.Attributes.Append( xml.CreateAttribute( "", "id", "" ) ); 
                } 
                else { 
                    node = xml.SelectSingleNode( "/queries/query[@id='" + System.Convert.ToString( ViewState[ "originalQueryID" ] ) + "']" ); 
                } 
                node.Attributes[ "id" ].Value = this.txtQueryID.Text.ToLower().Trim(); 
                node.InnerText = this.txtQueryText.Text; 
                if ( node.Attributes[ "type" ] == null ) { 
                    node.Attributes.Append( xml.CreateAttribute( "", "type", "" ) ); 
                } 
                node.Attributes[ "type" ].Value = lstQueryType.SelectedValue; 
                if ( node.Attributes[ "transaction" ] == null ) { 
                    node.Attributes.Append( xml.CreateAttribute( "", "transaction", "" ) ); 
                } 
                if ( this.chkRequiresTransaction.Checked ) { 
                    node.Attributes[ "transaction" ].Value = "true"; 
                } 
                else { 
                    node.Attributes[ "transaction" ].Value = "false"; 
                } 
                if ( System.Convert.ToString( ViewState[ "mode" ] ) == "create" ) { 
                    // create new                
                    xml.SelectSingleNode( "/queries" ).AppendChild( node ); 
                    xml.Save( path ); 
                    ViewState[ "mode" ] = "modify"; 
                } 
                else { 
                    // modify existing                
                    xml.Save( path ); 
                } 
                ViewState[ "originalQueryID" ] = this.txtQueryID.Text; 
                // update metadata
                Kentico.CMS.MetadataEngine.MetadataProvider.ClearMetadata(); 
                lblInfo.Text = ResMan.GetString( "QueryEdit.ChangesSaved" ); 
            } 
        } 
        
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            // redirects user back to the list of resources        
            ltlScript.Text = @"<script language=""javascript"">"; 
            ltlScript.Text += " Cancel('" + classID + "'); "; 
            ltlScript.Text += "</script>"; 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
