using Kentico.CMS.DataEngine; 
using Kentico.CMS.MetadataEngine; 
using Kentico.CMS.TreeEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class RelationshipNameEdit : System.Web.UI.Page { 
        
        protected int RelationshipNameID; 
        
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblError; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRelationshipNameID; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRelationshipNameIDValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRelationshipDisplayName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRelationshipName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtRelationshipDisplayName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtRelationshipName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Read" ); 
                return; 
            } 
            
            Functions.RedirectExpressEdition( "CMSDesk.RelationshipNames" ); 
            
            GeneralConnection cn = null; 
            DataClass relNameObj = null; 
            
            if ( ViewState[ "RelationshipNameID" ] == null ) { 
                if ( ( "" + Request.QueryString[ "id" ] + "" ).Trim() + "" == "" ) { 
                    ViewState[ "RelationshipNameID" ] = 0; 
                } 
                else { 
                    ViewState[ "RelationshipNameID" ] = int.Parse( "" + Request.QueryString[ "id" ] ); 
                } 
            } 
            RelationshipNameID = int.Parse( System.Convert.ToString( ViewState[ "RelationshipNameID" ] ) ); 
            
            lblError.Text = ""; 
            lblInfo.Text = ""; 
            lblHeader.Text = ResMan.GetString( "RelationshipNameEdit.Header" ); 
            this.lblRelationshipNameID.Text = ResMan.GetString( "RelationshipNameEdit.RelationshipNameID" ); 
            lblRelationshipName.Text = ResMan.GetString( "RelationshipNameEdit.RelationshipName" ); 
            lblRelationshipDisplayName.Text = ResMan.GetString( "RelationshipNameEdit.RelationshipDisplayName" ); 
            btnOK.Text = ResMan.GetString( "RelationshipNameEdit.OK" ); 
            btnCancel.Text = ResMan.GetString( "RelationshipNameEdit.Cancel" ); 
            
            if ( !( Page.IsPostBack ) & RelationshipNameID != 0 ) { 
                // set values
                cn = new GeneralConnection( Functions.GetConnectionString() ); 
                relNameObj = new DataClass( "CMS.RelationshipName", RelationshipNameID, cn ); 
                txtRelationshipName.Text = System.Convert.ToString( relNameObj.GetValue( "RelationshipName" ) ); 
                txtRelationshipDisplayName.Text = System.Convert.ToString( relNameObj.GetValue( "RelationshipDisplayName" ) ); 
                lblRelationshipNameIDValue.Text = System.Convert.ToString( relNameObj.GetValue( "RelationshipNameID" ) ); 
            } 
            if ( RelationshipNameID == 0 ) { 
                lblRelationshipNameIDValue.Text = ResMan.GetString( "RelationshipNameEdit.NoRelationshipNameIDValue" ); 
            } 
        } 
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            // redirect user back to the list of classes
            ltlScript.Text = @"<script language=""javascript"">"; 
            ltlScript.Text += " function Cancel()"; 
            ltlScript.Text += " {"; 
            ltlScript.Text += "   document.location.href='RelationshipNamesList.aspx';"; 
            ltlScript.Text += " }"; 
            ltlScript.Text += " Cancel(); "; 
            ltlScript.Text += "</script>"; 
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( RelationshipNameID == 0 ) { 
                if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Create" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Create" ); 
                    return; 
                } 
            } 
            else { 
                if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                    Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                    return; 
                } 
            } 
            
            // validate input
            string errorMessage = ""; 
            GeneralConnection cn = null; 
            string[,] paramsIdent = new string[ 1, 3 ]; 
            DataRow relNameDR = null; 
            string infoMessage = ""; 
            DataClass relNameObj = null; 
            string originalRelName = ""; 
            string newRelName = ""; 
            DataSet RelNamesDS = null; 
            DataRow relNameCheckNameDR = null; 
            
            this.txtRelationshipName.Text = txtRelationshipName.Text.Trim(); 
            this.txtRelationshipDisplayName.Text = txtRelationshipDisplayName.Text.Trim(); 
            if ( txtRelationshipName.Text + "" == "" ) { 
                errorMessage += ResMan.GetString( "RelationshipNameEdit.ErrorEmptyRelationshipName" ) + " "; 
            } 
            if ( txtRelationshipDisplayName.Text + "" == "" ) { 
                errorMessage += ResMan.GetString( "RelationshipNameEdit.ErrorEmptyRelationshipDisplayName" ) + " "; 
            } 
            
            if ( errorMessage + "" == "" ) { 
                // check for existing name
                paramsIdent[ 0, 0 ] = "@RelationshipName"; 
                paramsIdent[ 0, 1 ] = this.txtRelationshipName.Text; 
                cn = Functions.GetTreeProvider().Connection; 
                cn.DataConnection.Open(); 
                
                RelNamesDS = cn.ExecuteQuery( "CMS.RelationshipName.SelectByRelationshipName", paramsIdent ); 
                if ( RelationshipNameID == 0 ) { 
                    if ( RelNamesDS.Tables[ 0 ].Rows.Count > 0 ) { 
                        // relationship name already exists
                        errorMessage += ResMan.GetString( "RelationshipNameEdit.ErrorExistingRelationshipName" ) + " "; 
                    } 
                } 
                else { 
                    foreach ( System.Data.DataRow transTemp0 in RelNamesDS.Tables[ 0 ].Rows ) { 
                        relNameDR = transTemp0;  
                        if ( System.Convert.ToInt32( relNameDR[ "RelationshipNameID" ] ) != RelationshipNameID ) { 
                            // relationship name already exists
                            errorMessage += ResMan.GetString( "RelationshipNameEdit.ErrorExistingRelationshipName" ) + " "; 
                        } 
                    }
                } 
                
                if ( errorMessage + "" == "" ) { 
                    // save class info
                    if ( RelationshipNameID == 0 ) { 
                        cn.DataConnection.Open(); 
                        cn.DataConnection.BeginTransaction(); 
                        try { 
                            // insert a new class                    
                            relNameObj = new DataClass( "CMS.RelationshipName", cn ); 
                            relNameObj.SetValue( "RelationshipName", txtRelationshipName.Text ); 
                            relNameObj.SetValue( "RelationshipDisplayName", txtRelationshipDisplayName.Text ); 
                            relNameObj.Insert(); 
                            this.lblRelationshipNameIDValue.Text = System.Convert.ToInt32( relNameObj.GetValue( "RelationshipNameID" ) ).ToString(); 
                        } 
                        catch ( Exception exc ) { 
                            cn.DataConnection.RollbackTransaction(); 
                            cn.DataConnection.Close(); 
                            throw exc; 
                        } 
                        cn.DataConnection.CommitTransaction(); 
                        cn.DataConnection.Close(); 
                        ViewState[ "RelationshipNameID" ] = System.Convert.ToInt32( relNameObj.GetValue( "RelationshipNameID" ) ); 
                        infoMessage = ResMan.GetString( "RelationshipNameEdit.ChangesSaved" ); 
                    } 
                    else { 
                        // update an existing class
                        relNameObj = new DataClass( "CMS.RelationshipName", RelationshipNameID, cn ); 
                        newRelName = this.txtRelationshipName.Text; 
                        relNameObj.SetValue( "RelationshipName", txtRelationshipName.Text ); 
                        newRelName = System.Convert.ToString( relNameObj.GetValue( "RelationshipName" ) ); 
                        relNameObj.SetValue( "RelationshipDisplayName", txtRelationshipDisplayName.Text ); 
                        relNameObj.Update(); 
                        infoMessage = ResMan.GetString( "RelationshipNameEdit.ChangesSaved" ); 
                    } 
                } 
                cn.DataConnection.Close(); 
            } 
            
            if ( errorMessage + "" != "" ) { 
                lblError.Text = errorMessage; 
            } 
            if ( infoMessage + "" != "" ) { 
                lblInfo.Text = infoMessage; 
            } 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
