<%@ Page Language="vb" AutoEventWireup="false" Codebehind="RelationshipNamesList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.RelationshipNamesList" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Permission Names List</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="RelationshipDisplayName" border="1" CellPadding="3"
				OnDeleteCommand="DeleteItem" QueryName="CMS.RelationshipName.SelectAll" ProcessSorting="False">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<ItemTemplate>
							<img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick='javascript:ShowRelName(<%# DataBinder.Eval(Container.DataItem, "RelationshipNameID") %>);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;RelationshipNameID&quot;) %>'>
							</asp:ImageButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="RelationshipDisplayName" SortExpression="RelationshipDisplayName" HeaderText="RelationshipDisplayName"></asp:BoundColumn>
					<asp:BoundColumn DataField="RelationshipName" SortExpression="RelationshipName" HeaderText="RelationshipName"></asp:BoundColumn>
				</Columns>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowRelName(id)
			{
			  document.location.href = 'RelationshipNameEdit.aspx?id=' + id ;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
		</form>
	</body>
</HTML>
