<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ResourceEdit.aspx.cs" Inherits="Kentico.CMS.CMSDesk.ResourceEdit" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>ResourceEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/MetaDesigner/Resources/manage_modules" RootPath=".."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
				<br>
				<asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label><asp:label id="lblInfo" runat="server"></asp:label>
				<table>
					<tr>
						<td><asp:label id="lblResourceID" runat="server"></asp:label></td>
						<td><asp:label id="lblResourceIDValue" runat="server"></asp:label></td>
					</tr>
					<tr>
						<td><asp:label id="lblResourceDisplayName" runat="server"></asp:label></td>
						<td><asp:textbox id="txtResourceDisplayName" runat="server" CssClass="FormTextBox"></asp:textbox></td>
					</tr>
					<tr>
						<td><asp:label id="lblResourceName" runat="server"></asp:label></td>
						<td><asp:textbox id="txtResourceName" runat="server" CssClass="FormTextBox"></asp:textbox></td>
					</tr>
					<tr>
						<td>
							<asp:label id="lblShowInToolsMenu" runat="server"></asp:label></td>
						<td><asp:CheckBox id="chkShowInToolsMenu" Runat="server" AutoPostBack="True"></asp:CheckBox></td>
					</tr>
					<tr>
						<td><asp:label id="lblResourceURL" runat="server"></asp:label></td>
						<td><asp:textbox id="txtResourceURL" runat="server" CssClass="FormTextBox"></asp:textbox></td>
					</tr>
					<tr>
						<td style="HEIGHT: 23px"></td>
						<td style="HEIGHT: 23px"><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button>&nbsp;
							<asp:button id="btnCancel" runat="server" CssClass="FormButton"></asp:button></td>
					</tr>
				</table>
				<script language="javascript">
				function Cancel()
				{
				  document.location.href='ResourceList.aspx';
				}

				function RefreshTreeAfterInsert()
				{
				  parent.frames['header'].ReloadSelectedNodeChildren();
				}
				
				function RefreshTree()
				{
				  parent.frames['header'].ReloadSelectedNode();
				}
				</script>
				<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
		</form>
	</body>
</HTML>
