using System.Xml; 
using System.IO; 
using System.Data.SqlClient; 
using Kentico.CMS.MetadataEngine; 
using Kentico.CMS.TreeEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class TemplateDesigner : System.Web.UI.UserControl { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnUpAttribute_Click
             
            btnUpAttribute.Click += new System.Web.UI.ImageClickEventHandler( btnUpAttribute_Click ); 
            // events handled by btnDownAttribute_Click
             
            btnDownAttribute.Click += new System.Web.UI.ImageClickEventHandler( btnDownAttribute_Click ); 
            // events handled by chkDisplayInForm_CheckedChanged
             
            chkDisplayInForm.CheckedChanged += new System.EventHandler( chkDisplayInForm_CheckedChanged ); 
            // events handled by lstAttributes_SelectedIndexChanged
             
            lstAttributes.SelectedIndexChanged += new System.EventHandler( lstAttributes_SelectedIndexChanged ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by lstAttributeType_SelectedIndexChanged
             
            lstAttributeType.SelectedIndexChanged += new System.EventHandler( lstAttributeType_SelectedIndexChanged ); 
            // events handled by btnNewAttribute_Click
             
            btnNewAttribute.Click += new System.Web.UI.ImageClickEventHandler( btnNewAttribute_Click ); 
            // events handled by btnDeleteAttribute_Click
             
            btnDeleteAttribute.Click += new System.Web.UI.ImageClickEventHandler( btnDeleteAttribute_Click ); 
            // events handled by lstFieldType_SelectedIndexChanged
             
            lstFieldType.SelectedIndexChanged += new System.EventHandler( lstFieldType_SelectedIndexChanged ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAttributes; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblProperties; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstAttributes; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ImageButton btnUpAttribute; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ImageButton btnDownAttribute; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ImageButton btnNewAttribute; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ImageButton btnDeleteAttribute; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAttributeName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAttributeType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAttributeSize; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAttributeAllowEmpty; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkDisplayInForm; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlDisplayInForm; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFieldType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstFieldType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtFieldCaption; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtDescription; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtAttributeName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtAttributeSize; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstAttributeType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkAllowEmpty; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFieldCaption; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFieldDescription; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblErrorMessage; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlConfirmText; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlTextAreaSettings; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblTextAreaCols; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblTextAreaRows; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtTextAreaRows; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtTextAreaCols; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlHTMLAreaSettings; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlDropDownListSettings; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHTMLAreaWidth; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHTMLAreaHeight; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtHTMLAreaWidth; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtHTMLAreaHeight; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.RadioButton radDropDownListOptions; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.RadioButton radDropDownListSQL; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtDropDownListOptions; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkCalendarSettingsEditTime; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlCalendarSettings; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlUserControlSettings; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUserControlSettingsName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtUserControlSettingsName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblDefaultValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtDefaultValue; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        #region '"Public Properties"' 
        
        public string FormName { 
            get { 
                return System.Convert.ToString( ViewState[ "FormName" ] ); 
            } 
            set { 
                ViewState[ "FormName" ] = value; 
                LoadAttributes(); 
                LoadSelectedField(); 
            } 
        } 
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            string errorMsg = Functions.CheckSystemPermissions(); 
            if ( errorMsg + "" != "" ) { 
                Response.Write( errorMsg ); 
                Response.End(); 
                return; 
            } 
            
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Read" ); 
                return; 
            } 
            
            Functions.RedirectExpressEdition( "CMSDesk.TemplateDesigner" ); 
            
            this.lblAttributes.Text = ResMan.GetString( "TemplateDesigner.Attributes" ); 
            this.lblProperties.Text = ResMan.GetString( "TemplateDesigner.AttributeProperties" ); 
            this.btnDeleteAttribute.ToolTip = ResMan.GetString( "TemplateDesigner.DeleteAttribute" ); 
            this.btnNewAttribute.ToolTip = ResMan.GetString( "TemplateDesigner.NewAttribute" ); 
            this.btnDownAttribute.ToolTip = ResMan.GetString( "TemplateDesigner.DownAttribute" ); 
            this.btnUpAttribute.ToolTip = ResMan.GetString( "TemplateDesigner.UpAttribute" ); 
            this.lblAttributeName.Text = ResMan.GetString( "TemplateDesigner.AttributeName" ); 
            this.lblAttributeSize.Text = ResMan.GetString( "TemplateDesigner.AttributeSize" ); 
            this.lblAttributeType.Text = ResMan.GetString( "TemplateDesigner.AttributeType" ); 
            this.lblFieldCaption.Text = ResMan.GetString( "TemplateDesigner.FieldCaption" ); 
            this.lblFieldDescription.Text = ResMan.GetString( "TemplateDesigner.FieldDescription" ); 
            this.lblFieldType.Text = ResMan.GetString( "TemplateDesigner.FieldType" ); 
            this.btnOK.Text = ResMan.GetString( "TemplateDesigner.OK" ); 
            this.lblAttributeAllowEmpty.Text = ResMan.GetString( "TemplateDesigner.AttributeAllowEmpty" ); 
            this.lblDefaultValue.Text = ResMan.GetString( "TemplateDesigner.DefaultValue" ); 
            this.chkDisplayInForm.Text = ResMan.GetString( "TemplateDesigner.DisplayInForm" ); 
            this.ltlConfirmText.Text = @"<span id=""confirmdelete"" style=""display:none"">" + ResMan.GetString( "TemplateDesigner.ConfirmDelete" ) + "</span>"; 
            this.btnDeleteAttribute.Attributes.Add( "onclick", "javascript:return confirmDelete();" ); 
            this.lblTextAreaCols.Text = ResMan.GetString( "TemplateDesigner.TextAreaCols" ); 
            this.lblTextAreaRows.Text = ResMan.GetString( "TemplateDesigner.TextAreaRows" ); 
            this.lblHTMLAreaHeight.Text = ResMan.GetString( "TemplateDesigner.HTMLAreaHeight" ); 
            this.lblHTMLAreaWidth.Text = ResMan.GetString( "TemplateDesigner.HTMLAreaWidth" ); 
            this.radDropDownListOptions.Text = ResMan.GetString( "TemplateDesigner.DropDownListOptions" ); 
            this.radDropDownListSQL.Text = ResMan.GetString( "TemplateDesigner.DropDownListSQL" ); 
            this.chkCalendarSettingsEditTime.Text = ResMan.GetString( "TemplateDesigner.CalendarSettingsEditTime" ); 
            this.lblUserControlSettingsName.Text = ResMan.GetString( "TemplateDesigner.UserControlSettingsName" ); 
            if ( !( Page.IsPostBack ) ) { 
                this.LoadAttributeTypes(); 
            } 
            
            this.lblInfo.Text = ""; 
            this.lblErrorMessage.Text = ""; 
            this.ltlScript.Text = ""; 
        } 
        
        
        
        private void LoadAttributes() { 
            XmlDocument formXML = null; 
            XmlNodeList fieldNodes = null; 
            XmlNode fieldNode = null; 
            
            formXML = GetFormXML(); 
            fieldNodes = formXML.SelectNodes( "/form/field" ); 
            lstAttributes.Items.Clear(); 
            foreach ( System.Xml.XmlNode transTemp0 in fieldNodes ) { 
                fieldNode = transTemp0;  
                lstAttributes.Items.Add( new ListItem( fieldNode.Attributes[ "column" ].Value, fieldNode.Attributes[ "column" ].Value ) ); 
            }
            this.lstAttributes.SelectedIndex = 0; 
        } 
        
        
        
        ///<summary>Returns physical path to the form configuration path.</summary>
        private string GetFormFilePath() { 
            return Functions.GetMetadataPath() + @"\" + this.FormName.Split( '.' )[ 0 ] + @"\" + this.FormName.Split( '.' )[ 1 ] + @"\Forms\" + this.FormName.Split( '.' )[ 2 ] + ".config"; 
        } 
        
        
        
        ///<summary>Returns XML document containing the form definition.</summary>
        private XmlDocument GetFormXML() { 
            XmlDocument xml = null; 
            if ( File.Exists( this.GetFormFilePath() ) ) { 
                xml = new XmlDocument(); 
                xml.Load( this.GetFormFilePath() ); 
            } 
            if ( xml == null || xml.SelectNodes( "/form/field" ).Count == 0 ) { 
                xml = MetadataProvider.GetFormXMLFromSchema( GetClassName() ); 
                Functions.EnsureDiskPath( this.GetFormFilePath(), Functions.GetMetadataPath() ); 
                xml.Save( this.GetFormFilePath() ); 
            } 
            return xml; 
        } 
        
        
        
        ///<summary>Returns physical path to the class schema path.</summary>
        private string GetConfigPath() { 
            return Functions.GetMetadataPath() + @"\" + this.FormName.Split( '.' )[ 0 ] + @"\" + this.FormName.Split( '.' )[ 1 ] + @"\schema.config"; 
        } 
        
        
        
        private string GetClassName() { 
            return this.FormName.Split( '.' )[ 0 ] + "." + this.FormName.Split( '.' )[ 1 ]; 
        } 
        
        
        
        private void btnUpAttribute_Click( System.Object sender, System.Web.UI.ImageClickEventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            string fieldColumn = null; 
            XmlDocument formXML = null; 
            XmlNode fieldNode = null; 
            XmlNode tempNode = null; 
            
            if ( this.lstAttributes.SelectedValue + "" + "" == "" || this.lstAttributes.SelectedIndex == 0 ) { 
                return; 
            } 
            formXML = this.GetFormXML(); 
            fieldColumn = this.lstAttributes.SelectedValue; 
            fieldNode = formXML.SelectSingleNode( "/form/field[@column='" + fieldColumn + "']" ); 
            fieldNode.ParentNode.InsertBefore( fieldNode, fieldNode.PreviousSibling ); 
            formXML.Save( this.GetFormFilePath() ); 
            LoadAttributes(); 
            lstAttributes.SelectedValue = fieldColumn; 
        } 
        
        
        
        private void btnDownAttribute_Click( System.Object sender, System.Web.UI.ImageClickEventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            string fieldColumn = null; 
            XmlDocument formXML = null; 
            XmlNode fieldNode = null; 
            XmlNode tempNode = null; 
            
            if ( this.lstAttributes.SelectedValue + "" + "" == "" || this.lstAttributes.SelectedIndex >= this.lstAttributes.Items.Count - 1 ) { 
                return; 
            } 
            formXML = this.GetFormXML(); 
            fieldColumn = this.lstAttributes.SelectedValue; 
            fieldNode = formXML.SelectSingleNode( "/form/field[@column='" + fieldColumn + "']" ); 
            fieldNode.ParentNode.InsertAfter( fieldNode, fieldNode.NextSibling ); 
            formXML.Save( this.GetFormFilePath() ); 
            LoadAttributes(); 
            lstAttributes.SelectedValue = fieldColumn; 
        } 
        
        
        
        private void chkDisplayInForm_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            ShowOrHideFieldDetails(); 
        } 
        
        
        
        private void lstAttributes_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            int i = 0; 
            for ( i=0; i<=lstAttributes.Items.Count - 1; i++ ) { 
                if ( lstAttributes.Items[ i ].Value == "#new#" ) { 
                    this.lstAttributes.SelectedValue = "#new#"; 
                    this.ShowMessage( ResMan.GetString( "TemplateDesigner.AlertSaveNewFieldOrDeleteItFirst" ) ); 
                    EnableFieldEditing(); 
                    return; 
                } 
            } 
            LoadSelectedField(); 
        } 
        
        
        
        private void LoadSelectedField() { 
            XmlDocument xml = null; 
            XmlNode fieldNode = null; 
            xml = this.GetFormXML(); 
            fieldNode = xml.SelectSingleNode( "/form/field[@column='" + lstAttributes.SelectedValue + "']" ); 
            this.txtAttributeName.Text = GetAttributeValue( fieldNode, "column" ); 
            ViewState[ "originalColumn" ] = GetAttributeValue( fieldNode, "column" ); 
            this.txtAttributeSize.Text = GetAttributeValue( fieldNode, "columnsize" ); 
            if ( fieldNode.Attributes[ "defaultvalue" ] == null ) { 
                this.txtDefaultValue.Text = ""; 
            } 
            else { 
                this.txtDefaultValue.Text = fieldNode.Attributes[ "defaultvalue" ].Value; 
            } 
            if ( this.lstAttributeType.Items.Count == 0 ) { 
                LoadAttributeTypes(); 
            } 
            this.lstAttributeType.SelectedValue = GetAttributeValue( fieldNode, "columntype" ); 
            this.FillFieldTypes(); 
            this.chkAllowEmpty.Checked = ( GetAttributeValue( fieldNode, "allowempty" ) == "true" ); 
            this.chkDisplayInForm.Checked = ( GetAttributeValue( fieldNode, "visible" ) == "true" ); 
            this.lstFieldType.SelectedValue = GetAttributeValue( fieldNode, "fieldtype" ); 
            this.txtDescription.Text = GetAttributeValue( fieldNode, "fielddescription" ); 
            this.txtFieldCaption.Text = GetAttributeValue( fieldNode, "fieldcaption" ); 
            // set advanced options values
            this.txtTextAreaCols.Text = ""; 
            this.txtTextAreaRows.Text = ""; 
            this.txtHTMLAreaHeight.Text = ""; 
            this.txtHTMLAreaWidth.Text = ""; 
            this.radDropDownListOptions.Checked = true; 
            this.radDropDownListSQL.Checked = false; 
            this.txtDropDownListOptions.Text = ""; 
            this.chkCalendarSettingsEditTime.Checked = true; 
            this.txtUserControlSettingsName.Text = ""; 
            // primary key not allowed to change
            if ( fieldNode.Attributes[ "isPK" ] == null ) { 
                EnableFieldEditing(); 
            } 
            else { 
                DisableFieldEditing(); 
            } 
            // advanced options
            if ( !( GetAttributeValue( fieldNode, "fieldtype" ) == null ) ) { 
                switch ( GetAttributeValue( fieldNode, "fieldtype" ).ToLower() ) {
                    case "textarea":
                        if ( !( fieldNode.SelectSingleNode( "settings/cols" ) == null ) ) { 
                            this.txtTextAreaCols.Text = fieldNode.SelectSingleNode( "settings/cols" ).InnerText; 
                        } 
                        if ( !( fieldNode.SelectSingleNode( "settings/rows" ) == null ) ) { 
                            this.txtTextAreaRows.Text = fieldNode.SelectSingleNode( "settings/rows" ).InnerText; 
                        } 
                        break;
                    case "htmlarea":
                        if ( !( fieldNode.SelectSingleNode( "settings/width" ) == null ) ) { 
                            this.txtHTMLAreaWidth.Text = fieldNode.SelectSingleNode( "settings/width" ).InnerText; 
                        } 
                        if ( !( fieldNode.SelectSingleNode( "settings/height" ) == null ) ) { 
                            this.txtHTMLAreaHeight.Text = fieldNode.SelectSingleNode( "settings/height" ).InnerText; 
                        } 
                        break;
                    case "dropdownlist":
                        if ( !( fieldNode.SelectSingleNode( "settings/query" ) == null ) ) { 
                            this.radDropDownListSQL.Checked = true; 
                            this.radDropDownListOptions.Checked = false; 
                            this.txtDropDownListOptions.Text = fieldNode.SelectSingleNode( "settings/query" ).InnerText; 
                        } 
                        if ( !( fieldNode.SelectSingleNode( "settings/options" ) == null ) ) { 
                            XmlNode optionNode = null; 
                            foreach ( System.Xml.XmlNode transTemp1 in fieldNode.SelectNodes( "settings/options/item" ) ) { 
                                optionNode = transTemp1;  
                                this.txtDropDownListOptions.Text += optionNode.Attributes[ "value" ].Value + ";" + optionNode.Attributes[ "text" ].Value + Constants.vbCrLf; 
                            }
                        } 
                        break;
                    case "calendar":
                        if ( !( fieldNode.SelectSingleNode( "settings/editTime" ) == null ) ) { 
                            if ( fieldNode.SelectSingleNode( "settings/editTime" ).InnerText.ToLower() == "true" ) { 
                                this.chkCalendarSettingsEditTime.Checked = true; 
                            } 
                            else { 
                                this.chkCalendarSettingsEditTime.Checked = false; 
                            } 
                        } 
                        break;
                    case "usercontrol":
                        if ( !( fieldNode.SelectSingleNode( "settings/controlname" ) == null ) ) { 
                            this.txtUserControlSettingsName.Text = fieldNode.SelectSingleNode( "settings/controlname" ).InnerText; 
                        } 
                        break;
                }
                
            } 
            ShowOrHideFieldDetails(); 
            EnableOrDisableAttributeSize(); 
            ShowAdvancedOptions(); 
        } 
        
        
        
        private string GetAttributeValue( XmlNode node, string attributeName ) { 
            if ( node.Attributes[ attributeName ] == null ) { 
                return null; 
            } 
            else { 
                return node.Attributes[ attributeName ].Value; 
            } 
        } 
        
        
        
        private void ShowOrHideFieldDetails() { 
            if ( this.chkDisplayInForm.Checked ) { 
                ShowFieldDetails(); 
            } 
            else { 
                HideFieldDetails(); 
            } 
        } 
        
        
        
        private void ShowFieldDetails() { 
            this.pnlDisplayInForm.Enabled = true; 
            this.txtFieldCaption.ReadOnly = false; 
            this.txtDescription.ReadOnly = false; 
            if ( !( this.lstFieldType.Attributes[ "disabled" ] == null ) ) { 
                this.lstFieldType.Attributes.Remove( "disabled" ); 
            } 
        } 
        
        
        
        private void HideFieldDetails() { 
            this.pnlDisplayInForm.Enabled = false; 
            this.txtFieldCaption.ReadOnly = true; 
            this.txtDescription.ReadOnly = true; 
            this.lstFieldType.Attributes.Add( "disabled", "true" ); 
        } 
        
        
        
        ///<summary>Disables field editing controls, except field name</summary>
        private void DisableFieldEditing() { 
            this.txtDefaultValue.Enabled = false; 
            this.lstAttributeType.Enabled = false; 
            this.chkAllowEmpty.Enabled = false; 
        } 
        
        
        
        ///<summary>Enables field editing controls, except field name</summary>
        private void EnableFieldEditing() { 
            this.txtDefaultValue.Enabled = true; 
            this.lstAttributeType.Enabled = true; 
            this.chkAllowEmpty.Enabled = true; 
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            // validate
            int i = 0; 
            const string INVALIDCHARACTERS = @".,;'`:/\*|?""&%$!-+=()[]{} "; 
            
            string errorMessage = ""; 
            txtAttributeName.Text = txtAttributeName.Text.Trim(); 
            // check if attribute name isn't empty
            if ( txtAttributeName.Text + "" == "" ) { 
                errorMessage += ResMan.GetString( "TemplateDesigner.ErrorEmptyAttributeName" ) + " "; 
            } 
            // check if attribute name starts with a letter
            if ( txtAttributeName.Text + "" != "" && !( char.IsLetter( char.Parse( txtAttributeName.Text.Substring( 0, 1 ) ) ) ) ) { 
                errorMessage += ResMan.GetString( "TemplateDesigner.ErrorAttributeNameDoesNotStartWithLetter" ) + " "; 
            } 
            // chekc attribute size value
            if ( lstAttributeType.SelectedValue.ToLower() == "text" ) { 
                if ( txtAttributeSize.Text + "" == "" ) { 
                    errorMessage += ResMan.GetString( "TemplateDesigner.ErrorEmptyAttributeSize" ) + " "; 
                } 
                else { 
                    try { 
                        if ( int.Parse( txtAttributeSize.Text ) <= 0 ) { 
                            throw new Exception( "" ); 
                        } 
                    } 
                    catch ( Exception ex ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorInvalidAttributeSize" ) + " "; 
                    } 
                } 
            } 
            // check if field caption is entered
            if ( this.chkDisplayInForm.Checked ) { 
                if ( this.txtFieldCaption.Text.Trim() + "" == "" ) { 
                    errorMessage += ResMan.GetString( "TemplateDesigner.ErrorEmptyFieldCaption" ) + " "; 
                } 
            } 
            // check check attribute name for invalid characters
            for ( i=0; i<=INVALIDCHARACTERS.Length - 1; i++ ) { 
                if ( Strings.InStr( txtAttributeName.Text, "" + INVALIDCHARACTERS[ i ], (Microsoft.VisualBasic.CompareMethod)(0) ) > 0 ) { 
                    errorMessage += ResMan.GetString( "TemplateDesigner.ErrorInvalidCharacter" ) + INVALIDCHARACTERS + "."; 
                } 
            } 
            
            if ( errorMessage + "" != "" ) { 
                lblErrorMessage.Text = errorMessage; 
            } 
            else { 
                lblErrorMessage.Text = ""; 
                SaveSelectedField(); 
            } 
        } 
        
        
        
        private void SaveSelectedField() { 
            XmlDocument xml = this.GetFormXML(); 
            XmlNode fieldnode = null; 
            string errorMessage = null; 
            
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            
            // ensure uniqueness
            if ( System.Convert.ToString( ViewState[ "originalColumn" ] ) != this.txtAttributeName.Text ) { 
                if ( !( xml.SelectSingleNode( "/form/field[@column='" + this.txtAttributeName.Text + "']" ) == null ) ) { 
                    this.lblErrorMessage.Text = ResMan.GetString( "TemplateDesigner.ErrorExistingColumnName" ); 
                    return; 
                } 
            } 
            if ( System.Convert.ToString( ViewState[ "originalColumn" ] ) + "" == "" ) { 
                // new node
                fieldnode = xml.CreateNode( XmlNodeType.Element, "", "field", "" ); 
                xml.DocumentElement.AppendChild( fieldnode ); 
                errorMessage = ""; 
                errorMessage += ValidateAdvancedOptions(); 
                if ( errorMessage + "" == "" ) { 
                    string defValue = null; 
					// Implicit default value
					if ( !( this.chkAllowEmpty.Checked ) & this.txtDefaultValue.Text.Trim() + "" == "" ) 
					{ 
						switch ( this.lstAttributeType.SelectedValue ) 
						{
							case "integer": case "double": case "boolean":
								this.txtDefaultValue.Text = "0"; 
								break;
							case "datetime":
								this.txtDefaultValue.Text = DateAndTime.Now.Date.ToString(); 
								break;
						}
                    
					} 
					if ( !( this.chkAllowEmpty.Checked ) ) 
					{ 
						defValue = this.txtDefaultValue.Text; 
					} 
					if ( this.txtDefaultValue.Text + "" != "" ) 
					{ 
						defValue = this.txtDefaultValue.Text; 
					} 
					// Check if default value is in required format
					if ( !( defValue == null ) && defValue + "" != "" ) 
					{ 
						switch ( this.lstAttributeType.SelectedValue ) 
						{
							case "integer":
								try 
								{ 
									int i = int.Parse( defValue ); 
									defValue = i.ToString(); 
								} 
								catch  
								{ 
									defValue = "0"; 
									errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueInteger" ); 
								} 
								break;
							case "double":
								try 
								{ 
									double d = double.Parse( defValue ); 
									defValue = d.ToString(); 
								} 
								catch  
								{ 
									defValue = "0"; 
									errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueDouble" ); 
								} 
								break;
							case "boolean":
								try 
								{ 
									int b = int.Parse( defValue ); 
									if ( b == 0 ) 
									{ 
										defValue = "0"; 
									} 
									else if ( b == 1 ) 
									{ 
										defValue = "1"; 
									} 
									else 
									{ 
										defValue = "0"; 
										errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueBoolean" ); 
									} 
								} 
								catch  
								{ 
									defValue = "0"; 
									errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueBoolean" ); 
								} 
								break;
							case "datetime":
								try 
								{ 
									DateTime dat = DateTime.Parse( defValue ); 
									defValue = dat.ToString(); 
								} 
								catch  
								{ 
									defValue = "12:00:00"; 
									errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueDateTime" ); 
								} 
								break;
						}
                       
					} 
					errorMessage += AlterTableColumn( this.txtAttributeName.Text, this.lstAttributeType.SelectedValue, this.txtAttributeSize.Text, this.chkAllowEmpty.Checked, true, defValue ); 
                } 
                if ( errorMessage + "" != "" ) { 
                    lblErrorMessage.Text = errorMessage; 
                    return; 
                } 
            } 
            else { 
                // existing node
                fieldnode = xml.SelectSingleNode( "/form/field[@column='" + System.Convert.ToString( ViewState[ "originalColumn" ] ) + "']" ); 
                if ( ( !( fieldnode.Attributes[ "isPK" ] == null ) ) && fieldnode.Attributes[ "isPK" ].Value == "true" ) { 
                    // it's Primary Key
                    // check if the attribute type is integer number
                    if ( !( this.lstAttributeType.SelectedValue == "integer" ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorPKNotInteger" ); 
                    } 
                    // check if allow empty is disabled
                    if ( this.chkAllowEmpty.Checked ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorPKAllowsNulls" ); 
                    } 
                    // check that the field type is label
                    if ( !( this.lstFieldType.SelectedValue == "label" ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorPKisNotLabel" ); 
                    } 
                    if ( errorMessage + "" != "" ) { 
                        lblErrorMessage.Text = ResMan.GetString( "TemplateDesigner.ErrorPKThisIsPK" ) + errorMessage; 
                        return; 
                    } 
                } 
                // modify table structure if necessary
                errorMessage += ValidateAdvancedOptions(); 
                if ( errorMessage + "" != "" ) { 
                    lblErrorMessage.Text = errorMessage; 
                    return; 
                } 
                if ( fieldnode.Attributes[ "column" ].Value != this.txtAttributeName.Text ) { 
                    // rename column first, if necessary
                    errorMessage = this.AlterTableRenameColumn( System.Convert.ToString( ViewState[ "originalColumn" ] ), this.txtAttributeName.Text ); 
                } 
                string defValue = null; 
                if ( ( fieldnode.Attributes[ "isPK" ] == null ) && ( fieldnode.Attributes[ "columntype" ].Value != this.lstAttributeType.SelectedValue | ( fieldnode.Attributes[ "allowempty" ].Value == "true" & !( this.chkAllowEmpty.Checked ) ) | ( fieldnode.Attributes[ "allowempty" ].Value == "false" & this.chkAllowEmpty.Checked ) | ( fieldnode.Attributes[ "columnsize" ].Value.Trim() != this.txtAttributeSize.Text.Trim() ) | ( fieldnode.Attributes[ "defaultvalue" ] == null || fieldnode.Attributes[ "defaultvalue" ].
                Value != this.txtDefaultValue.Text ) ) ) { 
					// Implicit default value
					if ( !( this.chkAllowEmpty.Checked ) & this.txtDefaultValue.Text.Trim() + "" == "" ) 
					{ 
						switch ( this.lstAttributeType.SelectedValue ) 
						{
							case "integer": case "double": case "boolean":
								this.txtDefaultValue.Text = "0"; 
								break;
							case "datetime":
								this.txtDefaultValue.Text = DateAndTime.Now.Date.ToString(); 
								break;
						}
                    
					} 
					if ( !( this.chkAllowEmpty.Checked ) ) 
					{ 
                        defValue = this.txtDefaultValue.Text; 
                    } 
                    if ( this.txtDefaultValue.Text + "" != "" ) { 
                        defValue = this.txtDefaultValue.Text; 
                    } 
                    // Check if default value is in required format
                    if ( !( defValue == null ) && defValue + "" != "" ) { 
                        switch ( this.lstAttributeType.SelectedValue ) {
                            case "integer":
                                try { 
                                    int i = int.Parse( defValue ); 
                                    defValue = i.ToString(); 
                                } 
                                catch  { 
                                    defValue = "0"; 
                                    errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueInteger" ); 
                                } 
                                break;
                            case "double":
                                try { 
                                    double d = double.Parse( defValue ); 
                                    defValue = d.ToString(); 
                                } 
                                catch  { 
                                    defValue = "0"; 
                                    errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueDouble" ); 
                                } 
                                break;
                            case "boolean":
                                try { 
                                    int b = int.Parse( defValue ); 
                                    if ( b == 0 ) { 
                                        defValue = "0"; 
                                    } 
                                    else if ( b == 1 ) { 
                                        defValue = "1"; 
                                    } 
                                    else { 
                                        defValue = "0"; 
                                        errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueBoolean" ); 
                                    } 
                                } 
                                catch  { 
                                    defValue = "0"; 
                                    errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueBoolean" ); 
                                } 
                                break;
                            case "datetime":
                                try { 
                                    DateTime dat = DateTime.Parse( defValue ); 
                                    defValue = dat.ToString(); 
                                } 
                                catch  { 
                                    defValue = "12:00:00"; 
                                    errorMessage = ResMan.GetString( "TemplateDesigner.ErrorDefaultValueDateTime" ); 
                                } 
                                break;
                        }
                       
                    } 
                    if ( errorMessage + "" == "" ) { 
                        errorMessage = AlterTableColumn( this.txtAttributeName.Text, this.lstAttributeType.SelectedValue, this.txtAttributeSize.Text, this.chkAllowEmpty.Checked, false, defValue ); 
                    } 
                } 
                if ( errorMessage + "" != "" ) { 
                    lblErrorMessage.Text = ResMan.GetString( "TemplateDesigner.ErrorDatabaseStructure" ) + " " + errorMessage; 
                    return; 
                } 
            } 
            // update form xml
            SetAttribute( xml, fieldnode, "column", this.txtAttributeName.Text.Trim() ); 
            SetAttribute( xml, fieldnode, "columntype", this.lstAttributeType.SelectedValue ); 
            SetAttribute( xml, fieldnode, "columnsize", this.txtAttributeSize.Text.Trim() ); 
            if ( this.chkAllowEmpty.Checked ) { 
                SetAttribute( xml, fieldnode, "allowempty", "true" ); 
            } 
            else { 
                SetAttribute( xml, fieldnode, "allowempty", "false" ); 
            } 
            SetAttribute( xml, fieldnode, "defaultvalue", this.txtDefaultValue.Text ); 
            if ( this.chkDisplayInForm.Checked ) { 
                SetAttribute( xml, fieldnode, "visible", "true" ); 
                SetAttribute( xml, fieldnode, "fieldcaption", this.txtFieldCaption.Text.Trim() ); 
                SetAttribute( xml, fieldnode, "fieldtype", this.lstFieldType.SelectedValue ); 
                SetAttribute( xml, fieldnode, "fielddescription", this.txtDescription.Text.Trim() ); 
                XmlNode xmlSettings = xml.CreateNode( XmlNodeType.Element, "", "settings", "" ); 
                
                switch ( this.lstFieldType.SelectedValue.ToLower() ) {
                    case "textarea":
                        xmlSettings.InnerXml = "<cols>" + this.txtTextAreaCols.Text + "</cols><rows>" + this.txtTextAreaRows.Text + "</rows>"; 
                        break;
                    case "htmlarea":
                        xmlSettings.InnerXml = "<width>" + this.txtHTMLAreaWidth.Text + "</width><height>" + this.txtHTMLAreaHeight.Text + "</height>"; 
                        break;
                    case "dropdownlist":
                        if ( radDropDownListSQL.Checked ) { 
                            // save query
                            XmlNode queryNode = xml.CreateNode( XmlNodeType.Element, "", "query", "" ); 
                            queryNode.InnerText = this.txtDropDownListOptions.Text; 
                            xmlSettings.AppendChild( queryNode ); 
                        } 
                        else { 
                            // save options
                            XmlNode optionsNode = xml.CreateNode( XmlNodeType.Element, "", "options", "" ); 
                            XmlNode itemNode = null; 
                            xmlSettings.AppendChild( optionsNode ); 
                            string[] lines = Strings.Split( this.txtDropDownListOptions.Text, Constants.vbCrLf, -1, (Microsoft.VisualBasic.CompareMethod)(0) ); 
                            int lineIndex = 0; 
                            string line = null; 
                            for ( lineIndex=0; lineIndex<=lines.GetUpperBound( 0 ); lineIndex++ ) { 
                                line = lines[ lineIndex ]; 
                                itemNode = xml.CreateNode( XmlNodeType.Element, "", "item", "" ); 
                                itemNode.Attributes.Append( xml.CreateAttribute( "", "value", "" ) ); 
                                itemNode.Attributes.Append( xml.CreateAttribute( "", "text", "" ) ); 
                                if ( line.IndexOf( ";" ) > 0 ) { 
                                    itemNode.Attributes[ "value" ].Value = line.Substring( 0, line.IndexOf( ";" ) ); 
                                } 
                                if ( line.IndexOf( ";" ) < line.Length - 1 ) { 
                                    itemNode.Attributes[ "text" ].Value = line.Substring( line.IndexOf( ";" ) + 1 ); 
                                } 
                                if ( itemNode.Attributes[ "value" ].Value.Trim() + itemNode.Attributes[ "text" ].Value.Trim() + "" != "" ) { 
                                    optionsNode.AppendChild( itemNode ); 
                                } 
                            } 
                        } 
                        break;
                    case "calendar":
                        if ( this.chkCalendarSettingsEditTime.Checked ) { 
                            xmlSettings.InnerXml = "<editTime>true</editTime>"; 
                        } 
                        else { 
                            xmlSettings.InnerXml = "<editTime>false</editTime>"; 
                        } 
                        break;
                    case "usercontrol":
                        XmlNode usercontrolNode = xml.CreateNode( XmlNodeType.Element, "", "controlname", "" ); 
                        usercontrolNode.InnerText = this.txtUserControlSettingsName.Text; 
                        xmlSettings.AppendChild( usercontrolNode ); 
                        break;
                }
                
                
                if ( !( fieldnode.SelectSingleNode( "settings" ) == null ) ) { 
                    fieldnode.RemoveChild( fieldnode.SelectSingleNode( "settings" ) ); 
                } 
                fieldnode.AppendChild( xmlSettings ); 
            } 
            else { 
                SetAttribute( xml, fieldnode, "visible", "false" ); 
            } 
            xml.Save( this.GetFormFilePath() ); 
            this.LoadAttributes(); 
            lstAttributes.SelectedValue = fieldnode.Attributes[ "column" ].Value; 
            this.lblInfo.Text = ResMan.GetString( "TemplateDesigner.InfoChangesSaved" ); 
            ViewState[ "originalColumn" ] = this.txtAttributeName.Text; 
        } 
        
        
        
        private void SetAttribute( XmlDocument xml, XmlNode fieldNode, string attributeName, string value ) { 
            if ( fieldNode.Attributes[ attributeName ] == null ) { 
                fieldNode.Attributes.Append( xml.CreateAttribute( "", attributeName, "" ) ); 
            } 
            fieldNode.Attributes[ attributeName ].Value = value; 
        } 
        
        
        
        private void lstAttributeType_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            EnableOrDisableAttributeSize(); 
            FillFieldTypes(); 
            ShowAdvancedOptions(); 
        } 
        
        
        
        private void EnableOrDisableAttributeSize() { 
            if ( lstAttributeType.SelectedValue == "text" ) { 
                this.txtAttributeSize.Enabled = true; 
                this.lblAttributeSize.Enabled = true; 
            } 
            else { 
                this.txtAttributeSize.Enabled = false; 
                this.lblAttributeSize.Enabled = false; 
                this.txtAttributeSize.Text = ""; 
            } 
        } 
        
        
        
        private void btnNewAttribute_Click( System.Object sender, System.Web.UI.ImageClickEventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            // first check if there isn't any new column in the listbox
            ListItem newListItem = null; 
            int i = 0; 
            for ( i=0; i<=lstAttributes.Items.Count - 1; i++ ) { 
                if ( lstAttributes.Items[ i ].Value == "#new#" ) { 
                    ShowMessage( ResMan.GetString( "TemplateDesigner.ErrorCannotCreateAnotherNewAttribute" ) ); 
                    return; 
                } 
            } 
            newListItem = new ListItem( ResMan.GetString( "TemplateDesigner.NewAttribute" ), "#new#" ); 
            this.lstAttributes.Items.Add( newListItem ); 
            this.lstAttributes.SelectedIndex = this.lstAttributes.Items.Count - 1; 
            EnableFieldEditing(); 
            this.txtAttributeName.Text = ""; 
            this.txtAttributeSize.Text = ""; 
            this.txtDefaultValue.Text = ""; 
            this.chkAllowEmpty.Checked = true; 
            this.chkDisplayInForm.Checked = true; 
            this.txtFieldCaption.Text = ""; 
            this.txtDescription.Text = ""; 
            this.lstAttributeType.SelectedIndex = 0; 
            this.lstFieldType.SelectedIndex = 0; 
            ViewState[ "originalColumn" ] = ""; 
            this.FillFieldTypes(); 
            this.ShowFieldDetails(); 
            EnableOrDisableAttributeSize(); 
            ShowAdvancedOptions(); 
        } 
        
        
        
        private void btnDeleteAttribute_Click( System.Object sender, System.Web.UI.ImageClickEventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            XmlDocument xml = null; 
            XmlNode node = null; 
            // check if it's a new attribute that is not yet saved
            if ( this.lstAttributes.SelectedValue != "#new#" ) { 
                // get node representing the attribute
                xml = this.GetFormXML(); 
                node = xml.SelectSingleNode( "/form/field[@column='" + this.lstAttributes.SelectedValue + "']" ); 
                // do now allow deleting of the primary key
                if ( ( !( node.Attributes[ "isPK" ] == null ) ) && node.Attributes[ "isPK" ].Value.ToLower() == "true" ) { 
                    this.lblErrorMessage.Text = ResMan.GetString( "TemplateDesigner.ErrorCannotDeletePK" ); 
                    return; 
                } 
                xml.DocumentElement.RemoveChild( node ); 
                xml.Save( this.GetFormFilePath() ); 
                this.AlterTableDropColumn( this.lstAttributes.SelectedValue ); 
            } 
            // set new selected attribute
            if ( this.lstAttributes.SelectedIndex > 0 ) { 
                this.lstAttributes.SelectedIndex -= 1; 
            } 
            // reload data
            this.LoadAttributes(); 
            this.LoadSelectedField(); 
        } 
        
        
        
        private string AlterTableColumn( string columnName, string columnType, string columnSize, bool allowNulls, bool newColumn, string columnDefaultValue ) { 
            string tableName = null; 
            string query = null; 
            TreeProvider tree = Functions.GetTreeProvider(); 
            string defaultValue = null; 
            
            tableName = this.GetTableName(); 
            if ( tableName + "" == "" ) { 
                return ResMan.GetString( "TemplateDesigner.ErrorTableNameNotSet" ); 
            } 
            query = "ALTER TABLE [" + tableName + "] "; 
            if ( newColumn ) { 
                query += " ADD "; 
            } 
            else { 
                query += " ALTER COLUMN "; 
            } 
            query += " [" + columnName + "] "; 
            string coltype = null; 
            switch ( columnType ) {
                case "integer":
                    coltype = " int "; 
                    break;
                case "double":
                    coltype = " float "; 
                    break;
                case "boolean":
                    coltype = " bit "; 
                    break;
                case "datetime":
                    coltype = " datetime "; 
                    break;
                case "longtext":
                    coltype = " ntext "; 
                    break;
                default:
                    coltype = " nvarchar(" + columnSize + ") "; 
                    break;
            }
            
            query += coltype; 
            // drop previous default constraint
            if ( !( newColumn ) ) { 
                try { 
                    tree.Connection.DataConnection.ExecuteQuery( "ALTER TABLE [" + tableName + "] DROP constraint [DEFAULT_" + tableName + "_" + columnName + "] ", null, MetadataQueryTypeEnum.SQLQuery ); 
                } 
                catch ( Exception ex ) { 
                } 
            } 
            // set default value query part
            switch ( columnType ) {
                case "integer": case "double": case "boolean":
                    // when default value necessary and not given, for number types default 0
                    if ( columnDefaultValue == null ) { 
                        if ( !( allowNulls ) ) { 
                            defaultValue = " DEFAULT 0 "; 
                        } 
                    } 
                    else { 
                        if ( columnDefaultValue.Trim() + "" == "" ) { 
                            if ( !( allowNulls ) ) { 
                                defaultValue = " DEFAULT 0 "; 
                            } 
                        } 
                        else { 
                            defaultValue = " DEFAULT " + columnDefaultValue.Replace( "'", "''" ) + " "; 
                        } 
                    } 
                    break;
                case "datetime":
                    // when default value necessary and not given, for date types default 12:00:00
                    if ( columnDefaultValue == null ) { 
                        if ( !( allowNulls ) ) { 
                            defaultValue = " DEFAULT '12:00:00' "; 
                        } 
                    } 
                    else { 
                        if ( columnDefaultValue.Trim() + "" == "" ) { 
                            if ( !( allowNulls ) ) { 
                                defaultValue = " DEFAULT '12:00:00' "; 
                            } 
                        } 
                        else { 
                            defaultValue = " DEFAULT '" + columnDefaultValue.Replace( "'", "''" ) + "' "; 
                        } 
                    } 
                    break;
                default:
                    // when default value necessary and not given, for other types default ''
                    if ( columnDefaultValue == null ) { 
                        if ( !( allowNulls ) ) { 
                            defaultValue = " DEFAULT '' "; 
                        } 
                    } 
                    else { 
                        if ( !( allowNulls ) | columnDefaultValue + "" != "" ) { 
                            defaultValue = " DEFAULT '" + columnDefaultValue.Replace( "'", "''" ) + "' "; 
                        } 
                    } 
                    break;
            }
            
            if ( allowNulls ) { 
                query += " NULL "; 
            } 
            else { 
                if ( newColumn & !( defaultValue == null ) ) { 
                    // newColumn cannot be created with NOT NULL and without DEFAULT specified, thus it must be created as normal one first and after the creation of the default constraint changed to NOT NULL
                } 
                else { 
                    query += " NOT NULL "; 
                } 
            } 
            // Alter the table column
            try { 
                tree.Connection.DataConnection.ExecuteQuery( query, null, MetadataQueryTypeEnum.SQLQuery ); 
                SaveXMLSchema(); 
            } 
            catch ( Exception ex ) { 
                return ex.Message; 
            } 
            // when default value clause specified, add constraint
            if ( !( defaultValue == null ) ) { 
                // then add new
                try { 
                    tree.Connection.DataConnection.ExecuteQuery( "ALTER TABLE [" + tableName + "] ADD constraint [DEFAULT_" + tableName + "_" + columnName + "] " + defaultValue + " for [" + columnName + "] ", null, MetadataQueryTypeEnum.SQLQuery ); 
                } 
                catch ( Exception ex ) { 
                } 
                // Alter the table column to NOT NULL if necessary
                if ( !( allowNulls ) & newColumn ) { 
                    query = "ALTER TABLE [" + tableName + "] ALTER COLUMN [" + columnName + "] " + coltype + " NOT NULL"; 
                    try { 
                        tree.Connection.DataConnection.ExecuteQuery( query, null, MetadataQueryTypeEnum.SQLQuery ); 
                    } 
                    catch ( Exception ex ) { 
                        return ex.Message; 
                    } 
                } 
            } 
            return ""; 
        } 
        
        
        
        private string AlterTableRenameColumn( string oldName, string newName ) { 
            string tableName = null; 
            string query = null; 
            TreeProvider tree = Functions.GetTreeProvider(); 
            
            tableName = this.GetTableName(); 
            if ( tableName + "" == "" ) { 
                return ResMan.GetString( "TemplateDesigner.ErrorTableNameNotSet" ); 
            } 
            // Drop default constraint if exists
            try { 
                tree.Connection.DataConnection.ExecuteQuery( "ALTER TABLE [" + tableName + "] DROP constraint [DEFAULT_" + tableName + "_" + oldName + "] ", null, MetadataQueryTypeEnum.SQLQuery ); 
            } 
            catch ( Exception ex ) { 
            } 
            query = "EXEC sp_rename '[" + tableName + "].[" + oldName + "]', '" + newName + "', 'COLUMN'"; 
            try { 
                tree.Connection.DataConnection.ExecuteQuery( query, null, MetadataQueryTypeEnum.SQLQuery ); 
                SaveXMLSchema(); 
            } 
            catch ( Exception ex ) { 
                return ex.Message; 
            } 
            return ""; 
        } 
        
        
        
        private string AlterTableDropColumn( string columnName ) { 
            string tableName = null; 
            string query = null; 
            TreeProvider tree = Functions.GetTreeProvider(); 
            
            tableName = this.GetTableName(); 
            if ( tableName + "" == "" ) { 
                return ResMan.GetString( "TemplateDesigner.ErrorTableNameNotSet" ); 
            } 
            // remove default constraint
            query = "ALTER TABLE [" + tableName + "] DROP CONSTRAINT [DEFAULT_" + tableName + "_" + columnName + "] "; 
            try { 
                tree.Connection.DataConnection.ExecuteQuery( query, null, MetadataQueryTypeEnum.SQLQuery ); 
                SaveXMLSchema(); 
            } 
            catch  { 
            } 
            // delete column
            query = "ALTER TABLE [" + tableName + "] DROP COLUMN [" + columnName + "]"; 
            try { 
                tree.Connection.DataConnection.ExecuteQuery( query, null, MetadataQueryTypeEnum.SQLQuery ); 
                SaveXMLSchema(); 
            } 
            catch ( Exception ex ) { 
                return ex.Message; 
            } 
            return ""; 
        } 
        
        
        
        private void SaveXMLSchema() { 
            string tableName = null; 
            string className = null; 
            
            tableName = GetTableName(); 
            className = GetClassName(); 
            // get XML Schema
            SqlConnection cn = new SqlConnection( Functions.GetConnectionString() ); 
            SqlDataAdapter da = new SqlDataAdapter( "select top 1 * from " + tableName + " order by 1 ", cn ); 
            DataSet ds = new DataSet(); 
            da.FillSchema( ds, SchemaType.Mapped, className ); 
            // save XML Schema
            MetadataProvider.SetXMLSchema( className, Strings.Replace( ds.GetXmlSchema() + "", "utf-16", "utf-8", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) ); 
            
            // generate and save basic queries
            MetadataQuery query = null; 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.SelectQuery ); 
            MetadataProvider.SetQuery( className + ".select", query ); 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.InsertQuery ); 
            MetadataProvider.SetQuery( className + ".insert", query ); 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.UpdateQuery ); 
            MetadataProvider.SetQuery( className + ".update", query ); 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.DeleteQuery ); 
            MetadataProvider.SetQuery( className + ".delete", query ); 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.SelectByPathQuery ); 
            MetadataProvider.SetQuery( className + ".selectbypath", query ); 
            query = QueryGenerator.GetQuery( className, BasicQueriesEnum.SearchTreeQuery ); 
            MetadataProvider.SetQuery( className + ".searchtree", query ); 
        } 
        
        
        
        private string GetTableName() { 
            return MetadataProvider.GetSettingsValue( GetClassName(), "tablename" ); 
        } 
        
        
        
        private void FillFieldTypes() { 
            this.lstFieldType.Items.Clear(); 
            this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.Label" ), "label" ) ); 
            switch ( this.lstAttributeType.SelectedValue ) {
                case "text":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.TextBox" ), "textbox" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.DropDownList" ), "dropdownlist" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.ImagePath" ), "imagepath" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.FilePath" ), "filepath" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.Upload" ), "upload" ) ); 
                    break;
                case "longtext":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.TextArea" ), "textarea" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.HTMLArea" ), "htmlarea" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    break;
                case "integer":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.TextBox" ), "textbox" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.DropDownList" ), "dropdownlist" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    break;
                case "double":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.TextBox" ), "textbox" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.DropDownList" ), "dropdownlist" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    break;
                case "datetime":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.Calendar" ), "calendar" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.DropDownList" ), "dropdownlist" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    break;
                case "boolean":
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.CheckBox" ), "checkbox" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.DropDownList" ), "dropdownlist" ) ); 
                    this.lstFieldType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.FieldTypes.UserControl" ), "usercontrol" ) ); 
                    break;
            }
            
        } 
        
        
        
        private void ShowMessage( string message ) { 
            this.ltlScript.Text = @"<script language=""javascript"">" + " alert('" + Strings.Replace( message, "'", @"\'", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) + "'); " + "</script>"; 
        } 
        
        
        
        private void lstFieldType_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            ShowAdvancedOptions(); 
        } 
        
        
        
        private void ShowAdvancedOptions() { 
            this.pnlCalendarSettings.Visible = false; 
            this.pnlDropDownListSettings.Visible = false; 
            this.pnlHTMLAreaSettings.Visible = false; 
            this.pnlTextAreaSettings.Visible = false; 
            this.pnlUserControlSettings.Visible = false; 
            
            switch ( this.lstFieldType.SelectedValue.ToLower() ) {
                case "textarea":
                    this.pnlTextAreaSettings.Visible = true; 
                    break;
                case "htmlarea":
                    this.pnlHTMLAreaSettings.Visible = true; 
                    break;
                case "dropdownlist":
                    this.pnlDropDownListSettings.Visible = true; 
                    break;
                case "calendar":
                    this.pnlCalendarSettings.Visible = true; 
                    break;
                case "usercontrol":
                    this.pnlUserControlSettings.Visible = true; 
                    break;
            }
            
        } 
        
        
        
        private string ValidateAdvancedOptions() { 
            string errorMessage = null; 
            
            switch ( this.lstFieldType.SelectedValue.ToLower() ) {
                case "textarea":
                    // check cols and rows values
                    if ( txtTextAreaCols.Text.Trim() + "" != "" && !( ( Information.IsNumeric( txtTextAreaCols.Text ) ) ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorTextAreaColsNotNumber" ); 
                    } 
                    if ( txtTextAreaRows.Text.Trim() + "" != "" && !( ( Information.IsNumeric( txtTextAreaRows.Text ) ) ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorTextAreaRowsNotNumber" ); 
                    } 
                    break;
                case "htmlarea":
                    // check width and height values
                    if ( txtHTMLAreaHeight.Text.Trim() + "" != "" && !( ( Information.IsNumeric( txtHTMLAreaHeight.Text ) ) ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorHTMLAreaHeightNotNumber" ); 
                    } 
                    if ( txtHTMLAreaWidth.Text.Trim() + "" != "" && !( ( Information.IsNumeric( txtHTMLAreaWidth.Text ) ) ) ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorHTMLAreaWidthNotNumber" ); 
                    } 
                    break;
                case "dropdownlist":
                    // check options or sql query
                    if ( radDropDownListSQL.Checked && this.txtDropDownListOptions.Text.Trim() + "" == "" ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorDropDownListQueryEmpty" ); 
                    } 
                    if ( this.radDropDownListOptions.Checked ) { 
                        if ( this.txtDropDownListOptions.Text.Trim() + "" == "" ) { 
                            errorMessage += ResMan.GetString( "TemplateDesigner.ErrorDropDownListOptionsEmpty" ); 
                        } 
                        else { 
                            string line = null; 
                            int lineIndex = 0; 
                            string[] lines = this.txtDropDownListOptions.Text.Split( Strings.Chr( 10 ) ); 
                            for ( lineIndex=0; lineIndex<=lines.GetUpperBound( 0 ); lineIndex++ ) { 
                                if ( Strings.Trim( lines[ lineIndex ] + "" ) + "" != "" && Strings.InStr( lines[ lineIndex ], ".", (Microsoft.VisualBasic.CompareMethod)(0) ) > 0 ) { 
                                    errorMessage += ResMan.GetString( "TemplateDesigner.ErrorDropDownListOptionsInvalidFormat" ); 
                                } 
                            } 
                        } 
                    } 
                    this.pnlDropDownListSettings.Visible = true; 
                    break;
                case "calendar":
                    // do nothing
                    break;
                case "usercontrol":
                    if ( this.txtUserControlSettingsName.Text.Trim() + "" == "" ) { 
                        errorMessage += ResMan.GetString( "TemplateDesigner.ErrorUserControlNameEmpty" ); 
                    } 
                    break;
            }
            
            return errorMessage; 
        } 
        
        
        
        private void LoadAttributeTypes() { 
            if ( this.lstAttributeType.Items.Count > 0 ) { 
                return; 
            } 
            // fill list
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.Text" ), "text" ) ); 
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.LongText" ), "longtext" ) ); 
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.Integer" ), "integer" ) ); 
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.Double" ), "double" ) ); 
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.DateAndTime" ), "datetime" ) ); 
            this.lstAttributeType.Items.Add( new ListItem( ResMan.GetString( "TemplateDesigner.AttributTypes.Boolean" ), "boolean" ) ); 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
