using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class TemplateWizard : System.Web.UI.Page { 
        
        protected /* TRANSINFO: WithEvents */ TemplateWizard_Names TemplateWizard_Names1; 
        protected /* TRANSINFO: WithEvents */ TemplateWizard_Attributes TemplateWizard_Attributes1; 
        protected /* TRANSINFO: WithEvents */ TemplateWizard_ParentTemplates TemplateWizard_ParentTemplates1; 
        protected /* TRANSINFO: WithEvents */ TemplateWizard_Table TemplateWizard_Table1; 
        protected /* TRANSINFO: WithEvents */ TemplateWizard_Finished TemplateWizard_Finished1; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblErrorPermissions; 
        protected /* TRANSINFO: WithEvents */ TemplateWizard_NodeName TemplateWizard_NodeName1; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnNext_Click
             
            btnNext.Click += new System.EventHandler( btnNext_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnNext; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblStepHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblStepDescription; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Create" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Create" ); 
                return; 
            } 
            
            Functions.RedirectExpressEdition( "CMSDesk.TemplateWizard" ); 
            
            if ( !( Page.IsPostBack ) ) { 
                this.lblHeader.Text = ResMan.GetString( "TemplateWizard.Header" ); 
                this.btnNext.Text = ResMan.GetString( "TemplateWizard.Next" ); 
                
                string errorMsg = Functions.CheckSystemPermissions(); 
                if ( errorMsg + "" != "" ) { 
                    lblErrorPermissions.Visible = true; 
                    lblErrorPermissions.Text = errorMsg; 
                    this.btnNext.Enabled = false; 
                } 
                else { 
                    CurrentStep = 1; 
                    ShowStep( 1 ); 
                } 
            } 
        } 
        
        
        
        private void ShowStep( int stepNumber ) { 
            TemplateWizard_Names1.Visible = false; 
            TemplateWizard_Attributes1.Visible = false; 
            TemplateWizard_ParentTemplates1.Visible = false; 
            TemplateWizard_Table1.Visible = false; 
            TemplateWizard_Finished1.Visible = false; 
            TemplateWizard_NodeName1.Visible = false; 
            
            switch ( stepNumber ) {
                case 1:
                    TemplateWizard_Names1.Visible = true; 
                    break;
                case 2:
                    TemplateWizard_Table1.Visible = true; 
                    break;
                case 3:
                    TemplateWizard_Attributes1.Visible = true; 
                    break;
                case 4:
                    this.TemplateWizard_NodeName1.Visible = true; 
                    break;
                case 5:
                    TemplateWizard_ParentTemplates1.Visible = true; 
                    break;
                case 6:
                    TemplateWizard_Finished1.Visible = true; 
                    this.btnNext.Enabled = false; 
                    break;
            }
            
            
            this.lblStepHeader.Text = GetCurrentStepControl().GetStepHeader(); 
            this.lblStepDescription.Text = GetCurrentStepControl().GetStepDescription(); 
        } 
        
        
        
        public int CurrentStep { 
            get { 
                return System.Convert.ToInt32( ViewState[ "CurrentStep" ] ); 
            } 
            set { 
                ViewState[ "CurrentStep" ] = value; 
            } 
        } 
        
        
        private ITemplateWizardStep GetCurrentStepControl() { 
            switch ( CurrentStep ) {
                case 1:
                    return TemplateWizard_Names1; 
                case 2:
                    return TemplateWizard_Table1; 
                case 3:
                    return TemplateWizard_Attributes1; 
                case 4:
                    return TemplateWizard_NodeName1; 
                case 5:
                    return TemplateWizard_ParentTemplates1; 
                case 6:
                    return TemplateWizard_Finished1; 
                default:
                    return TemplateWizard_Names1; 
            }
            
        } 
        
        
        
        private void btnNext_Click( System.Object sender, System.EventArgs e ) { 
            if ( GetCurrentStepControl().IsValid() & CurrentStep < 6 ) { 
                if ( CurrentStep == 1 ) { 
                    this.ClassName = this.TemplateWizard_Names1.ClassName; 
                    this.ClassID = this.TemplateWizard_Names1.ClassID; 
                    TemplateWizard_Table1.ClassID = this.ClassID; 
                    TemplateWizard_Table1.ClassName = this.ClassName; 
                    TemplateWizard_ParentTemplates1.ClassID = this.ClassID; 
                    TemplateWizard_NodeName1.ClassName = this.ClassName; 
                } 
                if ( CurrentStep == 2 ) { 
                    this.TemplateWizard_Attributes1.ClassName = this.ClassName; 
                } 
                if ( CurrentStep == 3 ) { 
                    this.TemplateWizard_NodeName1.LoadFields(); 
                } 
                CurrentStep += 1; 
                if ( CurrentStep == 5 ) { 
                    TemplateWizard_ParentTemplates1.ClassID = this.ClassID; 
                    TemplateWizard_Finished1.ClassID = this.ClassID; 
                    TemplateWizard_Finished1.ClassName = this.ClassName; 
                    TemplateWizard_Finished1.FinishWizard(); 
                } 
                
                this.ShowStep( CurrentStep ); 
            } 
        } 
        
        
        
        public string ClassName { 
            get { 
                return System.Convert.ToString( ViewState[ "ClassName" ] ); 
            } 
            set { 
                ViewState[ "ClassName" ] = value; 
            } 
        } 
        
        
        public int ClassID { 
            get { 
                return System.Convert.ToInt32( ViewState[ "ClassID" ] ); 
            } 
            set { 
                ViewState[ "ClassID" ] = value; 
            } 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
