using System.Threading; 


///<summary>Resource manager class that retrieves localized strings from resources.</summary>
using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class ResMan  { 
        private static Kentico.ResourceManager.FileResourceManager mResMan; 
        
        ///<summary>Returns specified string from the resources.</summary>
        ///<param name="stringName">Name of the string.</param>
        public static string GetString( string stringName ) { 
            if ( mResMan == null ) { 
                mResMan = new Kentico.ResourceManager.FileResourceManager( HttpContext.Current.Server.MapPath( "~/cms_resources/Kentico-CMS-CMSDesk.resx" ) ); 
            } 
            return mResMan.GetString( stringName, Functions.GetPreferredUICulture().ToString() ); 
        } 
        
    } 
    
    
} 
