function right(str, chars)
{
  return str.substr(str.length - chars, str.length);
}

function left(str, chars)
{
  return str.substr(0, chars);
}

function replace(str, what, withwhat)
{
  return str.replace(what, withwhat);
}

function getLastPart(str, separator)
{
  var arr = str.split('/');
  return arr[arr.length - 1];  
}

function ToggleNode(NodeImg) 
{
  if (right(NodeImg.src, 8) == "plus.gif")
  {
	ExpandNode(replace(NodeImg.getAttribute("ID"), "togImg_", ""), "");
  }
  else
  {
    CollapseNode(replace(NodeImg.getAttribute("ID"), "togImg_", ""));
  }
}

function ExpandNode(NodeID, SelectID) 				
{				
  var address = document.location.pathname;
  var page = getLastPart(document.location.pathname, '/');  
  var base = left(address, address.length - page.length);
  var togImg = document.getElementById("togImg_" + NodeID);
  var tog = getLastPart(togImg.src, '/');    
  togImg.src = left(togImg.src, togImg.src.length - tog.length + 1) + "minus.gif";
  document.getElementById("nodeImg_" + NodeID).src = document.getElementById("nodeImg_" + NodeID).getAttribute("imgE");
  document.getElementById("sub_" + NodeID).style.display = "block";
  document.getElementById("sub_" + NodeID).innerHTML = LoadingText;    
  parent.frames["treedata"].document.location.href = base + PageName + "?Action=ExpandNode&TreeID=" + TreeID + "&NodeID=" + NodeID.split('&apos;').join('\'') + "&Value=" + document.getElementById("togImg_" + NodeID).getAttribute("value") + "&Sample=" + document.getElementById("togImg_" + NodeID).getAttribute("sample") + "&selectID=" + SelectID.split('&apos;').join('\'') 
}

function CollapseNode(NodeID)
{             
  var togImg = document.getElementById("togImg_" + NodeID);  
  var tog = getLastPart(togImg.src);
  togImg.src = left(togImg.src, togImg.src.length - tog.length + 1) + "plus.gif";
  document.getElementById("nodeImg_" + NodeID).src = document.getElementById("nodeImg_" + NodeID).getAttribute("imgC");
  document.getElementById("sub_" + NodeID).style.display = "none";
}

function SelectNode(NodeID)
{  
  if (document.getElementById("selectedNode_" + TreeID).value != "")
  {
    LightOff(document.getElementById("selectedNode_" + TreeID).value);
  }
  document.getElementById("selectedNode_" + TreeID).value = NodeID;  
  if (document.getElementById("nodeTxt_" + NodeID))
  {
	document.getElementById("nodeTxt_" + NodeID).className = "TreeNodeTextSelected";
  }
}

function LightOff(NodeID) 
{
  if (document.getElementById("nodeTxt_" + NodeID) != null)
  {
	document.getElementById("nodeTxt_" + NodeID).className = "TreeNodeText";
  }
}

function ReloadSelectedNode() 
{
  var togImg = document.getElementById("togImg_" + document.getElementById("selectedNode_" + TreeID).value);  
  if (right(togImg.src, 9) == "minus.gif")
  {
    CollapseNode(document.getElementById("selectedNode_" + TreeID + "").value);
    ExpandNode(document.getElementById("selectedNode_" + TreeID).value, document.getElementById("selectedNode_" + TreeID).value);
  }
}

function FindNode(findIDPath, currentIDPath)
{
  var address = document.location.pathname;
  var page = getLastPart(document.location.pathname, '/');  
  var base = left(address, address.length - page.length);
  var togImg = document.getElementById("togImg_" + currentIDPath);
  var tog = getLastPart(togImg.src, '/');    
  togImg.src = left(togImg.src, togImg.src.length - tog.length + 1) + "minus.gif";
  document.getElementById("nodeImg_" + currentIDPath).src = document.getElementById("nodeImg_" + currentIDPath).getAttribute("imgE");
  document.getElementById("sub_" + currentIDPath).style.display = "block";
  document.getElementById("sub_" + currentIDPath).innerHTML = LoadingText;    
  parent.frames["treedata"].document.location.href = base + PageName + "?Action=FindNode&TreeID=" + TreeID + "&NodeID=" + currentIDPath + "&Value=" + document.getElementById("togImg_" + currentIDPath).getAttribute("value") + "&Sample=" + document.getElementById("togImg_" + currentIDPath).getAttribute("sample") + "&findIDPath=" + findIDPath + "&idpath=" + currentIDPath
}