Imports Kentico.CMS.DataEngine

Public Class EventLogDetails
    Inherits System.Web.UI.Page

#Region " Web Form Designer Generated Code "

    'This call is required by the Web Form Designer.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub
    Protected WithEvents lblHeader As System.Web.UI.WebControls.Label
    Protected WithEvents btnClose As System.Web.UI.WebControls.Button

    Protected WithEvents lblEventID As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventType As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventTime As System.Web.UI.WebControls.Label
    Protected WithEvents lblSource As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventCode As System.Web.UI.WebControls.Label
    Protected WithEvents lblUserID As System.Web.UI.WebControls.Label
    Protected WithEvents lblUserName As System.Web.UI.WebControls.Label
    Protected WithEvents lblIPAddress As System.Web.UI.WebControls.Label
    Protected WithEvents lblNodeID As System.Web.UI.WebControls.Label
    Protected WithEvents lblNodeName As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventDescription As System.Web.UI.WebControls.Label

    Protected WithEvents lblEventIDValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventTypeValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventTimeValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblSourceValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventCodeValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblUserIDValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblUserNameValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblIPAddressValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblNodeIDValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblNodeNameValue As System.Web.UI.WebControls.Label
    Protected WithEvents lblEventDescriptionValue As System.Web.UI.WebControls.Label

    'NOTE: The following placeholder declaration is required by the Web Form Designer.
    'Do not delete or move it.
    Private designerPlaceholderDeclaration As System.Object

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        'CODEGEN: This method call is required by the Web Form Designer
        'Do not modify it using the code editor.
        InitializeComponent()
    End Sub

#End Region

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Check permissions
        If Not Functions.IsAuthorizedPerResource("CMS.Administration", "Read") Then
            Functions.RedirectToAccessDenied("CMS.Administration", "Read")
            Exit Sub
        End If

        lblHeader.Text = ResMan.GetString("EventLogDetails.Header")

        'Set table labels
        lblEventID.Text = ResMan.GetString("EventLogDetails.EventID")
        lblEventType.Text = ResMan.GetString("EventLogDetails.EventType")
        lblEventTime.Text = ResMan.GetString("EventLogDetails.EventTime")
        lblSource.Text = ResMan.GetString("EventLogDetails.Source")
        lblEventCode.Text = ResMan.GetString("EventLogDetails.EventCode")
        lblUserID.Text = ResMan.GetString("EventLogDetails.UserID")
        lblUserName.Text = ResMan.GetString("EventLogDetails.UserName")
        lblIPAddress.Text = ResMan.GetString("EventLogDetails.IPAddress")
        lblNodeID.Text = ResMan.GetString("EventLogDetails.NodeID")
        lblNodeName.Text = ResMan.GetString("EventLogDetails.NodeName")
        lblEventDescription.Text = ResMan.GetString("EventLogDetails.EventDescription")

        'Set button
        btnClose.Text = ResMan.GetString("EventLogDetails.Close")
        btnClose.Attributes.Add("onclick", "window.close();")

        'Get EventID value
        Dim eventID As Integer = Integer.Parse(Request.QueryString("id"))

        'Select specified event
        Dim eventRecord As New DataClass("CMS.EventLog", eventID, New GeneralConnection(Functions.GetConnectionString))

        If eventRecord.IsEmpty = False Then
            Dim eventType As String = CStr(eventRecord.GetValue("EventType")) & ""

            'Rewrite event type text.
            Select Case eventType.ToUpper
                Case "I"
                    lblEventTypeValue.Text = ResMan.GetString("EventLogList.EventTypeInformation")
                Case "E"
                    lblEventTypeValue.Text = ResMan.GetString("EventLogList.EventTypeError")
                Case "W"
                    lblEventTypeValue.Text = ResMan.GetString("EventLogList.EventTypeWarning")
            End Select

            lblEventIDValue.Text = CStr(eventRecord.GetValue("EventID"))
            lblEventTimeValue.Text = CStr(eventRecord.GetValue("EventTime"))
            lblSourceValue.Text = CStr(eventRecord.GetValue("Source"))
            lblEventCodeValue.Text = CStr(eventRecord.GetValue("EventCode"))
            lblUserIDValue.Text = CStr(eventRecord.GetValue("UserID"))
            lblUserNameValue.Text = CStr(eventRecord.GetValue("UserName"))
            lblIPAddressValue.Text = CStr(eventRecord.GetValue("IPAddress"))
            lblNodeIDValue.Text = CStr(eventRecord.GetValue("NodeID"))
            lblNodeNameValue.Text = CStr(eventRecord.GetValue("NodeNamePath"))
            lblEventDescriptionValue.Text = CStr(eventRecord.GetValue("EventDescription"))
        End If
    End Sub
End Class
