<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="RecycleBin.aspx.vb" Inherits="Kentico.CMS.CMSDesk.RecycleBin"%>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RecycleBin</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" HelpTopic="/administration/Deleted_Documents/Deleted_Documents"
							RootPath="../.."></uc1:helpicon></td>
				</tr>
			</table>
			<br>
			<table width="100%">
				<tr>
					<td align="left"><asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label></td>
					<td align="right"><asp:Button id="btnEmptyRecBin" runat="server" CssClass="FormButton"></asp:Button>&nbsp;&nbsp;</td>
				</tr>
			</table>
			<div style="POSITION: relative; TOP: 10px"><cc1:querydatagrid id="QueryDataGrid1" runat="server" QueryName="cms.root.selectrecyclebin" ProcessSorting="False"
					CellPadding="3" CssClass="ListingTable" SortField="NodeNamePath" PageSize="20" AllowSorting="True" AllowPaging="True" AutoGenerateColumns="False">
					<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
					<ItemStyle CssClass="ListingTableItem"></ItemStyle>
					<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn HeaderText="Restore">
							<HeaderStyle Width="10%"></HeaderStyle>
							<ItemTemplate>
								<a href='../../content/restore.aspx?versionhistoryid=<%# DataBinder.Eval(Container.DataItem, "versionhistoryid") %>'>
									<img title="<%=restoreHint%>" src="../../design/buttons/restore.gif" style="cursor:hand" border="0"></a>
								<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;versionhistoryid&quot;) %>'>
								</asp:ImageButton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="NodeNamePath" SortExpression="NodeNamePath" HeaderText="NodeNamePath">
							<HeaderStyle Width="50%"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DeletedBy" SortExpression="DeletedBy" HeaderText="DeletedBy">
							<HeaderStyle Width="20%"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="ModifiedWhen" SortExpression="ModifiedWhen" HeaderText="Deleted">
							<HeaderStyle Width="20%"></HeaderStyle>
						</asp:BoundColumn>
					</Columns>
				</cc1:querydatagrid></div>
			<script language="javascript">

			function ConfirmDestroy()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}		
				
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
