<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EditRole.aspx.vb" Inherits="Kentico.CMS.CMSDesk.EditRole"%>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>EditRole</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/Administration/Roles/Create_a_New_Role" RootPath="../.." runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
			<br>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<asp:Label id="lblInfo" runat="server"></asp:Label>
			<table>
				<tr>
					<td>
						<asp:Label id="lblRoleID" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblRoleIDValue" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblRoleDisplayName" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtRoleDisplayName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblRoleName" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtRoleName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td></td>
					<td>
						<asp:Button id="btnOK" runat="server" CssClass="FormButton"></asp:Button>&nbsp;
						<asp:Button id="btnCancel" runat="server" CssClass="FormButton"></asp:Button></td>
				</tr>
			</table>
			<script language="javascript">
				  function GoBack()
				  {
					document.location.href = 'rolelist.aspx';
				  }
			</script>
			<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
		</form>
	</body>
</HTML>
