<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EditUser.aspx.vb" Inherits="Kentico.CMS.CMSDesk.EditUser"%>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>EditUser</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath="../.." HelpTopic="/Administration/Users/edit_an_existing_user"></uc1:helpicon></td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
			<br>
			<asp:label id="lblInfo" runat="server"></asp:label><asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label>
			<table>
				<tr>
					<td><asp:label id="lblUserID" runat="server"></asp:label></td>
					<td><asp:label id="lblUserIDValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblUserName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtUserName" runat="server" CssClass="FormTextBox" MaxLength="100"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblFullName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtFullName" runat="server" CssClass="FormTextBox" MaxLength="200"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblFirstName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtFirstName" runat="server" CssClass="FormTextBox" MaxLength="100"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblMiddleName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtMiddleName" runat="server" CssClass="FormTextBox" MaxLength="100"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblLastName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtLastName" runat="server" CssClass="FormTextBox" MaxLength="100"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblEmail" runat="server"></asp:label></td>
					<td><asp:textbox id="txtEmail" runat="server" CssClass="FormTextBox" MaxLength="100"></asp:textbox></td>
				</tr>
				<tr>
					<td style="HEIGHT: 17px"><asp:label id="lblPreferredUICultureCode" runat="server"></asp:label></td>
					<td style="HEIGHT: 17px"><asp:textbox id="txtPreferredUICultureCode" runat="server" CssClass="FormTextBox" MaxLength="5"></asp:textbox></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblPreferredContentCultureCode" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtPreferredContentCultureCode" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td style="HEIGHT: 26px"><asp:label id="lblStartingAliasPath" runat="server"></asp:label></td>
					<td style="HEIGHT: 26px"><asp:textbox id="txtStartingAliasPath" runat="server" CssClass="FormTextBox" MaxLength="450"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblPassword" runat="server"></asp:label></td>
					<td><asp:textbox id="txtPassword" runat="server" CssClass="FormTextBox" TextMode="Password"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblPassword2" runat="server"></asp:label></td>
					<td><asp:textbox id="txtPassword2" runat="server" CssClass="FormTextBox" TextMode="Password"></asp:textbox></td>
				</tr>
				<tr>
					<td></td>
					<td><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button>&nbsp;
						<asp:button id="btnCancel" runat="server" CssClass="FormButton"></asp:button></td>
				</tr>
			</table>
			</SPAN>
			<script language="javascript">
				function GoBack()
				{
					document.location.href = 'userlist.aspx';					
				}
			</script>
			<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
			</form>
	</body>
</HTML>
