<%@ Page Language="vb" AutoEventWireup="false" Codebehind="UserList.aspx.vb" Inherits="Kentico.CMS.CMSDesk.UserList"%>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>UserList</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<div align="right">
				<asp:TextBox id="txtFilter" runat="server"></asp:TextBox><asp:button id="btnSearch" runat="server" Text="Search"></asp:button></div>
			<cc2:querydatagrid id="QueryDataGrid1" runat="server" OnDeleteCommand="DeleteItem" CellPadding="0"
				SortField="UserName" AllowSorting="True" AllowPaging="True" AutoGenerateColumns="False" CssClass="ListingTable">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<ItemTemplate>
							<img title="<%=editHint%>" src="../../design/buttons/editItem.gif" onclick='javascript:ShowUser(<%# DataBinder.Eval(Container.DataItem, "UserID") %>);' style="cursor:hand"><img title="<%=rolesHint%>" src="../../design/buttons/roles.gif" onclick='javascript:EditRoles(<%# DataBinder.Eval(Container.DataItem, "UserID") %>);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;UserID&quot;) %>'>
							</asp:ImageButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="UserName" SortExpression="UserName" HeaderText="User Name"></asp:BoundColumn>
					<asp:BoundColumn DataField="FullName" SortExpression="FullName" HeaderText="Full Name"></asp:BoundColumn>
					<asp:BoundColumn DataField="Email" SortExpression="Email" HeaderText="E-mail"></asp:BoundColumn>
				</Columns>
			</cc2:querydatagrid>
			<script language="javascript">
			function ShowUser(id)
			{
			  document.location.href='EditUser.aspx?id=' + id;
			}		

			function EditRoles(id)
			{
			  document.location.href='EditUserRoles.aspx?userid=' + id;
			}

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}		
				
			</script>
			<asp:literal id="ltlConfirmScript" Runat="server"></asp:literal></form>
	</body>
</HTML>
