<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EditRelationship.aspx.vb" Inherits="Kentico.CMS.CMSDesk.EditRelationship"%>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>WorkflowEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/ManagingContent/Relationships" RootPath=".."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<br>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<asp:Label id="lblInfo" runat="server"></asp:Label>
			<table style="WIDTH:100%" class="ListingTable" cellpadding="0" cellspacing="0">
				<tr valign="top" class="ListingTableHeader">
					<td width="40%" class="ListingTableItem">
						<asp:Label id="lblLeftNode" runat="server"></asp:Label></td>
					<td width="20%" align="center">
						<asp:Label id="lblRelationshipName" runat="server"></asp:Label></td>
					<td width="40%" align="right">
						<asp:Label id="lblRightNode" runat="server"></asp:Label></td>
				</tr>
				<tr valign="top" class="ListingTableItem">
					<td>
						<asp:Panel id="pnlLeftNode" runat="server"></asp:Panel></td>
					<td align="center">
						<asp:DropDownList id="drpRelationshipName" runat="server"></asp:DropDownList><BR>
						<span style="CURSOR:hand">
							<asp:Button id="btnSwitch" runat="server" CssClass="FormButton" Width="152px"></asp:Button></span></td>
					<td align="right">
						<asp:Panel id="pnlRightNode" runat="server"></asp:Panel></td>
				</tr>
			</table>
			<br>
			<asp:Button id="btnOK" runat="server" CssClass="FormButton"></asp:Button>&nbsp;
			<asp:Button id="btnCancel" runat="server" CssClass="FormButton"></asp:Button>
		</form>
	</body>
</HTML>
