<%@ Page Language="vb" AutoEventWireup="false" Codebehind="AllowedList.aspx.vb" Inherits="Kentico.CMS.CMSDesk.AllowedList"%>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RoleList</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="ChildClassDisplayName" border="1" cellspacing="0"
				CellPadding="3" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="50px"></HeaderStyle>
						<itemtemplate>
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;ChildClassID&quot;) %>">
							</asp:ImageButton>
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ChildClassDisplayName" SortExpression="ChildClassDisplayName" HeaderText="Display Name">
						<HeaderStyle Width="48%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="ChildClassName" SortExpression="ChildClassName" HeaderText="Name">
						<HeaderStyle Width="48%"></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:QueryDataGrid>
			<script language="javascript">

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
