<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ClassEdit.aspx.vb" Inherits="Kentico.CMS.CMSDesk.ClassEdit"%>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>ClassEdit</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/MetaDesigner/Classes/edit_an_existing_class" RootPath=".."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">			
			<br>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<asp:Label id="lblInfo" runat="server"></asp:Label>
			<table>
				<tr>
					<td>
						<asp:Label id="lblClassID" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblClassIDValue" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblClassDisplayName" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtClassDisplayName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblClassName" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblApplicationName" runat="server"></asp:Label>.&nbsp;
						<asp:TextBox id="txtClassName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblIsCoupledClass" runat="server"></asp:Label>
					</td>
					<td>
						<asp:CheckBox id="chkIsCoupledClass" runat="server" Enabled="False"></asp:CheckBox>
					</td>
				</tr>
				<tr valign="top">
					<td style="HEIGHT: 17px">
						<asp:Label id="lblUseVersioningAndWorkflow" runat="server"></asp:Label></td>
					<td style="HEIGHT: 17px">
						<asp:CheckBox id="chkUseVersioning" runat="server" AutoPostBack="True"></asp:CheckBox><BR>
						&nbsp;
						<asp:Label id="lblWorkflow" runat="server"></asp:Label>&nbsp;
						<asp:DropDownList id="drpWorkflow" runat="server" CssClass="FormTextBox"></asp:DropDownList></td>
				</tr>
				<tr>
					<td style="HEIGHT: 23px"></td>
					<td style="HEIGHT: 23px">
						<asp:Button id="btnOK" runat="server" CssClass="FormButton"></asp:Button>&nbsp;
						<asp:Button id="btnCancel" runat="server" CssClass="FormButton"></asp:Button></td>
				</tr>
			</table>
			<script language="javascript">
				function RefreshTreeAfterInsert()
				{
				  parent.frames['header'].ReloadSelectedNodeChildren();
				}
				
				function RefreshTree()
				{				  
				  parent.frames['header'].ReloadSelectedNode();
				}
			</script>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
			</div>
		</form>
	</body>
</HTML>
