<%@ Page Language="vb" AutoEventWireup="false" Codebehind="PermissionNameEdit.aspx.vb" Inherits="Kentico.CMS.CMSDesk.PermissionNameEdit"%>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>PermissionNameEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">			
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/MetaDesigner/PermissionNames/manage_permission_names" RootPath=".." runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table><br>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
			<asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label><asp:label id="lblInfo" runat="server"></asp:label>
			<table>
				<tr>
					<td><asp:label id="lblPermissionID" runat="server"></asp:label></td>
					<td><asp:label id="lblPermissionIDValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblPermissionDisplayName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtPermissionDisplayName" runat="server" CssClass="FormTextBox"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblPermissionName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtPermissionName" runat="server" CssClass="FormTextBox"></asp:textbox></td>
				</tr>
				<tr>
					<td style="HEIGHT: 23px"></td>
					<td style="HEIGHT: 23px"><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button>&nbsp;
						<asp:button id="btnCancel" runat="server" CssClass="FormButton"></asp:button></td>
				</tr>
			</table>
			<script language="javascript">
				function Cancel(classid, resourceid)
				{
				  document.location.href='PermissionNameList.aspx?classid=' + classid + '&resourceid=' + resourceid;
				}
			</script>
			<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
			</form>
	</body>
</HTML>
