<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="TransformationList.aspx.vb" Inherits="Kentico.CMS.CMSDesk.TransformationList"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>TransformationList</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<style type="text/css">A {
	COLOR: black; TEXT-DECORATION: none
}
			</style>
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:basicdatagrid id="Grid1" runat="server" OnDeleteCommand="DeleteItem" CellPadding="3" border="1"
				SortField="TransformationName" AutoGenerateColumns="False" CssClass="ListingTable">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<ItemTemplate>
							<img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick='javascript:ShowTransformation(&quot;<%# DataBinder.Eval(Container.DataItem, "TransformationFullName") %>&quot;);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;TransformationFullName&quot;) %>'>
							</asp:ImageButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="TransformationName" SortExpression="TransformationName" HeaderText="Transformation Name"></asp:BoundColumn>
					<asp:BoundColumn DataField="TransformationType" SortExpression="TransformationType" HeaderText="Transformation Type"></asp:BoundColumn>
				</Columns>
			</cc2:basicdatagrid>
			<script language="javascript">
			function ShowTransformation(name)
			{			  
			  document.location.href = 'TransformationEdit.aspx?transformation=' + name;
			}		

			function ConfirmDelete()
			{			  
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}		
		
			function Reload()
			{
			  //parent.frames['header'].ReloadSelectedNodeChildren();
			  document.location.href = document.location.href;
			}
			</script>
			<asp:literal id="ltlConfirmScript" Runat="server"></asp:literal><asp:literal id="ltlScript" runat="server"></asp:literal></form>
	</body>
</HTML>
