<%@ Control Language="vb" AutoEventWireup="false" Codebehind="WorkflowDesigner.ascx.vb" Inherits="Kentico.CMS.CMSDesk.WorkflowDesigner" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<asp:label id="lblWorkflowSteps" runat="server" Font-Bold="True"></asp:label>
<table width="600">
	<tr vAlign="top">
		<td width="200"><asp:label id="lblSteps" runat="server"></asp:label>
			<table class="TemplateDesignerGroupTable" width="100%">
				<tr>
					<td>
						<table width="100%">
							<tr vAlign="middle">
								<td>
									<div class="WorkflowDesignerDefaultStep"><asp:label id="lblStepEdit" runat="server"></asp:label></div>
									<asp:listbox id="lstSteps" runat="server" AutoPostBack="True" Rows="11" Width="176"></asp:listbox>
									<div class="WorkflowDesignerDefaultStep"><asp:label id="lblStepPublished" runat="server"></asp:label></div>
								</td>
								<td><asp:imagebutton id="btnUpStep" runat="server" ImageUrl="../design/buttons/up.gif"></asp:imagebutton><BR>
									<BR>
									<asp:imagebutton id="btnDownStep" runat="server" ImageUrl="../design/buttons/down.gif"></asp:imagebutton><BR>
									<BR>
									<BR>
									<BR>
									<asp:imagebutton id="btnNewStep" runat="server" ImageUrl="../design/buttons/newAttribute.gif"></asp:imagebutton><BR>
									<BR>
									<asp:imagebutton id="btnDeleteStep" runat="server" ImageUrl="../design/buttons/deleteAttribute.gif"></asp:imagebutton></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td width="400"><asp:label id="lblStepProperties" runat="server"></asp:label><br>
			<table class="TemplateDesignerGroupTable" width="100%">
				<tr>
					<td colSpan="2"><asp:label id="lblErrorMessage" runat="server" CssClass="FormErrorLabel"></asp:label><asp:label id="lblInfo" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td style="WIDTH: 300px"><asp:label id="lblStepDisplayName" runat="server"></asp:label></td>
					<td style="WIDTH: 200px"><asp:textbox id="txtStepDisplayName" runat="server" CssClass="FormTextBox" Columns="30" MaxLength="450"></asp:textbox></td>
				</tr>
				<tr>
					<td style="WIDTH: 200px; HEIGHT: 25px"><asp:label id="lblStepName" runat="server"></asp:label></td>
					<td style="HEIGHT: 25px"><asp:textbox id="txtStepName" runat="server" CssClass="FormTextBox" Columns="30" MaxLength="450"></asp:textbox></td>
				</tr>
				<tr>
					<td align="right" colSpan="2"><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button></td>
				</tr>
			</table>
			<asp:panel id="pnlRoles" runat="server">
				<asp:Label id="lblAllowedRoles" runat="server"></asp:Label>
				<BR>
				<TABLE class="TemplateDesignerGroupTable" width="100%">
					<TR>
						<TD>
							<asp:listbox id="lstAllowedRoles" runat="server" Width="350" Rows="7" AutoPostBack="True" SelectionMode="Multiple"></asp:listbox></TD>
						<TD>
							<asp:imagebutton id="btnAddRole" runat="server" ImageUrl="../design/buttons/newAttribute.gif"></asp:imagebutton><BR>
							<BR>
							<asp:imagebutton id="btnRemoveRole" runat="server" ImageUrl="../design/buttons/deleteAttribute.gif"></asp:imagebutton></TD>
					</TR>
				</TABLE>
				<SPAN style="DISPLAY: none">
					<asp:TextBox id="txtUpdate" runat="server" AutoPostBack="True"></asp:TextBox>
					<asp:Button id="btnUpdate" runat="server" Text="Button"></asp:Button></SPAN>
			</asp:panel></td>
	</tr>
</table>
<script language="javascript">
function confirmDelete()
{	
	return confirm(document.getElementById('confirmdelete').innerHTML);
}

function AddRole(stepID)
{
	window.open('AddStepRole.aspx?stepID=' + document.getElementById('WorkflowDesigner1_lstSteps').value, this.target, 'height=350,width=400,left=250,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
	return false;
}

</script>
<asp:literal id="ltlConfirmText" runat="server"></asp:literal><asp:literal id="ltlScript" runat="server"></asp:literal>
