<%@ Page Language="vb" AutoEventWireup="false" Codebehind="WorkflowEdit.aspx.vb" Inherits="Kentico.CMS.CMSDesk.WorkflowEdit"%>
<%@ Register TagPrefix="uc1" TagName="WorkflowDesigner" Src="WorkflowDesigner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>WorkflowEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table width="100%" class="FormHeader">
				<tr>
					<td align="left" class="FormHeaderText">
						<asp:label id="lblHeader" runat="server"></asp:label>
					</td>
					<td align="right">
						<uc1:HelpIcon id="HelpIcon1" HelpTopic="/MetaDesigner/Workflow/Workflow_Properties" RootPath=".."
							runat="server"></uc1:HelpIcon>
					</td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
			<br>
			<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label>
			<asp:Label id="lblInfo" runat="server"></asp:Label>
			<table>
				<tr>
					<td>
						<asp:Label id="lblWorkflowID" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblWorkflowIDValue" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblWorkflowDisplayName" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtWorkflowDisplayName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblWorkflowName" runat="server"></asp:Label></td>
					<td>
						<asp:TextBox id="txtWorkflowName" runat="server" CssClass="FormTextBox"></asp:TextBox></td>
				</tr>
				<tr>
					<td align="right" colspan="2">
					<asp:Button id="btnOK" runat="server" CssClass="FormButton"></asp:Button>
					<asp:Button id="btnCancel" runat="server" CssClass="FormButton"></asp:Button>
					</td>
				</tr>
			</table>
				<hr>
				<asp:Panel id="pnlSteps" runat="server">
					<uc1:WorkflowDesigner id="WorkflowDesigner1" runat="server"></uc1:WorkflowDesigner>
				</asp:Panel>
				<asp:Literal id="ltlScript" runat="server"></asp:Literal>
			</div>
		</form>
	</body>
</HTML>
