Imports Kentico.CMS.Form
Imports Kentico.CMS.TreeEngine
Imports System.Xml

Public Class CMS_MenuItemType
    Inherits KentiFormUserControl


#Region " Web Form Designer Generated Code "

    'This call is required by the Web Form Designer.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub
    Protected WithEvents drpMenuItemType As System.Web.UI.WebControls.DropDownList
    Protected WithEvents lblPageTemplate As System.Web.UI.WebControls.Label
    Protected WithEvents txtPageTemplate As System.Web.UI.WebControls.TextBox
    Protected WithEvents ltlSelectTemplate As System.Web.UI.WebControls.Literal
    Protected WithEvents lblPageTitle As System.Web.UI.WebControls.Label
    Protected WithEvents txtPageTitle As System.Web.UI.WebControls.TextBox
    Protected WithEvents lblPageDescription As System.Web.UI.WebControls.Label
    Protected WithEvents txtPageDescription As System.Web.UI.WebControls.TextBox
    Protected WithEvents lblPageKeywords As System.Web.UI.WebControls.Label
    Protected WithEvents txtPageKeywords As System.Web.UI.WebControls.TextBox
    Protected WithEvents pnlPageTemplate As System.Web.UI.WebControls.Panel
    Protected WithEvents lblMenuItemURL As System.Web.UI.WebControls.Label
    Protected WithEvents txtMenuItemURL As System.Web.UI.WebControls.TextBox
    Protected WithEvents pnlPageURL As System.Web.UI.WebControls.Panel
    Protected WithEvents lblMenuItemJavaScript As System.Web.UI.WebControls.Label
    Protected WithEvents txtMenuItemJavaScript As System.Web.UI.WebControls.TextBox
    Protected WithEvents pnlJavaScript As System.Web.UI.WebControls.Panel
    Protected WithEvents lblError As System.Web.UI.WebControls.Label
    Protected WithEvents hidPageTemplateAspx As System.Web.UI.HtmlControls.HtmlInputHidden

    'NOTE: The following placeholder declaration is required by the Web Form Designer.
    'Do not delete or move it.
    Private designerPlaceholderDeclaration As System.Object

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        'CODEGEN: This method call is required by the Web Form Designer
        'Do not modify it using the code editor.
        InitializeComponent()
    End Sub

#End Region

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim node As XmlNode
        lblMenuItemURL.Text = ResMan.GetString("MenuItem_Edit.MenuItemURL")
        lblMenuItemJavaScript.Text = ResMan.GetString("MenuItem_Edit.MenuItemJavaScript")
        If drpMenuItemType.Items.Count = 0 Then
            drpMenuItemType.Items.Add(New ListItem(ResMan.GetString("MenuItem_Edit.UsePageTemplate"), "1"))
            drpMenuItemType.Items.Add(New ListItem(ResMan.GetString("MenuItem_Edit.UsePageURL"), "2"))
            drpMenuItemType.Items.Add(New ListItem(ResMan.GetString("MenuItem_Edit.UseJavaScript"), "3"))
        End If
        lblPageTemplate.Text = ResMan.GetString("MenuItem_Edit.PageTemplate")
        lblPageTitle.Text = ResMan.GetString("MenuItem_Edit.PageTitle")
        lblPageKeywords.Text = ResMan.GetString("MenuItem_Edit.PageKeywords")
        lblPageDescription.Text = ResMan.GetString("MenuItem_Edit.PageDescription")
        ltlSelectTemplate.Text = "<input type=""button"" class=""FormButton"" onclick=""window.open('SelectTemplateListing.aspx', '_blank', 'height=400,width=600,left=50,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');"" value=""" & ResMan.GetString("MenuItem_Edit.SelectTemplate") & """>"
        If Me.Enabled = False Then
            Me.drpMenuItemType.Enabled = False
        End If

        HideAllPanels()
        SetValues()
    End Sub

    Private Function GetXML() As XmlDocument
        Dim xml As New XmlDocument
        xml.Load(Functions.GetMetadataPath & "\_PageTemplates\pagetemplates.config")
        Return xml
    End Function


    Public Overrides Property Value() As Object
        Get
            Return Me.drpMenuItemType.SelectedValue
        End Get
        Set(ByVal Value As Object)

        End Set
    End Property


    Public Overrides Function GetOtherValues() As Object(,)
        Dim result(5, 1) As Object
        Select Case Me.drpMenuItemType.SelectedValue
            Case "1"
                result(0, 0) = "MenuItemJavaScript"
                result(0, 1) = Nothing
                result(1, 0) = "MenuItemURL"
                result(1, 1) = Nothing
                result(2, 0) = "MenuItemPageTemplate"
                result(2, 1) = Me.hidPageTemplateAspx.Value
                result(3, 0) = "MenuItemPageTitle"
                result(3, 1) = Me.txtPageTitle.Text
                result(4, 0) = "MenuItemPageKeyWords"
                result(4, 1) = Me.txtPageKeywords.Text
                result(5, 0) = "MenuItemPageDescription"
                result(5, 1) = Me.txtPageDescription.Text
            Case "2"
                result(0, 0) = "MenuItemJavaScript"
                result(0, 1) = Nothing
                result(1, 0) = "MenuItemURL"
                result(1, 1) = Me.txtMenuItemURL.Text
                result(2, 0) = "MenuItemPageTemplate"
                result(2, 1) = Nothing
                result(3, 0) = "MenuItemPageTitle"
                result(3, 1) = Nothing
                result(4, 0) = "MenuItemPageKeyWords"
                result(4, 1) = Nothing
                result(5, 0) = "MenuItemPageDescription"
                result(5, 1) = Nothing
            Case "3"
                result(0, 0) = "MenuItemJavaScript"
                result(0, 1) = Me.txtMenuItemJavaScript.Text
                result(1, 0) = "MenuItemURL"
                result(1, 1) = Nothing
                result(2, 0) = "MenuItemPageTemplate"
                result(2, 1) = Nothing
                result(3, 0) = "MenuItemPageTitle"
                result(3, 1) = Nothing
                result(4, 0) = "MenuItemPageKeyWords"
                result(4, 1) = Nothing
                result(5, 0) = "MenuItemPageDescription"
                result(5, 1) = Nothing
        End Select
        Return result
    End Function


    Public Overrides Function IsValid() As Boolean
        Dim errorMessage As String = ""

        Select Case Me.drpMenuItemType.SelectedValue
            Case "1"
                If Me.txtPageTemplate.Text.Trim = "" Then
                    errorMessage &= ResMan.GetString("MenuItem_Edit.ErrorPageTemplateEmpty")
                End If
            Case "2"
                If Me.txtMenuItemURL.Text.Trim = "" Then
                    errorMessage &= ResMan.GetString("MenuItem_Edit.ErrorPageURLEmpty")
                End If
            Case "3"
                If Me.txtMenuItemJavaScript.Text.Trim = "" Then
                    errorMessage &= ResMan.GetString("MenuItem_Edit.ErrorJavaScriptEmpty")
                End If
        End Select

        Me.lblError.Text = errorMessage
        If errorMessage = "" Then
            Return True
        Else
            Return False
        End If
    End Function


    Private Sub drpMenuItemType_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles drpMenuItemType.SelectedIndexChanged
        HideAllPanels()
        Select Case drpMenuItemType.SelectedValue.ToLower
            Case "1"
                Me.pnlPageTemplate.Visible = True
            Case "2"
                Me.pnlPageURL.Visible = True
            Case "3"
                Me.pnlJavaScript.Visible = True
        End Select
    End Sub


    Private Sub HideAllPanels()
        pnlJavaScript.Visible = False
        pnlPageTemplate.Visible = False
        pnlPageURL.Visible = False
    End Sub


    Private Sub SetValues()
        Dim node As XmlNode
        If Not viewstate("ValuesSet") Is Nothing Then
            Select Case Me.drpMenuItemType.SelectedValue
                Case "2"
                    Me.pnlPageURL.Visible = True
                Case "3"
                    Me.pnlJavaScript.Visible = True
                Case Else
                    Me.pnlPageTemplate.Visible = True
            End Select
            Exit Sub
        End If

        txtMenuItemURL.Text = GetDRValue("MenuItemURL")
        txtMenuItemJavaScript.Text = GetDRValue("MenuItemJavaScript")
        txtPageTitle.Text = GetDRValue("MenuItemPageTitle")
        hidPageTemplateAspx.Value = GetDRValue("MenuItemPageTemplate")
        node = GetXML.SelectSingleNode("/templates/template[@filename='" & GetDRValue("MenuItemPageTemplate") & "']")
        If Not node Is Nothing AndAlso Not node.SelectSingleNode("name") Is Nothing Then
            txtPageTemplate.Text = node.SelectSingleNode("name").InnerText
        Else
            txtPageTemplate.Text = hidPageTemplateAspx.Value
        End If
        txtPageKeywords.Text = GetDRValue("MenuItemPageKeyWords")
        txtPageDescription.Text = GetDRValue("MenuItemPageDescription")
        If Not (DataDR("MenuItemURL") Is DBNull.Value) AndAlso Trim(GetDRValue("MenuItemURL")) <> "" Then
            drpMenuItemType.SelectedValue = "2"
            pnlPageURL.Visible = True
        ElseIf Not (DataDR("MenuItemJavaScript") Is DBNull.Value) AndAlso Trim(GetDRValue("MenuItemJavaScript")) <> "" Then
            drpMenuItemType.SelectedValue = "3"
            pnlJavaScript.Visible = True
        Else
            drpMenuItemType.SelectedValue = "1"
            pnlPageTemplate.Visible = True
        End If
        viewstate("ValuesSet") = True
    End Sub


    Private Function GetDRValue(ByVal columnName As String) As String
        If DataDR(columnName) Is DBNull.Value Then
            Return ""
        Else
            Return CType(DataDR(columnName), String)
        End If
    End Function
End Class
