<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ListMyRecycleBin.aspx.vb" Inherits="Kentico.CMS.CMSDesk.ListMyRecycleBin"%>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Listing</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/administration/Deleted_Documents/Deleted_Documents"></uc1:helpicon></td>
				</tr>
			</table>			
	<!--		<div class="FormHeader">
				<div class="HeaderSpace">&nbsp;</div>
				<asp:label id="lblHeade" runat="server"></asp:label>
					<div style="float: right; text-align:right; margin-top: -21px; margin-right: 2px;">
					<uc1:helpicon id="HelpIco1" runat="server" HelpTopic="/administration/Deleted_Documents/Deleted_Documents"
								RootPath=".."></uc1:helpicon></div>					
			</div> -->			
			<br>
			<table width="100%">
				<tr>
					<td align="left"><asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label></td>
					<td align="right"><asp:Button id="btnEmptyRecBin" runat="server" CssClass="FormButton"></asp:Button>&nbsp;&nbsp;</td>
				</tr>
			</table>
			<div style="POSITION: relative; TOP: 10px"><cc1:querydatagrid id="QueryDataGrid1" runat="server" QueryName="cms.root.selectmyrecyclebin" ProcessSorting="False"
					CellPadding="3" CssClass="ListingTable" SortField="NodeNamePath" PageSize="20" AllowSorting="True" AllowPaging="True" AutoGenerateColumns="False"
					OnDeleteCommand="DeleteItem">
					<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
					<ItemStyle CssClass="ListingTableItem"></ItemStyle>
					<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn HeaderText="Restore">
							<HeaderStyle Width="10px"></HeaderStyle>
							<ItemTemplate>
								<a href='../content/restore.aspx?versionhistoryid=<%# DataBinder.Eval(Container.DataItem, "versionhistoryid") %>'>
									<img title="<%=restoreHint%>" src="../design/buttons/restore.gif" style="cursor:hand" border="0"></a>
								<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;versionhistoryid&quot;) %>'>
								</asp:ImageButton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="NodeNamePath" SortExpression="NodeNamePath" HeaderText="NodeNamePath">
							<HeaderStyle Width="70%"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="ModifiedWhen" SortExpression="ModifiedWhen" HeaderText="ModifiedWhen">
							<HeaderStyle Width="20%"></HeaderStyle>
						</asp:BoundColumn>
					</Columns>
				</cc1:querydatagrid></div>
			<script language="javascript">

			function ConfirmDestroy()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}		
				
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
