<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ListWaitingForMyApproval.aspx.vb" Inherits="Kentico.CMS.CMSDesk.ListWaitingForMyApproval"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Listing</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
		<style type="text/css">A {
	COLOR: black; TEXT-DECORATION: none
}
		</style>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
				<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
				</table>
			<cc1:querydatagrid id="QueryDataGrid1" runat="server" ProcessSorting="False" CellPadding="3" CssClass="ListingTable"
				SortField="ModifiedWhen" PageSize="20" AllowPaging="True" AutoGenerateColumns="False">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn SortExpression="NodeName" HeaderText="NodeName">
						<ItemTemplate>
							<% if not openNewWindow then %>
							<a class="ListLink" href='<%=GetTargetPath()%><%# DataBinder.Eval(Container, "DataItem.IDPath") %>' target="desktop">
								<asp:Label runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.NodeName") %>'>
								</asp:Label></a>
							<% else %>
							<span class="ListLink" onclick="javascript:CMSShowDocument('<%# DataBinder.Eval(Container, "DataItem.IDPath") %>', 'view', '<%# DataBinder.Eval(Container, "DataItem.ClassName") %>');">
								<asp:Label runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.NodeName") %>' ID="Label1">
								</asp:Label></span>								
							<% end if %>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ClassDisplayName" SortExpression="ClassDisplayName" HeaderText="Type">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="ModifiedWhen" SortExpression="ModifiedWhen" HeaderText="Modified">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="StepDisplayName" SortExpression="StepDisplayName" HeaderText="StepDisplayName">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
			</cc1:querydatagrid></form>
		<script language="javascript">
          function CMSShowDocument(path, mode, classname) {
			var openWindow = window.open('../content/BrowseAndEditFrameset.aspx?pathtype=idpath&path=' + path + '&mode=' + mode + '&classname=' + classname,null, 'height=600,width=800,status=yes,toolbar=no,menubar=no,location=no,resizable=yes,left=10,top=10'); 
			openWindow.focus();
		  } 
		 </script>
	</body>
</HTML>
