<%@ Page Language="vb" AutoEventWireup="false" Codebehind="NewsletterContainerView.aspx.vb" Inherits="Kentico.CMS.CMSDesk.NewsletterContainerView" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>NewsletterContainerView</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server"
			AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" CellPadding="0" CssClass="ListingTable" SortField="NewsletterName">
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<Columns>
					<asp:BoundColumn DataField="NewsletterName" SortExpression="NewsletterName" HeaderText="Newsletter name">
						<HeaderStyle Width="60%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="IssuesCount" SortExpression="IssuesCount" HeaderText="Number of issues">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="SubscriptionsCount" SortExpression="SubscriptionsCount" HeaderText="Number of subscribers">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
			</cc2:QueryDataGrid>
		</form>
	</body>
</HTML>
