<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="EventLogList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.EventLogList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>EventLogList</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">A {
	COLOR: black; TEXT-DECORATION: none
}
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<br>
			<table cellSpacing="0" width="100%" border="0">
				<tr vAlign="top">
					<td><br>
						<table width="100%" style="background-color:#759dec;">
							<tr vAlign="top">
								<td><asp:label id="lblEventType" runat="server"></asp:label><BR>
									<asp:dropdownlist id="lstEventType" runat="server"></asp:dropdownlist></td>
								<td><asp:label id="lblEventCode" runat="server"></asp:label><BR>
									<asp:textbox id="txtEventCode" runat="server" maxlength="100"></asp:textbox></td>
								<td><asp:label id="lblUserName" runat="server"></asp:label><BR>
									<asp:textbox id="txtUserName" runat="server" maxlength="100"></asp:textbox></td>
								<td><asp:label id="lblNodeName" runat="server"></asp:label><BR>
									<asp:textbox id="txtNodeName" runat="server" maxlength="450"></asp:textbox></td>
								<td>&nbsp;<BR>
									<asp:button id="btnFilter" runat="server" CssClass="FormButton"></asp:button></td>
							</tr>
						</table>
					</td>
					<td align="right" rowSpan="5"><asp:button id="btnClear" runat="server" CssClass="FormButton"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;</td>
				</tr>
			</table>
			<br>
			<cc2:basicdatagrid id="BasicDataGrid1" runat="server" CellPadding="0" SortField="EventTime" AllowSorting="True"
				AllowPaging="True" AutoGenerateColumns="False" CssClass="ListingTable" PageSize="50" SortAscending="False">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="50px"></HeaderStyle>
						<ItemTemplate>
							<img title="<%=viewHint%>" src="../../design/buttons/view.gif" onclick='javascript:ShowEvent(<%# DataBinder.Eval(Container.DataItem, "EventID") %>);' style="cursor:hand">
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="EventType" SortExpression="EventType" HeaderText="Event type"></asp:BoundColumn>
					<asp:BoundColumn DataField="EventTime" SortExpression="EventTime" HeaderText="Event time"></asp:BoundColumn>
					<asp:BoundColumn DataField="Source" SortExpression="Source" HeaderText="Source"></asp:BoundColumn>
					<asp:BoundColumn DataField="EventCode" SortExpression="EventCode" HeaderText="Event code"></asp:BoundColumn>
					<asp:BoundColumn DataField="UserName" SortExpression="UserName" HeaderText="User name"></asp:BoundColumn>
					<asp:BoundColumn DataField="IPAddress" SortExpression="IPAddress" HeaderText="IP address"></asp:BoundColumn>
				</Columns>
			</cc2:basicdatagrid>
			<script language="javascript">
			function ShowEvent(id)
			{
			  var newWin = window.open('EventLogDetails.aspx?id=' + id, 'eventdetails', 'height=400,width=400,left=250,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');
			  newWin.focus();
			}

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			</script>
			<asp:literal id="ltlConfirmScript" Runat="server"></asp:literal></form>
	</body>
</HTML>
