<%@ Page Language="vb" AutoEventWireup="false" Codebehind="RoleList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.RoleList" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>RoleList</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="RoleDisplayName" CellPadding="0" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
					  <HeaderStyle Width="100px"></HeaderStyle>
					  <itemtemplate>
					    <img title="<%=editHint%>" src="../../design/buttons/editItem.gif" onclick="javascript:ShowRole(<%# DataBinder.Eval(Container.DataItem, "RoleID") %>);" style="cursor:hand"><img title="<%=usersHint%>" src="../../design/buttons/roles.gif" onclick="javascript:ShowUsers(<%# DataBinder.Eval(Container.DataItem, "RoleID") %>);" style="cursor:hand"><asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;RoleID&quot;) %>"></asp:ImageButton>
					  </itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="RoleDisplayName" SortExpression="RoleDisplayName" HeaderText="Role Display Name"><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>
					<asp:BoundColumn DataField="RoleName" SortExpression="RoleName" HeaderText="Role Name"><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>					
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowRole(id)
			{
			  document.location.href='EditRole.aspx?id=' + id;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}			
			
			function ShowUsers(id)
			{
			  document.location.href='EditRoleUsers.aspx?id=' + id;
			}
			</script>			
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
