using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class Calendar : System.Web.UI.Page { 
        
        protected string pagetitle; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnNow_Click
             
            btnNow.Click += new System.EventHandler( btnNow_Click ); 
            // events handled by btnNA_Click
             
            btnNA.Click += new System.EventHandler( btnNA_Click ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Calendar calDate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList drpHours; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList drpMinutes; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList drpSeconds; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlTime; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnNow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnNA; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal Literal1; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            Literal1.Text = ""; 
            this.btnCancel.Text = ResMan.GetString( "Calendar.Cancel" ); 
            this.btnNow.Text = ResMan.GetString( "Calendar.Now" ); 
            this.btnOK.Text = ResMan.GetString( "Calendar.OK" ); 
            this.btnNA.Text = ResMan.GetString( "Calendar.NA" ); 
            pagetitle = ResMan.GetString( "Calendar.Title" ); 
            if ( !( Page.IsPostBack ) ) { 
                if ( "" + Request.QueryString[ "selDate" ] + "" == "" ) { 
                    setTime( DateAndTime.Now ); 
                } 
                else { 
                    setTime( DateTime.Parse( "" + Request.QueryString[ "selDate" ] ) ); 
                } 
                if ( "" + Request.QueryString[ "allowempty" ] == "False" ) { 
                    btnNA.Visible = false; 
                } 
                else { 
                    btnNA.Visible = true; 
                } 
                if ( Strings.LCase( Strings.Trim( "" + Request.QueryString[ "editTime" ] + "" ) ) == "true" ) { 
                    pnlTime.Visible = true; 
                } 
                else { 
                    pnlTime.Visible = false; 
                } 
            } 
        } 
        
        
        private void closeWindow( string time ) { 
            string script = null; 
            
            if ( time == null ) { 
                // N/A
                script = "opener.document.getElementById('" + "" + Request.QueryString[ "controlid" ] + "').value='';"; 
            } 
            else { 
                // set time
                script = "opener.document.getElementById('" + "" + Request.QueryString[ "controlid" ] + "').value='" + Strings.Replace( time, "'", @"\'", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) + "';"; 
            } 
            script += "window.close();"; 
            RunScript( script ); 
        } 
        
        
        private void setTime( DateTime time ) { 
            calDate.SelectedDate = time; 
            this.drpHours.SelectedIndex = time.Hour; 
            this.drpMinutes.SelectedIndex = time.Minute; 
            this.drpSeconds.SelectedIndex = time.Second; 
        } 
        
        
        private void btnNow_Click( System.Object sender, System.EventArgs e ) { 
            setTime( DateAndTime.Now ); 
        } 
        
        
        private void btnNA_Click( System.Object sender, System.EventArgs e ) { 
            closeWindow( "" ); 
        } 
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            DateTime selTime = DateTime.MinValue; 
            
            selTime = calDate.SelectedDate; 
            selTime = selTime.AddHours( drpHours.SelectedIndex ); 
            selTime = selTime.AddMinutes( drpMinutes.SelectedIndex ); 
            selTime = selTime.AddSeconds( drpSeconds.SelectedIndex ); 
            if ( Strings.LCase( Strings.Trim( "" + Request.QueryString[ "editTime" ] + "" ) ) == "true" ) { 
                closeWindow( selTime.ToString( "d" ) + " " + selTime.ToString( "HH:mm:ss" ) ); 
            } 
            else { 
                closeWindow( selTime.ToString( "d" ) ); 
            } 
        } 
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            RunScript( "window.close();" ); 
        } 
        
        
        private void RunScript( string scriptText ) { 
            Literal1.Text = @"<script language=""javascript"">" + Constants.vbCrLf; 
            Literal1.Text += scriptText; 
            Literal1.Text += "</script>"; 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
