<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Attachments.aspx.cs" Inherits="Kentico.CMS.CMSDesk.Attachments" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Attachments</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"></td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">
			<br>
			<asp:label id="lblInfo" runat="server"></asp:label><asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label>
			<asp:Panel id="pnlFiles" runat="server">
				<BR>
				<DIV style="LEFT: 10px; POSITION: relative">
					<cc1:cmsdatagrid id="CMSDataGrid1" runat="server" CssClass="ListingTable" Width="400px" AutoGenerateColumns="False"
						SortField="FileName" AllowPaging="True" AllowSorting="True" SelectOnlyPublishedNodes="False"
						SelectNodesPathType="IDPath" SelectNodesClassName="cms.file">
						<ItemStyle CssClass="ListingTableItem"></ItemStyle>
						<Columns>
							<asp:TemplateColumn HeaderText="preview">
								<ItemTemplate>
									<%# GetImageTag(DataBinder.Eval(Container, "DataItem.FileName")) %>
								</ItemTemplate>
							</asp:TemplateColumn>
							<asp:TemplateColumn HeaderText="filename">
								<ItemTemplate>
									<span style="text-decoration:underline;color:blue;cursor:hand" onclick='<%# GetFileScript(DataBinder.Eval(Container, "DataItem.FileName")) %>'>
										<%# DataBinder.Eval(Container, "DataItem.FileName") %>
									</span>
								</ItemTemplate>
								<EditItemTemplate>
									<asp:TextBox id=txtFileName runat="server" Text='<%# System.IO.Path.GetFileNameWithoutExtension(DataBinder.Eval(Container, "DataItem.FileName")) %>'>
									</asp:TextBox>
									<asp:Label id=lblFileExtension Runat="server" Text='<%# System.IO.Path.GetExtension(DataBinder.Eval(Container, "DataItem.FileName")) %>'>
									</asp:Label>
								</EditItemTemplate>
							</asp:TemplateColumn>
							<asp:TemplateColumn>
								<ItemTemplate>
									<asp:LinkButton id="deleteButton" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;IDPath&quot;) %>' runat="server">
									</asp:LinkButton>
								</ItemTemplate>
							</asp:TemplateColumn>
							<asp:BoundColumn Visible="False" DataField="IDPath"></asp:BoundColumn>
						</Columns>
						<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
						<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
					</cc1:cmsdatagrid></DIV>
				<BR>
				<asp:label id="lblUpload" runat="server"></asp:label>
				<BR>
				<BR>
				<INPUT class="FormUpload" id="upload" type="file" name="upload" runat="server"><BR>
				<BR>
				<asp:button id="btnSave" runat="server" CssClass="FormButton"></asp:button>
			</asp:Panel>
			</div>
		</form>
		<script language="javascript">

			function ConfirmDelete()
			{
			  return confirm(document.getElementById('confirmationText').value);
			}
			
			function PasteImage(ftbName, imagePath)
			{
				window.opener.FTB_InsertText(ftbName, "<img src=\'" + imagePath + "\'>");
				window.close();
			}						
			
			function PasteLink(ftbName, imagePath, fileName)
			{
				window.opener.FTB_InsertText(ftbName, "<a href=\'" + imagePath + "\'>" + fileName + "</a>");
				window.close();
			}						
		</script>
		<asp:literal id="ltlConfirmScript" Runat="server"></asp:literal>
	</body>
</HTML>
