<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.skmMenuControl" Assembly="Kentico.CMS.skmMenuControl" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="BrowseAndEditEmptyPage.aspx.cs" Inherits="Kentico.CMS.CMSDesk.BrowseAndEditEmptyPage" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>BrowseAndEditEmptyPage</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body class="TopMenu">
		<form id="Form1" method="post" runat="server">
			<table width="100%">
				<tr>
					<td width="400"><cc1:Menu ID="Menu2" runat="server" HighlightLastSelectedItem="True"></cc1:Menu></td>
					<td width="10"><img src="../Design/images/Separator.gif"></td>
					<td nowrap>
						<asp:Label id="lblCulture" runat="server" CssClass="CultureLabel"></asp:Label>
						<asp:DropDownList id="lstCultures" runat="server"></asp:DropDownList>
					</td>
					<td align="right"><uc1:HelpIcon ID="HelpIcon1" runat="server" HelpTopic="/managingcontent/content_toolbar" RootPath=".."></uc1:HelpIcon></td>
				</tr>
			</table>
			<br>
			<asp:Panel id="pnlRefreshScript" runat="server">
				<SCRIPT language="javascript">
		function RefreshAfterInsert(a, b)
		{
			parent.opener.document.location.href = parent.opener.document.location.href;		
			parent.opener.focus();
			parent.close();
		}
		
		function ReloadSelectedNode()
		{
			parent.opener.document.location.href = parent.opener.document.location.href;
			parent.opener.focus();
			parent.close();
		}
				</SCRIPT>
			</asp:Panel>
			<asp:Panel id="pnlEmptyScript" runat="server">
				<SCRIPT language="javascript">
		function RefreshAfterInsert(a, b)
		{
		}
		
		function ReloadSelectedNode()
		{
		}
		
		
				</SCRIPT>
			</asp:Panel>
			<input type="hidden" name="viewmode" ID="viewmode" value="listing"> <input type="hidden" NAME="idpath" ID="idpath" value='<%=Kentico.CMS.CMSDesk.Functions.RequestQueryString("idpath")%>'>
			<input type="hidden" name="clipboard" ID="clipboard"> <input type="hidden" name="clipboardaction" ID="clipboardaction">
			<script language="javascript">
			var defaultMode;
			
			function ChooseMode(mode)
			{
			  document.getElementById('viewmode').value = mode;
			  SelectNode(document.getElementById('idpath').value);			  
			}
			
			function SelectNode(idpath)
			{
			  document.getElementById('idpath').value = idpath;
			  SelectNodeWithMode(idpath, document.getElementById('viewmode').value);
			}		
			
			function SelectNodeWithMode(idpath, mode)
			{
			  document.getElementById('idpath').value = idpath;
			  if (mode == 'listing')
			  {
			    parent.frames['details'].document.location.href='listing.aspx?idpath=' + idpath + '&culture=' + document.getElementById('lstCultures').value;
			  }
			  if (mode == 'view')
			  {			    
			    parent.frames['details'].document.location.href="viewframeset.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value;			
			  }
			  if (mode == 'edit')
			  {
			    parent.frames['details'].document.location.href="edit.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value<%=closeAndUpdate%>;			
			  }
			  if (mode == 'properties')
			  {
			    parent.frames['details'].document.location.href="properties.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value<%=closeAndUpdate%>;			
			  }			  		
			  if (mode == 'lock')
			  {
				Lock();
			  }	
			  if (mode == 'history')
			  {
				History();
			  }	
			  if (mode == 'publish')
			  {
			    Publish();
			  }
			  if (mode == 'permissions')
			  {
			    Permissions();
			  }
			  if (mode == 'relationships')
			  {
			    parent.frames['details'].document.location.href="relationships.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value;			
			  }		
			  if (mode == '' & defaultMode != '')
			  {				
				SelectNodeWithMode(idpath, defaultMode);
			  }	  	
			}			
					
			function GetParentNode(path)
			{
			  if (path == '/')
			  {
			    return('/');
			  }
			  else
			  {
			    arr = path.split('/');
				if (arr.length == 2)
				{
				  return '/'; 
				}
				else
				{
				  return arr.slice(0, arr.length - 1).join('/');
				}
			  }
			}
		
			function ChangeCulture()
			{
				SelectNode(document.getElementById('idpath').value);
			}
			
			function Lock()
			{
				parent.frames['details'].document.location.href="lock.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function History()
			{
				parent.frames['details'].document.location.href="history.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function Publish()
			{
				parent.frames['details'].document.location.href="publish.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function Permissions()
			{
				parent.frames['details'].document.location.href="DocumentPermissions.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}
			
			function Delete() 
            {
				parent.frames['details'].document.location.href='delete.aspx?idpath=' + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value; 
			}
							
			function DeleteSelectedNode(destroy)
			{
				parent.frames['treedata'].document.location.href='treeData.aspx?closewindow=true&culture=' + document.getElementById('lstCultures').value + '&action=delete&idpath=' + document.getElementById('idpath').value + '&destroy=' + destroy;
			}										
			
			function UpdateContentAndClose(path)			
			{
				parent.opener.document.location.href = path;		
				parent.opener.focus();
				parent.close();				
			}
			
			function SetMode(mode)
			{
			  document.getElementById('viewmode').value = mode;
			  if (mode == 'edit')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-menuItem001'), '../Design/Buttons/edit.gif', '../Design/Buttons/edit.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  
			  }
			  if (mode == 'lock')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-menuItem003'), '../Design/Buttons/lock.gif', '../Design/Buttons/lock.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			  if (mode == 'publish')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-menuItem005'), '../Design/Buttons/publish.gif', '../Design/Buttons/publish.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			  if (mode == 'publishNoLock')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-menuItem004'), '../Design/Buttons/publish.gif', '../Design/Buttons/publish.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			}
			</script>
			<asp:Literal ID="ltlDeleteScript" runat="server"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
			<asp:Literal id="ltlConfirmWindowClose" runat="server"></asp:Literal>
			<script language='javascript'>
			function onBeforeUnloadAction(){				
				return document.getElementById('closeConfirmationText').value;
			}
			//window.onbeforeunload = function(){if((window.event.clientX<0) || (window.event.clientY<0)){ return onBeforeUnloadAction();}}
			</script>
		</form>
	</body>
</HTML>
