using Kentico.CMS.TreeEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class DocumentPermissions : System.Web.UI.Page { 
        
        protected TreeNode node; 
        protected string idpath; 
        protected bool inheritsPermissions; 
        protected AclProvider aclProv; 
        protected TreeProvider tree; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnRemoveOperator; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnAddOperator; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtUpdate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnUpdate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.LinkButton lnkInheritance; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.LinkButton lnkRestoreInheritance; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.LinkButton lnkBreakWithCopy; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.LinkButton lnkBreakWithClear; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInheritanceInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlPermissions; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlInheritance; 
        protected DataSet aclItemsDataSet; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by lstOperators_SelectedIndexChanged
             
            lstOperators.SelectedIndexChanged += new System.EventHandler( lstOperators_SelectedIndexChanged ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnUpdate_Click
             
            btnUpdate.Click += new System.EventHandler( btnUpdate_Click ); 
            // events handled by btnRemoveOperator_Click
             
            btnRemoveOperator.Click += new System.EventHandler( btnRemoveOperator_Click ); 
            // events handled by lnkInheritance_Click
             
            lnkInheritance.Click += new System.EventHandler( lnkInheritance_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
            // events handled by lnkBreakWithCopy_Click
             
            lnkBreakWithCopy.Click += new System.EventHandler( lnkBreakWithCopy_Click ); 
            // events handled by lnkBreakWithClear_Click
             
            lnkBreakWithClear.Click += new System.EventHandler( lnkBreakWithClear_Click ); 
            // events handled by lnkRestoreInheritance_Click
             
            lnkRestoreInheritance.Click += new System.EventHandler( lnkRestoreInheritance_Click ); 
            // events handled by chkFullControlAllow_CheckedChanged
             
            chkFullControlAllow.CheckedChanged += new System.EventHandler( chkFullControlAllow_CheckedChanged ); 
            // events handled by chkFullControlDeny_CheckedChanged
             
            chkFullControlDeny.CheckedChanged += new System.EventHandler( chkFullControlDeny_CheckedChanged ); 
            // events handled by chkReadAllow_CheckedChanged
             
            chkReadAllow.CheckedChanged += new System.EventHandler( chkReadAllow_CheckedChanged ); 
            // events handled by chkModifyAllow_CheckedChanged
             
            chkModifyAllow.CheckedChanged += new System.EventHandler( chkModifyAllow_CheckedChanged ); 
            // events handled by chkCreateAllow_CheckedChanged
             
            chkCreateAllow.CheckedChanged += new System.EventHandler( chkCreateAllow_CheckedChanged ); 
            // events handled by chkDeleteAllow_CheckedChanged
             
            chkDeleteAllow.CheckedChanged += new System.EventHandler( chkDeleteAllow_CheckedChanged ); 
            // events handled by chkDestroyAllow_CheckedChanged
             
            chkDestroyAllow.CheckedChanged += new System.EventHandler( chkDestroyAllow_CheckedChanged ); 
            // events handled by chkExploreTreeAllow_CheckedChanged
             
            chkExploreTreeAllow.CheckedChanged += new System.EventHandler( chkExploreTreeAllow_CheckedChanged ); 
            // events handled by chkManagePermissionsAllow_CheckedChanged
             
            chkManagePermissionsAllow.CheckedChanged += new System.EventHandler( chkManagePermissionsAllow_CheckedChanged ); 
            // events handled by chkReadDeny_CheckedChanged
             
            chkReadDeny.CheckedChanged += new System.EventHandler( chkReadDeny_CheckedChanged ); 
            // events handled by chkModifyDeny_CheckedChanged
             
            chkModifyDeny.CheckedChanged += new System.EventHandler( chkModifyDeny_CheckedChanged ); 
            // events handled by chkCreateDeny_CheckedChanged
             
            chkCreateDeny.CheckedChanged += new System.EventHandler( chkCreateDeny_CheckedChanged ); 
            // events handled by chkDeleteDeny_CheckedChanged
             
            chkDeleteDeny.CheckedChanged += new System.EventHandler( chkDeleteDeny_CheckedChanged ); 
            // events handled by chkDestroyDeny_CheckedChanged
             
            chkDestroyDeny.CheckedChanged += new System.EventHandler( chkDestroyDeny_CheckedChanged ); 
            // events handled by chkExploreTreeDeny_CheckedChanged
             
            chkExploreTreeDeny.CheckedChanged += new System.EventHandler( chkExploreTreeDeny_CheckedChanged ); 
            // events handled by chkManagePermissionsDeny_CheckedChanged
             
            chkManagePermissionsDeny.CheckedChanged += new System.EventHandler( chkManagePermissionsDeny_CheckedChanged ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblInfo; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblUsersRoles; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstOperators; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPermissions; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFullControl; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkFullControlAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkFullControlDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblRead; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblModify; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblCreate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblDelete; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblDestroy; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblExploreTree; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblManagePermissions; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkReadAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkReadDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkModifyAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkModifyDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkCreateAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkCreateDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkDeleteAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkDeleteDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkDestroyAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkDestroyDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkExploreTreeAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkExploreTreeDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkManagePermissionsAllow; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.CheckBox chkManagePermissionsDeny; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            Functions.RedirectExpressEdition( "CMSDesk.DocumentPermissions" ); 
            
            this.lblInfo.Text = ""; 
            string culture = "" + Request.QueryString[ "culture" ] + ""; 
            idpath = "" + Request.QueryString[ "idpath" ] + ""; 
            tree = Functions.GetTreeProvider(); 
            aclProv = new AclProvider( tree ); 
            
            if ( ( !( Page.IsPostBack ) ) & "" + Request.QueryString[ "returnback" ] + "" + "" != "" ) { 
                ViewState[ "returnback" ] = Request.UrlReferrer.ToString(); 
            } 
            
            // set labels
            if ( !( Page.IsPostBack ) ) { 
                this.lblHeader.Text = ResMan.GetString( "DocumentPermissions.Header" ); 
                this.lblUsersRoles.Text = ResMan.GetString( "DocumentPermissions.UsersRoles" ); 
                this.lblPermissions.Text = ResMan.GetString( "DocumentPermissions.Permissions" ); 
                this.lblAllow.Text = ResMan.GetString( "DocumentPermissions.Allow" ); 
                this.lblDeny.Text = ResMan.GetString( "DocumentPermissions.Deny" ); 
                this.lblFullControl.Text = ResMan.GetString( "DocumentPermissions.FullControl" ); 
                this.lblRead.Text = ResMan.GetString( "DocumentPermissions.Read" ); 
                this.lblModify.Text = ResMan.GetString( "DocumentPermissions.Modify" ); 
                this.lblCreate.Text = ResMan.GetString( "DocumentPermissions.Create" ); 
                this.lblDelete.Text = ResMan.GetString( "DocumentPermissions.Delete" ); 
                this.lblDestroy.Text = ResMan.GetString( "DocumentPermissions.Destroy" ); 
                this.lblExploreTree.Text = ResMan.GetString( "DocumentPermissions.ExploreTree" ); 
                this.lblManagePermissions.Text = ResMan.GetString( "DocumentPermissions.ManagePermissions" ); 
                this.btnOK.Text = ResMan.GetString( "DocumentPermissions.OK" ); 
                this.btnAddOperator.Text = ResMan.GetString( "DocumentPermissions.AddOperator" ); 
                this.btnRemoveOperator.Text = ResMan.GetString( "DocumentPermissions.RemoveOperator" ); 
                this.lnkBreakWithClear.Text = ResMan.GetString( "DocumentPermissions.BreakWithClear" ); 
                this.lnkBreakWithCopy.Text = ResMan.GetString( "DocumentPermissions.BreakWithCopy" ); 
                this.lnkRestoreInheritance.Text = ResMan.GetString( "DocumentPermissions.RestoreInheritance" ); 
                this.btnCancel.Text = ResMan.GetString( "DocumentPermissions.Cancel" ); 
                this.lnkInheritance.Text = ResMan.GetString( "DocumentPermissions.Inheritance" ); 
            } 
            
            // get node
            if ( idpath == "/" ) { 
                // select the root node even if multilingual support is used
                node = tree.SelectSingleNode( "/", TreePathTypeEnum.IDPath ); 
            } 
            else { 
                node = Functions.GetNodeByIDPathAndCulture( idpath, culture ); 
                
                // multilingual support
                if ( node == null ) { 
                    // culture version does not exist            
                    node = tree.SelectSingleNode( idpath, TreePathTypeEnum.IDPath ); 
                    Response.Redirect( "NewCultureVersion.aspx?idpath=" + idpath + "&aliaspath=" + System.Convert.ToString( node.GetValue( "aliaspath" ) ) + "&culture=" + culture ); 
                    return; 
                } 
                else { 
                    idpath = System.Convert.ToString( node.GetValue( "idpath" ) ); 
                } 
            } 
            
            // check permissions
            if ( !( ( Functions.IsAuthorizedPerResource( "CMS.Content", "ModifyPermissions" ) | Functions.IsAuthorizedPerNode( idpath, TreePathTypeEnum.IDPath, NodePermissionsEnum.ModifyPermissions ) ) ) ) { 
                Functions.RedirectToAccessDenied( idpath, "Modify permissions (documentpermissions.aspx)" ); 
                return; 
            } 
            
            if ( !( Page.IsPostBack ) ) { 
                // load operators
                LoadOperators(); 
            } 
            
            // check if document inherits permissions and display info
            inheritsPermissions = aclProv.DoesNodeInheritPermissions( idpath, TreePathTypeEnum.IDPath ); 
            if ( inheritsPermissions ) { 
                this.lblInheritanceInfo.Text = ResMan.GetString( "DocumentPermissions.InheritsInfo.Inherits" ); 
            } 
            else { 
                this.lblInheritanceInfo.Text = ResMan.GetString( "DocumentPermissions.InheritsInfo.DoesNotInherit" ); 
            } 
            
            // add additional events to controls
            this.btnAddOperator.Attributes.Add( "onclick", "javascript:AddOperator('" + idpath + "');" ); 
            txtUpdate.Attributes.Add( "onpropertychange", Page.GetPostBackEventReference( btnUpdate ) ); 
            
            // hide link to the inheritance settings if this is the parent node
            if ( idpath == "/" ) { 
                this.lnkInheritance.Visible = false; 
            } 
        } 
        
        
        
        ///<summary>Loads users and roles listed in the ACL of the selected document and displays them in the listbox.</summary>
        private void LoadOperators() { 
            DataSet aclItemsDS = null; 
            DataRow aclItemDR = null; 
            string lastOperator = ""; 
            
            this.lstOperators.Items.Clear(); 
            aclItemsDS = this.GetACLItems(); 
            if ( !( aclItemsDS == null ) && aclItemsDS.Tables.Count > 0 ) { 
                foreach ( System.Data.DataRow transTemp0 in aclItemsDS.Tables[ 0 ].Rows ) { 
                    aclItemDR = transTemp0;  
                    if ( System.Convert.ToString( aclItemDR[ "Operator" ] ) != lastOperator ) { 
                        lastOperator = System.Convert.ToString( aclItemDR[ "Operator" ] ); 
                        this.lstOperators.Items.Add( new ListItem( System.Convert.ToString( aclItemDR[ "OperatorName" ] ), System.Convert.ToString( aclItemDR[ "Operator" ] ) ) ); 
                    } 
                }
            } 
            if ( lstOperators.Items.Count > 0 ) { 
                lstOperators.SelectedIndex = 0; 
                DisplayOperatorPermissions( lstOperators.SelectedValue ); 
            } 
        } 
        
        
        
        ///<summary>Returns ACLItems for the selected document.</summary>
        private DataSet GetACLItems() { 
            if ( aclItemsDataSet == null ) { 
                aclItemsDataSet = aclProv.GetACLItems( idpath, TreePathTypeEnum.IDPath ); 
            } 
            return aclItemsDataSet; 
        } 
        
        
        
        ///<summary>Displays permissions of the selected operator (user or role).</summary>
        ///<param name="operatorID">OperatorID in format U123 or R123 where U/R indicates user/role and 123 is UserID/RoleID value.</param>
        private void DisplayOperatorPermissions( string operatorID ) { 
            ResetPermissions(); 
            
            DataSet aclItemsDS = this.GetACLItems(); 
            DataRow[] rows = null; 
            int i = 0; 
            int allowed = 0; 
            int denied = 0; 
            bool hasNativePermissions = false; 
            bool hasInheritedPermissions = false; 
            
            if ( !( aclItemsDS == null ) && aclItemsDS.Tables.Count > 0 ) { 
                // process inherited permissions
                rows = aclItemsDS.Tables[ 0 ].Select( " Operator = '" + operatorID + "' AND OwnerNodeID <> '" + System.Convert.ToInt32( node.GetValue( "NodeID" ) ).ToString() + "' " ); 
                for ( i=0; i<=rows.GetUpperBound( 0 ); i++ ) { 
                    hasInheritedPermissions = true; 
                    allowed = System.Convert.ToInt32( rows[ i ][ "Allowed" ] ); 
                    denied = System.Convert.ToInt32( rows[ i ][ "Denied" ] ); 
                    // set "allow" check boxes for inherited permissions
                    this.chkReadAllow.Checked = this.chkReadAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.Read ); 
                    this.chkReadAllow.Enabled = this.chkReadAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.Read ) ); 
                    this.chkModifyAllow.Checked = this.chkModifyAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.Modify ); 
                    this.chkModifyAllow.Enabled = this.chkModifyAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.Modify ) ); 
                    this.chkCreateAllow.Checked = this.chkCreateAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.Create ); 
                    this.chkCreateAllow.Enabled = this.chkCreateAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.Create ) ); 
                    this.chkDeleteAllow.Checked = this.chkDeleteAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.Delete ); 
                    this.chkDeleteAllow.Enabled = this.chkDeleteAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.Delete ) ); 
                    this.chkDestroyAllow.Checked = this.chkDestroyAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.Destroy ); 
                    this.chkDestroyAllow.Enabled = this.chkDestroyAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.Destroy ) ); 
                    this.chkExploreTreeAllow.Checked = this.chkExploreTreeAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.ExploreTree ); 
                    this.chkExploreTreeAllow.Enabled = this.chkExploreTreeAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.ExploreTree ) ); 
                    this.chkManagePermissionsAllow.Checked = this.chkManagePermissionsAllow.Checked | IsPermissionTrue( allowed, NodePermissionsEnum.ModifyPermissions ); 
                    this.chkManagePermissionsAllow.Enabled = this.chkManagePermissionsAllow.Enabled & !( IsPermissionTrue( allowed, NodePermissionsEnum.ModifyPermissions ) ); 
                    // set "deny" checkboxes for inherited permissions
                    this.chkReadDeny.Checked = this.chkReadDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.Read ); 
                    this.chkReadDeny.Enabled = this.chkReadDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.Read ) ); 
                    this.chkModifyDeny.Checked = this.chkModifyDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.Modify ); 
                    this.chkModifyDeny.Enabled = this.chkModifyDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.Modify ) ); 
                    this.chkCreateDeny.Checked = this.chkCreateDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.Create ); 
                    this.chkCreateDeny.Enabled = this.chkCreateDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.Create ) ); 
                    this.chkDeleteDeny.Checked = this.chkDeleteDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.Delete ); 
                    this.chkDeleteDeny.Enabled = this.chkDeleteDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.Delete ) ); 
                    this.chkDestroyDeny.Checked = this.chkDestroyDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.Destroy ); 
                    this.chkDestroyDeny.Enabled = this.chkDestroyDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.Destroy ) ); 
                    this.chkExploreTreeDeny.Checked = this.chkExploreTreeDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.ExploreTree ); 
                    this.chkExploreTreeDeny.Enabled = this.chkExploreTreeDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.ExploreTree ) ); 
                    this.chkManagePermissionsDeny.Checked = this.chkManagePermissionsDeny.Checked | IsPermissionTrue( denied, NodePermissionsEnum.ModifyPermissions ); 
                    this.chkManagePermissionsDeny.Enabled = this.chkManagePermissionsDeny.Enabled & !( IsPermissionTrue( denied, NodePermissionsEnum.ModifyPermissions ) ); 
                } 
                // process native permissions
                rows = aclItemsDS.Tables[ 0 ].Select( " Operator = '" + operatorID + "' AND OwnerNodeID = '" + System.Convert.ToInt32( node.GetValue( "NodeID" ) ).ToString() + "' " ); 
                for ( i=0; i<=rows.GetUpperBound( 0 ); i++ ) { 
                    hasNativePermissions = true; 
                    allowed = System.Convert.ToInt32( rows[ i ][ "Allowed" ] ); 
                    denied = System.Convert.ToInt32( rows[ i ][ "Denied" ] ); 
                    // set "allow" check boxes for native permissions
                    SetCheckBoxWithNativePermission( chkReadAllow, IsPermissionTrue( allowed, NodePermissionsEnum.Read ) ); 
                    SetCheckBoxWithNativePermission( chkModifyAllow, IsPermissionTrue( allowed, NodePermissionsEnum.Modify ) ); 
                    SetCheckBoxWithNativePermission( chkCreateAllow, IsPermissionTrue( allowed, NodePermissionsEnum.Create ) ); 
                    SetCheckBoxWithNativePermission( chkDeleteAllow, IsPermissionTrue( allowed, NodePermissionsEnum.Delete ) ); 
                    SetCheckBoxWithNativePermission( chkDestroyAllow, IsPermissionTrue( allowed, NodePermissionsEnum.Destroy ) ); 
                    SetCheckBoxWithNativePermission( chkExploreTreeAllow, IsPermissionTrue( allowed, NodePermissionsEnum.ExploreTree ) ); 
                    SetCheckBoxWithNativePermission( chkManagePermissionsAllow, IsPermissionTrue( allowed, NodePermissionsEnum.ModifyPermissions ) ); 
                    // set "deny" checkboxes for inherited permissions
                    SetCheckBoxWithNativePermission( chkReadDeny, IsPermissionTrue( denied, NodePermissionsEnum.Read ) ); 
                    SetCheckBoxWithNativePermission( chkModifyDeny, IsPermissionTrue( denied, NodePermissionsEnum.Modify ) ); 
                    SetCheckBoxWithNativePermission( chkCreateDeny, IsPermissionTrue( denied, NodePermissionsEnum.Create ) ); 
                    SetCheckBoxWithNativePermission( chkDeleteDeny, IsPermissionTrue( denied, NodePermissionsEnum.Delete ) ); 
                    SetCheckBoxWithNativePermission( chkDestroyDeny, IsPermissionTrue( denied, NodePermissionsEnum.Destroy ) ); 
                    SetCheckBoxWithNativePermission( chkExploreTreeDeny, IsPermissionTrue( denied, NodePermissionsEnum.ExploreTree ) ); 
                    SetCheckBoxWithNativePermission( chkManagePermissionsDeny, IsPermissionTrue( denied, NodePermissionsEnum.ModifyPermissions ) ); 
                } 
            } 
            
            this.btnRemoveOperator.Enabled = ( !( hasInheritedPermissions ) ) & hasNativePermissions; 
            CheckFullControlBox(); 
        } 
        
        
        
        ///<summary>Parses permission value and return true if appropriate bit is 1.</summary>
        protected bool IsPermissionTrue( int permissionValue, NodePermissionsEnum permission ) { 
            return ( ( permissionValue >> System.Convert.ToInt32( permission ) ) % 2 ) == 1; 
        } 
        
        
        
        ///<summary>Checks checkbox if provided value is true.</summary>
        protected void SetCheckBoxWithNativePermission( CheckBox chkBox, bool value ) { 
            if ( value == true ) { 
                chkBox.Checked = value; 
            } 
        } 
        
        
        
        ///<summary>Returns integer value representing permission value of the given checkbox and permission name.</summary>
        protected int GetCheckBoxValue( CheckBox chkBox, NodePermissionsEnum permission ) { 
            if ( chkBox.Enabled & chkBox.Checked ) { 
                return System.Convert.ToInt32( Math.Pow( 2, System.Convert.ToInt32( permission ) ) ); 
            } 
            else { 
                return 0; 
            } 
        } 
        
        
        
        protected void lstOperators_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            if ( !( lstOperators.SelectedItem == null ) ) { 
                DisplayOperatorPermissions( lstOperators.SelectedValue ); 
            } 
        } 
        
        
        ///<summary>Saves data.</summary>
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            int allowed = 0; 
            int denied = 0; 
            string operatorID = null; 
            
            if ( this.lstOperators.SelectedItem == null ) { 
                return; 
            } 
            else { 
                operatorID = lstOperators.SelectedValue; 
                allowed += this.GetCheckBoxValue( this.chkReadAllow, NodePermissionsEnum.Read ); 
                allowed += this.GetCheckBoxValue( this.chkModifyAllow, NodePermissionsEnum.Modify ); 
                allowed += this.GetCheckBoxValue( this.chkCreateAllow, NodePermissionsEnum.Create ); 
                allowed += this.GetCheckBoxValue( this.chkDeleteAllow, NodePermissionsEnum.Delete ); 
                allowed += this.GetCheckBoxValue( this.chkDestroyAllow, NodePermissionsEnum.Destroy ); 
                allowed += this.GetCheckBoxValue( this.chkExploreTreeAllow, NodePermissionsEnum.ExploreTree ); 
                allowed += this.GetCheckBoxValue( this.chkManagePermissionsAllow, NodePermissionsEnum.ModifyPermissions ); 
                denied += this.GetCheckBoxValue( this.chkReadDeny, NodePermissionsEnum.Read ); 
                denied += this.GetCheckBoxValue( this.chkModifyDeny, NodePermissionsEnum.Modify ); 
                denied += this.GetCheckBoxValue( this.chkCreateDeny, NodePermissionsEnum.Create ); 
                denied += this.GetCheckBoxValue( this.chkDeleteDeny, NodePermissionsEnum.Delete ); 
                denied += this.GetCheckBoxValue( this.chkDestroyDeny, NodePermissionsEnum.Destroy ); 
                denied += this.GetCheckBoxValue( this.chkExploreTreeDeny, NodePermissionsEnum.ExploreTree ); 
                denied += this.GetCheckBoxValue( this.chkManagePermissionsDeny, NodePermissionsEnum.ModifyPermissions ); 
                
                if ( operatorID.StartsWith( "U" ) ) { 
                    aclProv.SetUserPermissions( idpath, TreePathTypeEnum.IDPath, allowed, denied, int.Parse( operatorID.Substring( 1 ) ) ); 
                } 
                else { 
                    aclProv.SetRolePermissions( idpath, TreePathTypeEnum.IDPath, allowed, denied, int.Parse( operatorID.Substring( 1 ) ) ); 
                } 
                this.lblInfo.Text = ResMan.GetString( "DocumentPermissions.ChangesSaved" ); 
            } 
        } 
        
        
        
        private void btnUpdate_Click( System.Object sender, System.EventArgs e ) { 
            this.LoadOperators(); 
        } 
        
        
        
        ///<summary>Removes selected operator from the ACL.</summary>
        private void btnRemoveOperator_Click( System.Object sender, System.EventArgs e ) { 
            if ( lstOperators.SelectedItem == null ) { 
                return; 
            } 
            
            string operatorID = lstOperators.SelectedValue; 
            if ( operatorID.StartsWith( "U" ) ) { 
                aclProv.RemoveUser( idpath, TreePathTypeEnum.IDPath, int.Parse( operatorID.Substring( 1 ) ) ); 
            } 
            else { 
                aclProv.RemoveRole( idpath, TreePathTypeEnum.IDPath, int.Parse( operatorID.Substring( 1 ) ) ); 
            } 
            LoadOperators(); 
        } 
        
        
        
        ///<summary>Resets all checkboxes representing permissions.</summary>
        protected void ResetPermissions() { 
            ResetCheckBox( this.chkReadAllow ); 
            ResetCheckBox( this.chkReadDeny ); 
            ResetCheckBox( this.chkCreateAllow ); 
            ResetCheckBox( this.chkCreateDeny ); 
            ResetCheckBox( this.chkModifyAllow ); 
            ResetCheckBox( this.chkModifyDeny ); 
            ResetCheckBox( this.chkDeleteAllow ); 
            ResetCheckBox( this.chkDeleteDeny ); 
            ResetCheckBox( this.chkDestroyAllow ); 
            ResetCheckBox( this.chkDestroyDeny ); 
            ResetCheckBox( this.chkExploreTreeAllow ); 
            ResetCheckBox( this.chkExploreTreeDeny ); 
            ResetCheckBox( this.chkManagePermissionsAllow ); 
            ResetCheckBox( this.chkManagePermissionsDeny ); 
        } 
        
        
        
        ///<summary>Resets given checkbox.</summary>
        protected void ResetCheckBox( CheckBox chkBox ) { 
            chkBox.Enabled = true; 
            chkBox.Checked = false; 
        } 
        
        
        
        ///<summary>Displays inheritance settings.</summary>
        private void lnkInheritance_Click( System.Object sender, System.EventArgs e ) { 
            this.pnlPermissions.Visible = false; 
            this.pnlInheritance.Visible = true; 
            
            // test if current document inherits permissions
            if ( inheritsPermissions ) { 
                this.lnkBreakWithClear.Visible = true; 
                this.lnkBreakWithCopy.Visible = true; 
                this.lnkRestoreInheritance.Visible = false; 
            } 
            else { 
                this.lnkBreakWithClear.Visible = false; 
                this.lnkBreakWithCopy.Visible = false; 
                this.lnkRestoreInheritance.Visible = true; 
            } 
        } 
        
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            SwitchBackToPermissionsMode(); 
        } 
        
        
        
        private void SwitchBackToPermissionsMode() { 
            this.pnlPermissions.Visible = true; 
            this.pnlInheritance.Visible = false; 
        } 
        
        
        
        private void lnkBreakWithCopy_Click( System.Object sender, System.EventArgs e ) { 
            // break permission inheritance and copy parent permissions
            aclProv.BreakInherintance( idpath, TreePathTypeEnum.IDPath, true ); 
            this.lblInheritanceInfo.Text = ResMan.GetString( "DocumentPermissions.InheritsInfo.DoesNotInherit" ); 
            SwitchBackToPermissionsMode(); 
            LoadOperators(); 
        } 
        
        
        
        private void lnkBreakWithClear_Click( System.Object sender, System.EventArgs e ) { 
            // break permission inheritance and clear permissions
            aclProv.BreakInherintance( idpath, TreePathTypeEnum.IDPath, false ); 
            this.lblInheritanceInfo.Text = ResMan.GetString( "DocumentPermissions.InheritsInfo.DoesNotInherit" ); 
            SwitchBackToPermissionsMode(); 
            LoadOperators(); 
        } 
        
        
        
        private void lnkRestoreInheritance_Click( System.Object sender, System.EventArgs e ) { 
            // restore inheritance and add permissions inherited from the parent document
            aclProv.RestoreInheritance( idpath, TreePathTypeEnum.IDPath ); 
            this.lblInheritanceInfo.Text = ResMan.GetString( "DocumentPermissions.InheritsInfo.Inherits" ); 
            SwitchBackToPermissionsMode(); 
            LoadOperators(); 
        } 
        
        
        private void chkFullControlAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            // check all enabled checkboxes
            CheckEnabledCheckbox( this.chkReadAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkCreateAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkModifyAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkDeleteAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkDestroyAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkExploreTreeAllow, chkFullControlAllow.Checked ); 
            CheckEnabledCheckbox( this.chkManagePermissionsAllow, chkFullControlAllow.Checked ); 
        } 
        
        
        protected void CheckEnabledCheckbox( CheckBox chkBox, bool checkedIdent ) { 
            if ( chkBox.Enabled ) { 
                chkBox.Checked = checkedIdent; 
            } 
        } 
        
        
        private void chkFullControlDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            // check all deny checkboxes
            CheckEnabledCheckbox( this.chkReadDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkCreateDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkModifyDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkDeleteDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkDestroyDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkExploreTreeDeny, chkFullControlDeny.Checked ); 
            CheckEnabledCheckbox( this.chkManagePermissionsDeny, chkFullControlDeny.Checked ); 
        } 
        
        
        private void chkReadAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkReadAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkModifyAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkModifyAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkCreateAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkCreateAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkDeleteAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkDeleteAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkDestroyAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkDestroyAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkExploreTreeAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkExploreTreeAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkManagePermissionsAllow_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkManagePermissionsAllow.Checked == false ) { 
                this.chkFullControlAllow.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        
        private void chkReadDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkReadDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        
        private void chkModifyDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkModifyDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkCreateDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkCreateDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkDeleteDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkDeleteDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkDestroyDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkDestroyDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkExploreTreeDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkExploreTreeDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void chkManagePermissionsDeny_CheckedChanged( System.Object sender, System.EventArgs e ) { 
            if ( this.chkManagePermissionsDeny.Checked == false ) { 
                this.chkFullControlDeny.Checked = false; 
            } 
            CheckFullControlBox(); 
        } 
        
        
        private void CheckFullControlBox() { 
            this.chkFullControlAllow.Checked = this.chkReadAllow.Checked & this.chkModifyAllow.Checked & this.chkCreateAllow.Checked & this.chkDeleteAllow.Checked & this.chkDestroyAllow.Checked & this.chkExploreTreeAllow.Checked & this.chkManagePermissionsAllow.Checked; 
            this.chkFullControlDeny.Checked = this.chkReadDeny.Checked & this.chkModifyDeny.Checked & this.chkCreateDeny.Checked & this.chkDeleteDeny.Checked & this.chkDestroyDeny.Checked & this.chkExploreTreeDeny.Checked & this.chkManagePermissionsDeny.Checked; 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
