<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Menu.aspx.cs" Inherits="Kentico.CMS.CMSDesk.Menu" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.skmMenuControl" Assembly="Kentico.CMS.skmMenuControl" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Menu</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body class="TopMenu">
		<form ID="Form1" method="post" runat="server">
			<table width="100%">
				<tr>
					<td width="200"><cc1:Menu ID="Menu1" runat="server"></cc1:Menu></td>
					<td width="5"><img src="../Design/images/Separator.gif"></td>
					<td width="450"><cc1:Menu ID="Menu2" runat="server" HighlightLastSelectedItem="True"></cc1:Menu></td>
					<td width="5"><img src="../Design/images/Separator.gif"></td>
					<td width="50"><cc1:Menu ID="Menu3" runat="server"></cc1:Menu></td>
					<td><img src="../Design/images/Separator.gif"></td>
					<td nowrap>
						<asp:Label id="lblCulture" runat="server" CssClass="CultureLabel"></asp:Label>
						<asp:DropDownList id="lstCultures" runat="server" Font-Size="10px" CssClass="languageSelector"></asp:DropDownList></td>
					<td align="right">
						<uc1:HelpIcon ID="HelpIcon1" runat="server" HelpTopic="/managingcontent/content_toolbar" RootPath=".."></uc1:HelpIcon></td>
				</tr>
			</table>
			&nbsp; <input type="hidden" name="viewmode" ID="viewmode" value="view"> <input type="hidden" NAME="idpath" ID="idpath" value="/">
			<input type="hidden" name="clipboard" ID="clipboard"> <input type="hidden" name="clipboardaction" ID="clipboardaction">
			<script language="javascript">
			var defaultMode;
			var prevmode;
			var urlprefix = GetParentPath(document.location.href) + "/";
		
			function ChooseMode(mode)
			{			 
			  document.getElementById('viewmode').value = mode;
			  SelectNode(document.getElementById('idpath').value);			  
			}
			
			function SelectNode(idpath)
			{
			  document.getElementById('idpath').value = idpath;
			  SelectNodeWithMode(idpath, document.getElementById('viewmode').value);
			}
			
			function SelectNodeWithoutSelectingMode(idpath)
			{
			  document.getElementById('idpath').value = idpath;
			}		
			
			function SelectNodeWithMode(idpath, mode)
			{
			  document.getElementById('idpath').value = idpath;
			  if (mode == 'listing')
			  {
			    parent.frames['details'].document.location.href=urlprefix + 'listing.aspx?idpath=' + idpath + '&culture=' + document.getElementById('lstCultures').value;
			  }
			  else if (mode == 'view')
			  {			    
			    parent.frames['details'].document.location.href=urlprefix + "viewframeset.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value + '&style=' + document.getElementById('ViewStyle').value + '&ftbName=' + document.getElementById('ftbName').value;
			  }
			  else if (mode == 'edit')
			  {
			    parent.frames['details'].document.location.href=urlprefix + "edit.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value;			
			  }
			  else if (mode == 'properties')
			  {
			    parent.frames['details'].document.location.href=urlprefix + "properties.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value;			
			  }		
			  else if (mode == 'relationships')
			  {
			    parent.frames['details'].document.location.href=urlprefix + "relationships.aspx?idpath=" + idpath + '&culture=' + document.getElementById('lstCultures').value;			
			  }		
			  else if (mode == 'lock')
			  {
				Lock();
			  }	
			  else if (mode == 'history')
			  {
				History();
			  }	
			  else if (mode == 'publish')
			  {
			    Publish();
			  }
			  else if (mode == 'permissions')
			  {
			    Permissions();
			  }
			  else if (mode == 'new')
			  {
				NewItem();
			  }
			  else if (mode == 'delete')
			  {
			 	Delete();
			  }
			  else if (mode == '' & defaultMode != '')
			  {				
				SelectNodeWithMode(idpath, defaultMode);
			  }	  	
			}
			
			function SelectNodeWithModeExtra(idpath, mode, classname)
			{
				prevmode = document.getElementById('viewmode').value;
				if ( top.frames['desktop'] )
				{
					top.frames['desktop'].frames['header'].document.getElementById('idpath').value = idpath;
					top.frames['desktop'].frames['header'].SetMode(mode);
				}
				else if ( top.frames['header'] )
				{
					top.frames['header'].document.getElementById('idpath').value = idpath;
					top.frames['header'].SetMode(mode);
				}
				if ( mode == 'new' )
				{
					NewItem(classname)
				}
				else
				{
					SelectNodeWithMode(idpath, mode);
				}
			}
			
			function GetParentPath(basePath)
			{
				if (!basePath) return "";
				if (basePath == "")
				{
					return "";
				}
				else
				{
					if (basePath.lastIndexOf("?") == 0)
					{
						parurl="";
					}
					else
					{
					    parurl=basePath.substring(0, basePath.lastIndexOf("?"));
					}
					
					if (parurl.lastIndexOf("/") == 0)
					{
						return "";
					}
					else
					{
					    return basePath.substring(0, parurl.lastIndexOf("/"));
					}
				}
			}
			
			function Search()
			{
				parent.frames['details'].document.location.href=urlprefix + "search.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}	
			
			function NewItem(classname)
			{
				if (classname)
				{
					newlocation = urlprefix + "edit.aspx?idpath=" + document.getElementById('idpath').value + "&action=insert&classname=" + classname;
				}
				else
				{
					newlocation = urlprefix + "new.aspx?idpath=" + document.getElementById('idpath').value;
				}
				parent.frames['details'].document.location.href=newlocation;
			}
		
			function CopyToClipBoard()
			{
				document.getElementById('clipboard').value = document.getElementById('idpath').value;
				document.getElementById('clipboardaction').value = 'copy';
			}
			
			function CutToClipBoard()
			{
				document.getElementById('clipboard').value = document.getElementById('idpath').value;
				document.getElementById('clipboardaction').value = 'move';
			}
			
			function Paste()
			{				
				try
				{
				  parent.frames['treedata'].document.location.href=urlprefix + "treeData.aspx?action=" + document.getElementById('clipboardaction').value + "&idpath=" + document.getElementById('idpath').value + "&sourceidpath=" + document.getElementById('clipboard').value + "&culture=" + document.getElementById('lstCultures').value;
				  if (document.getElementById('clipboardaction').value == 'move') 
				  {
				    document.getElementById('clipboard').value = '';
				  }
				}
				catch (e)
				{
				}
			}
			
			function ReloadSelectedNode()
			{
			    selid = parent.frames["tree"].document.getElementById('selectedNode_1').value;			    
			    parentID = parent.frames['tree'].document.getElementById(selid).attributes['parentID'].value;			    			    
			    parent.frames['tree'].CollapseNode(parentID);				
			    parent.frames['tree'].ExpandNode(parentID, selid);			    
			}

			function RefreshAfterInsert(selID, parentID)
			{				
			    //alert(selID);
			    //alert(parentID);
			    parent.frames['tree'].CollapseNode(parentID);
			    parent.frames['tree'].ExpandNode(parentID, selID);			    
			}
		
			function GetParentNode(path)
			{
			  if (path == '/')
			  {
			    return('/');
			  }
			  else
			  {
			    arr = path.split('/');
				if (arr.length == 2)
				{
				  return '/'; 
				}
				else
				{
				  return arr.slice(0, arr.length - 1).join('/');
				}
			  }
			}
		
			function ChangeCulture()
			{
				SelectNode(document.getElementById('idpath').value);
			}
			
			function Lock()
			{
				parent.frames['details'].document.location.href=urlprefix + "lock.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function History()
			{
				parent.frames['details'].document.location.href=urlprefix + "history.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function Publish()
			{
				parent.frames['details'].document.location.href=urlprefix + "publish.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}

			function Permissions()
			{
				parent.frames['details'].document.location.href=urlprefix + "DocumentPermissions.aspx?idpath=" + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value;
			}
			
			function Delete() 
            {
   				prevmode = document.getElementById('viewmode').value;
				parent.frames['details'].document.location.href=urlprefix + 'delete.aspx?idpath=' + document.getElementById('idpath').value + '&culture=' + document.getElementById('lstCultures').value; 
				document.getElementById('viewmode').value = prevmode;
			}
							
			function DeleteSelectedNode(destroy)
			{
				parent.frames['treedata'].document.location.href=urlprefix + 'treeData.aspx?culture=' + document.getElementById('lstCultures').value + '&action=delete&idpath=' + document.getElementById('idpath').value + '&destroy=' + destroy;				
			}	
			
			function SetMode(mode)
			{
			  document.getElementById('viewmode').value = mode;
			  if (mode == 'listing')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-002'), '../Design/Buttons/listing.gif', '../Design/Buttons/listing.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  
			  }
			  else if (mode == 'edit')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-001'), '../Design/Buttons/edit.gif', '../Design/Buttons/edit.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  
			  }
			  else if (mode == 'properties')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-003'), '../Design/Buttons/properties.gif', '../Design/Buttons/properties.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  
			  }
			  else if (mode == 'lock')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-004'), '../Design/Buttons/lock.gif', '../Design/Buttons/lock.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			  else if (mode == 'publish')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-006'), '../Design/Buttons/publish.gif', '../Design/Buttons/publish.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			  else if (mode == 'publishNoLock')
			  {
				document.getElementById('viewmode').value = 'publish';
				skm_selectNewItem('Menu2', document.getElementById('Menu2-006'), '../Design/Buttons/publish.gif', '../Design/Buttons/publish.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			  else if (mode == 'history')
			  {
				skm_selectNewItem('Menu2', document.getElementById('Menu2-005'), '../Design/Buttons/publish.gif', '../Design/Buttons/publish.gif', 'MenuItemOver', 'MenuItemTD');skm_closeSubMenus(document.getElementById('Menu2'));			  			  
			  }
			}
	
			</script>
			<asp:Literal ID="ltlDeleteScript" runat="server"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
			<input type="hidden" id="ViewStyle" value='<%=ViewStyle%>'> <input type="hidden" id="ftbName" value='<%=request.querystring("ftbName")%>'>
		</form>
	</body>
</HTML>
