using System.Xml; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class SelectTemplateListing : System.Web.UI.Page { 
        
        protected string title; 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by lstTemplates_SelectedIndexChanged
             
            lstTemplates.SelectedIndexChanged += new System.EventHandler( lstTemplates_SelectedIndexChanged ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstTemplates; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblSelectTemplate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblTemplateName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlTemplateDescription; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            XmlNode node = null; 
            
            lblHeader.Text = ResMan.GetString( "SelectTempalteHeader.Header" ); 
            lblSelectTemplate.Text = ResMan.GetString( "SelectTemplateListing.Header" ); 
            btnOK.Text = ResMan.GetString( "SelectTemplateListing.OK" ); 
            btnCancel.Text = ResMan.GetString( "SelectTemplateListing.Cancel" ); 
            title = ResMan.GetString( "SelectTemplateListing.Title" ); 
            ltlScript.Text = ""; 
            if ( !( Page.IsPostBack ) ) { 
                // fill list of available templates
                foreach ( System.Xml.XmlNode transTemp0 in GetXML().SelectNodes( "/templates/template" ) ) { 
                    node = transTemp0;  
                    this.lstTemplates.Items.Add( new ListItem( node.SelectSingleNode( "name" ).InnerText, node.Attributes[ "filename" ].Value ) ); 
                }
                if ( this.lstTemplates.Items.Count > 0 ) { 
                    this.lstTemplates.SelectedIndex = 0; 
                } 
                DisplaySelectedTemplate(); 
            } 
        } 
        
        
        
        private XmlDocument GetXML() { 
            XmlDocument xml = new XmlDocument(); 
            xml.Load( Functions.GetMetadataPath() + @"\_PageTemplates\pagetemplates.config" ); 
            return xml; 
        } 
        
        
        
        private void lstTemplates_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            DisplaySelectedTemplate(); 
        } 
        
        
        
        private void DisplaySelectedTemplate() { 
            XmlNode node = GetXML().SelectSingleNode( "/templates/template[@filename='" + this.lstTemplates.SelectedValue + "']" ); 
            if ( !( node == null ) ) { 
                this.lblTemplateName.Text = node.SelectSingleNode( "name" ).InnerText; 
                this.ltlTemplateDescription.Text = node.SelectSingleNode( "description" ).InnerText; 
            } 
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            RunScript( " opener.document.getElementById('CMSForm1__ctl0_MenuItemType_hidPageTemplateAspx').value = '" + Strings.Replace( this.lstTemplates.SelectedValue, "'", @"\'", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) + "'; " + "opener.document.getElementById('CMSForm1__ctl0_MenuItemType_txtPageTemplate').value = '" + Strings.Replace( this.lstTemplates.SelectedItem.Text, "'", @"\'", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) + "';window.close();" ); 
        } 
        
        
        
        private void RunScript( string script ) { 
            this.ltlScript.Text = @"<script language=""javascript"">"; 
            this.ltlScript.Text += script; 
            this.ltlScript.Text += "</script>"; 
        } 
        
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            RunScript( " window.close(); " ); 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
