<%@ Page Language="vb" AutoEventWireup="false" Codebehind="FileManagerEdit.aspx.cs" Inherits="Kentico.CMS.CMSDesk.FileManagerEdit" %>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>FileManagerEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/ManagingFiles/Edit_an_Existing_File_or_Folder"></uc1:helpicon></td>
				</tr>
			</table>
			<br>
			<asp:label id="lblInfo" runat="server"></asp:label><asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label><BR>
			<asp:panel id="pnlFile" runat="server">
				<asp:RadioButton id="radFileRename" runat="server" AutoPostBack="True" GroupName="File"></asp:RadioButton>
				<TABLE>
					<TR>
						<TD width="120">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:Label id="lblFileName" runat="server"></asp:Label>&nbsp;
						</TD>
						<TD>
							<asp:TextBox id="txtFileName" runat="server" CssClass="FormTextBox" Width="216px"></asp:TextBox></TD>
					</TR>
				</TABLE>
				<asp:RadioButton id="radFileUpdate" runat="server" AutoPostBack="True" GroupName="File"></asp:RadioButton>
				<TABLE>
					<TR>
						<TD width="120">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:Label id="lblFileUpdate" runat="server"></asp:Label></TD>
						<TD><INPUT class="FormUpload" id="upload" type="file" runat="server"></TD>
					</TR>
					<TR>
						<TD width="120"></TD>
						<TD>&nbsp;<BR>
							<asp:Button id="btnFileOK" runat="server" CssClass="FormButton"></asp:Button>&nbsp;
							<asp:Button id="btnFileCancel" runat="server" CssClass="FormButton"></asp:Button></TD>
					</TR>
				</TABLE>
			</asp:panel><asp:panel id="pnlFolder" runat="server">
<TABLE>
					<TR>
						<TD>
							<asp:Label id="lblFolderName" runat="server"></asp:Label></TD>
						<TD>
							<asp:TextBox id="txtFolderName" runat="server" CssClass="FormTextBox"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD></TD>
						<TD>
							<asp:Button id="btnFolderOK" runat="server" CssClass="FormButton"></asp:Button>&nbsp;
							<asp:Button id="btnFolderCancel" runat="server" CssClass="FormButton"></asp:Button></TD>
					</TR>
				</TABLE>&nbsp;</asp:panel></form>
		<script language="javascript">
				function Cancel(idpath)
				{
				  document.location.href = 'FileManagerListing.aspx?idpath=' + idpath;
				}
				
				function Refresh(idpath, parentidpath)
				{
				  parent.frames['header'].RefreshNodeAfterUpdate(idpath, parentidpath);
				}
		</script>
		<asp:literal id="ltlScript" runat="server"></asp:literal>
	</body>
</HTML>
