using System.IO; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class FileManagerProperties : System.Web.UI.Page { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileName; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileLastModified; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileNameValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileLastModifiedValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileSize; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblFileSizeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblTypeValue; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPath; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPathValue; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.Files", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.Files", "Read" ); 
                return; 
            } 
            
            lblHeader.Text = ResMan.GetString( "FileManagerProperties.Header" ); 
            lblFileName.Text = ResMan.GetString( "FileManagerProperties.FileName" ); 
            lblFileLastModified.Text = ResMan.GetString( "FileManagerProperties.FileLastModified" ); 
            lblFileSize.Text = ResMan.GetString( "FileManagerProperties.FileSize" ); 
            lblType.Text = ResMan.GetString( "FileManagerProperties.Type" ); 
            lblPath.Text = ResMan.GetString( "FileManagerProperties.Path" ); 
            
            string idpath = "" + Request.QueryString[ "idpath" ]; 
            FileInfo fileInf = null; 
            
            // get file or folder properties and display them
            fileInf = new FileInfo( Functions.GetFilesPath() + Strings.Replace( idpath + "", "/", @"\", 1, -1, (Microsoft.VisualBasic.CompareMethod)(0) ) ); 
            lblFileNameValue.Text = fileInf.Name; 
            lblFileLastModifiedValue.Text = fileInf.LastWriteTime.ToString(); 
            if ( ( fileInf.Attributes & FileAttributes.Directory ) != FileAttributes.Directory ) { 
                lblFileSizeValue.Text = fileInf.Length.ToString() + " B"; 
                lblTypeValue.Text = ResMan.GetString( "FileManagerProperties.Type.File" ); 
            } 
            else { 
                lblFileSizeValue.Text = ResMan.GetString( "FileManagerProperties.SizeNA" ); 
                lblTypeValue.Text = ResMan.GetString( "FileManagerProperties.Type.Folder" ); 
            } 
            this.lblPathValue.Text = idpath; 
        } 
        
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
