using Kentico.CMS.DataEngine; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class AllowedAdd : System.Web.UI.Page { 
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by btnSearch_Click
             
            btnSearch.Click += new System.EventHandler( btnSearch_Click ); 
            // events handled by btnOK_Click
             
            btnOK.Click += new System.EventHandler( btnOK_Click ); 
            // events handled by btnCancel_Click
             
            btnCancel.Click += new System.EventHandler( btnCancel_Click ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblHeader; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtSearch; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.ListBox lstClasses; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnSearch; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnOK; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Button btnCancel; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlScript; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Read" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Read" ); 
                return; 
            } 
            
            lblHeader.Text = ResMan.GetString( "AllowedAdd.Header" ); 
            btnCancel.Text = ResMan.GetString( "AllowedAdd.Cancel" ); 
            btnOK.Text = ResMan.GetString( "AllowedAdd.OK" ); 
            btnSearch.Text = ResMan.GetString( "AllowedAdd.Search" ); 
        } 
        
        
        
        private void btnSearch_Click( System.Object sender, System.EventArgs e ) { 
            GeneralConnection cn = new GeneralConnection(); 
            DataSet ds = null; 
            object[,] paramsIdent = new object[ 1, 3 ]; 
            
            // find all classes whose name contains specified string
            cn.ConnectionString = Functions.GetConnectionString(); 
            paramsIdent[ 0, 0 ] = "@ClassDisplayName"; 
            paramsIdent[ 0, 1 ] = txtSearch.Text; 
            ds = cn.ExecuteQuery( "CMS.Class.SelectLike", paramsIdent ); 
            lstClasses.DataSource = ds.Tables[ 0 ]; 
            lstClasses.DataTextField = "ClassDisplayName"; 
            lstClasses.DataValueField = "ClassID"; 
            lstClasses.DataBind(); 
        } 
        
        
        
        private void btnOK_Click( System.Object sender, System.EventArgs e ) { 
            // check permissions
            if ( !( Functions.IsAuthorizedPerResource( "CMS.MetaDesigner", "Modify" ) ) ) { 
                Functions.RedirectToAccessDenied( "CMS.MetaDesigner", "Modify" ); 
                return; 
            } 
            
            GeneralConnection cn = new GeneralConnection(); 
            ListItem item = null; 
            object[,] paramsIdent = new object[ 2, 3 ]; 
            
            // add selected classes among allowed child classes
            paramsIdent[ 0, 0 ] = "@ParentClassID"; 
            paramsIdent[ 0, 1 ] = int.Parse( "" + Request.QueryString[ "ClassID" ] ); 
            paramsIdent[ 1, 0 ] = "@ChildClassID"; 
            cn.ConnectionString = Functions.GetConnectionString(); 
            cn.DataConnection.Open(); 
            foreach ( System.Web.UI.WebControls.ListItem transTemp0 in lstClasses.Items ) { 
                item = transTemp0;  
                if ( item.Selected ) { 
                    paramsIdent[ 1, 1 ] = item.Value; 
                    cn.ExecuteQuery( "CMS.AllowedChildClasses.Insert", paramsIdent ); 
                } 
            }
            cn.DataConnection.Close(); 
            CloseWindow(); 
        } 
        
        
        
        private void CloseWindow() { 
            // redirects user back to the list of allowed classes
            ltlScript.Text = @"<script language=""javascript"">"; 
            ltlScript.Text += "  document.location.href = 'AllowedList.aspx?classid=" + "" + Request.QueryString[ "classid" ] + "';"; 
            ltlScript.Text += "</script>"; 
        } 
        
        
        
        private void btnCancel_Click( System.Object sender, System.EventArgs e ) { 
            CloseWindow(); 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
