<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="SettingsList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.SettingsList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>SettingsList</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
			</style>
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:BasicDataGrid id="Grid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False" SortField="Key"
				border="1" cellspacing="0" CellPadding="3" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<ItemTemplate>
							<img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick='javascript:Show(&quot;<%# DataBinder.Eval(Container.DataItem, "Fullkey") %>&quot;);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;Key&quot;) %>'>
							</asp:ImageButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="Key" SortExpression="Key" HeaderText="Key"></asp:BoundColumn>
					<asp:BoundColumn DataField="Value" SortExpression="Value" HeaderText="Value"></asp:BoundColumn>
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:BasicDataGrid>
			<script language="javascript">
			function Show(key)
			{			  
			  document.location.href = 'SettingsEdit.aspx?key=' + key;
			}		

			function ConfirmDelete()
			{			  
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}		
		
			function Reload()
			{			  
			  document.location.href = document.location.href;
			}
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
		</form>
	</body>
</HTML>
