<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" ValidateRequest="False" AutoEventWireup="false" Codebehind="TransformationEdit.aspx.cs" Inherits="Kentico.CMS.CMSDesk.TransformationEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>TransformationEdit</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/MetaDesigner/Classes/manage_transformations"></uc1:helpicon></td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">			
			<br>
			<asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label><asp:label id="lblInfo" runat="server"></asp:label>
			<table>
				<tr>
					<td><asp:label id="lblTransformationName" runat="server"></asp:label></td>
					<td><asp:textbox id="txtTransformationName" runat="server" CssClass="FormTextBox" Width="500px"></asp:textbox></td>
				</tr>
				<tr>
					<td><asp:label id="lblTransformationType" Runat="server"></asp:label></td>
					<td><asp:radiobutton id="radioASCXTransformation" EnableViewState="True" Runat="server" Checked="True" AutoPostBack="True" GroupName="groupType"></asp:radiobutton>
					<asp:radiobutton id="radioXSLTTransformation" EnableViewState="True" Runat="server" AutoPostBack="True" GroupName="groupType"></asp:radiobutton></td>
				</tr>
				<tr>
					<td><asp:label id="lblTransformationText" runat="server"></asp:label></td>
					<td>
						<P><asp:button id="btnUseDefault" runat="server" CssClass="FormButton200"></asp:button><br>
							<asp:textbox id="txtTransformation" runat="server" Columns="60" Rows="22" TextMode="MultiLine"></asp:textbox></P>
					</td>
				</tr>
				<tr>
					<td style="HEIGHT: 23px"></td>
					<td style="HEIGHT: 23px"><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button>&nbsp;
						<asp:button id="btnCancel" runat="server" CssClass="FormButton"></asp:button></td>
				</tr>
			</table>
			<script language="javascript">
				function Cancel(id)
				{
				  document.location.href='TransformationList.aspx?classid='+id;
				}
			</script>
			<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
			</form>
	</body>
</HTML>
