using Kentico.CMS.Form; 
using Kentico.CMS.TreeEngine; 
using System.Xml; 

using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
namespace Kentico.CMS.CMSDesk {
    public class CMS_MenuItemType : KentiFormUserControl { 
        
        
        #region '" Web Form Designer Generated Code "' 
        
        // This call is required by the Web Form Designer.
        [ System.Diagnostics.DebuggerStepThrough() ]
        private void InitializeComponent() { 
            
            // events handled by Page_Init
             
            //base.Init += new System.EventHandler( Page_Init ); 
            // events handled by Page_Load
             
            base.Load += new System.EventHandler( Page_Load ); 
            // events handled by drpMenuItemType_SelectedIndexChanged
             
            drpMenuItemType.SelectedIndexChanged += new System.EventHandler( drpMenuItemType_SelectedIndexChanged ); 
        } 
        
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.DropDownList drpMenuItemType; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPageTemplate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPageTemplate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Literal ltlSelectTemplate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPageTitle; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPageTitle; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPageDescription; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPageDescription; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblPageKeywords; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtPageKeywords; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlPageTemplate; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblMenuItemURL; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtMenuItemURL; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlPageURL; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblMenuItemJavaScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.TextBox txtMenuItemJavaScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Panel pnlJavaScript; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.WebControls.Label lblError; 
        protected /* TRANSINFO: WithEvents */ System.Web.UI.HtmlControls.HtmlInputHidden hidPageTemplateAspx; 
        
        // NOTE: The following placeholder declaration is required by the Web Form Designer.
        // Do not delete or move it.
        private System.Object designerPlaceholderDeclaration; 
        
        private void Page_Init( System.Object sender, System.EventArgs e ) { 
            // CODEGEN: This method call is required by the Web Form Designer
            // Do not modify it using the code editor.
            InitializeComponent(); 
        } 
        
        
        #endregion 
        
        private void Page_Load( System.Object sender, System.EventArgs e ) { 
            XmlNode node = null; 
            lblMenuItemURL.Text = ResMan.GetString( "MenuItem_Edit.MenuItemURL" ); 
            lblMenuItemJavaScript.Text = ResMan.GetString( "MenuItem_Edit.MenuItemJavaScript" ); 
            if ( drpMenuItemType.Items.Count == 0 ) { 
                drpMenuItemType.Items.Add( new ListItem( ResMan.GetString( "MenuItem_Edit.UsePageTemplate" ), "1" ) ); 
                drpMenuItemType.Items.Add( new ListItem( ResMan.GetString( "MenuItem_Edit.UsePageURL" ), "2" ) ); 
                drpMenuItemType.Items.Add( new ListItem( ResMan.GetString( "MenuItem_Edit.UseJavaScript" ), "3" ) ); 
            } 
            lblPageTemplate.Text = ResMan.GetString( "MenuItem_Edit.PageTemplate" ); 
            lblPageTitle.Text = ResMan.GetString( "MenuItem_Edit.PageTitle" ); 
            lblPageKeywords.Text = ResMan.GetString( "MenuItem_Edit.PageKeywords" ); 
            lblPageDescription.Text = ResMan.GetString( "MenuItem_Edit.PageDescription" ); 
            ltlSelectTemplate.Text = @"<input type=""button"" class=""FormButton"" onclick=""window.open('SelectTemplateListing.aspx', '_blank', 'height=400,width=600,left=50,top=50,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');"" value=""" + ResMan.GetString( "MenuItem_Edit.SelectTemplate" ) + @""">"; 
            if ( this.Enabled == false ) { 
                this.drpMenuItemType.Enabled = false; 
            } 
            
            HideAllPanels(); 
            SetValues(); 
        } 
        
        
        private XmlDocument GetXML() { 
            XmlDocument xml = new XmlDocument(); 
            xml.Load( Functions.GetMetadataPath() + @"\_PageTemplates\pagetemplates.config" ); 
            return xml; 
        } 
        
        
        
        public override object Value { 
            get { 
                return this.drpMenuItemType.SelectedValue; 
            } 
            set { 
                
            } 
        } 
        
        
        public override object[,] GetOtherValues() { 
            object[,] result = new object[ 6, 2 ]; 
            switch ( this.drpMenuItemType.SelectedValue ) {
                case "1":
                    result[ 0, 0 ] = "MenuItemJavaScript"; 
                    result[ 0, 1 ] = null; 
                    result[ 1, 0 ] = "MenuItemURL"; 
                    result[ 1, 1 ] = null; 
                    result[ 2, 0 ] = "MenuItemPageTemplate"; 
                    result[ 2, 1 ] = this.hidPageTemplateAspx.Value; 
                    result[ 3, 0 ] = "MenuItemPageTitle"; 
                    result[ 3, 1 ] = this.txtPageTitle.Text; 
                    result[ 4, 0 ] = "MenuItemPageKeyWords"; 
                    result[ 4, 1 ] = this.txtPageKeywords.Text; 
                    result[ 5, 0 ] = "MenuItemPageDescription"; 
                    result[ 5, 1 ] = this.txtPageDescription.Text; 
                    break;
                case "2":
                    result[ 0, 0 ] = "MenuItemJavaScript"; 
                    result[ 0, 1 ] = null; 
                    result[ 1, 0 ] = "MenuItemURL"; 
                    result[ 1, 1 ] = this.txtMenuItemURL.Text; 
                    result[ 2, 0 ] = "MenuItemPageTemplate"; 
                    result[ 2, 1 ] = null; 
                    result[ 3, 0 ] = "MenuItemPageTitle"; 
                    result[ 3, 1 ] = null; 
                    result[ 4, 0 ] = "MenuItemPageKeyWords"; 
                    result[ 4, 1 ] = null; 
                    result[ 5, 0 ] = "MenuItemPageDescription"; 
                    result[ 5, 1 ] = null; 
                    break;
                case "3":
                    result[ 0, 0 ] = "MenuItemJavaScript"; 
                    result[ 0, 1 ] = this.txtMenuItemJavaScript.Text; 
                    result[ 1, 0 ] = "MenuItemURL"; 
                    result[ 1, 1 ] = null; 
                    result[ 2, 0 ] = "MenuItemPageTemplate"; 
                    result[ 2, 1 ] = null; 
                    result[ 3, 0 ] = "MenuItemPageTitle"; 
                    result[ 3, 1 ] = null; 
                    result[ 4, 0 ] = "MenuItemPageKeyWords"; 
                    result[ 4, 1 ] = null; 
                    result[ 5, 0 ] = "MenuItemPageDescription"; 
                    result[ 5, 1 ] = null; 
                    break;
            }
            
            return result; 
        } 
        
        
        
        public override bool IsValid() { 
            string errorMessage = ""; 
            
            switch ( this.drpMenuItemType.SelectedValue ) {
                case "1":
                    if ( this.txtPageTemplate.Text.Trim() + "" == "" ) { 
                        errorMessage += ResMan.GetString( "MenuItem_Edit.ErrorPageTemplateEmpty" ); 
                    } 
                    break;
                case "2":
                    if ( this.txtMenuItemURL.Text.Trim() + "" == "" ) { 
                        errorMessage += ResMan.GetString( "MenuItem_Edit.ErrorPageURLEmpty" ); 
                    } 
                    break;
                case "3":
                    if ( this.txtMenuItemJavaScript.Text.Trim() + "" == "" ) { 
                        errorMessage += ResMan.GetString( "MenuItem_Edit.ErrorJavaScriptEmpty" ); 
                    } 
                    break;
            }
            
            
            this.lblError.Text = errorMessage; 
            if ( errorMessage + "" == "" ) { 
                return true; 
            } 
            else { 
                return false; 
            } 
        } 
        
        
        
        private void drpMenuItemType_SelectedIndexChanged( System.Object sender, System.EventArgs e ) { 
            HideAllPanels(); 
            switch ( drpMenuItemType.SelectedValue.ToLower() ) {
                case "1":
                    this.pnlPageTemplate.Visible = true; 
                    break;
                case "2":
                    this.pnlPageURL.Visible = true; 
                    break;
                case "3":
                    this.pnlJavaScript.Visible = true; 
                    break;
            }
            
        } 
        
        
        
        private void HideAllPanels() { 
            pnlJavaScript.Visible = false; 
            pnlPageTemplate.Visible = false; 
            pnlPageURL.Visible = false; 
        } 
        
        
        
        private void SetValues() { 
            XmlNode node = null; 
            if ( !( ViewState[ "ValuesSet" ] == null ) ) { 
                switch ( this.drpMenuItemType.SelectedValue ) {
                    case "2":
                        this.pnlPageURL.Visible = true; 
                        break;
                    case "3":
                        this.pnlJavaScript.Visible = true; 
                        break;
                    default:
                        this.pnlPageTemplate.Visible = true; 
                        break;
                }
                
                return; 
            } 
            
            txtMenuItemURL.Text = GetDRValue( "MenuItemURL" ); 
            txtMenuItemJavaScript.Text = GetDRValue( "MenuItemJavaScript" ); 
            txtPageTitle.Text = GetDRValue( "MenuItemPageTitle" ); 
            hidPageTemplateAspx.Value = GetDRValue( "MenuItemPageTemplate" ); 
            node = GetXML().SelectSingleNode( "/templates/template[@filename='" + GetDRValue( "MenuItemPageTemplate" ) + "']" ); 
            if ( !( node == null ) && !( node.SelectSingleNode( "name" ) == null ) ) { 
                txtPageTemplate.Text = node.SelectSingleNode( "name" ).InnerText; 
            } 
            else { 
                txtPageTemplate.Text = hidPageTemplateAspx.Value; 
            } 
            txtPageKeywords.Text = GetDRValue( "MenuItemPageKeyWords" ); 
            txtPageDescription.Text = GetDRValue( "MenuItemPageDescription" ); 
            if ( !( ( DataDR[ "MenuItemURL" ] == DBNull.Value ) ) && Strings.Trim( GetDRValue( "MenuItemURL" ) ) + "" != "" ) { 
                drpMenuItemType.SelectedValue = "2"; 
                pnlPageURL.Visible = true; 
            } 
            else if ( !( ( DataDR[ "MenuItemJavaScript" ] == DBNull.Value ) ) && Strings.Trim( GetDRValue( "MenuItemJavaScript" ) ) + "" != "" ) { 
                drpMenuItemType.SelectedValue = "3"; 
                pnlJavaScript.Visible = true; 
            } 
            else { 
                drpMenuItemType.SelectedValue = "1"; 
                pnlPageTemplate.Visible = true; 
            } 
            ViewState[ "ValuesSet" ] = true; 
        } 
        
        
        
        private string GetDRValue( string columnName ) { 
            if ( DataDR[ columnName ] == DBNull.Value ) { 
                return ""; 
            } 
            else { 
                return System.Convert.ToString( DataDR[ columnName ] ); 
            } 
        } 
        
        #region " Web Form Designer Generated Code "
        protected override void OnInit( EventArgs e ) { 
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
            base.OnInit( e );
        } 
        
        #endregion 
    } 
    
    
} 
