<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="SubscriberList.aspx.cs" Inherits="Kentico.CMS.CMSDesk.SubscriberList" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>SubscriberList</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../../../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<div class="FormHeader"><asp:Label Runat="server" ID="lblHeader"></asp:Label></div>
			<asp:Button id="btnNew" Runat="server"></asp:Button>
			<cc2:QueryDataGrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="True" AllowSorting="True" SortField="SubscriberFullName" CellPadding="0" OnDeleteCommand="DeleteItem">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<itemtemplate>
							<img title="<%=editHint%>" src="../../../design/buttons/editItem.gif" onclick='javascript:ShowSubscriber(<%# DataBinder.Eval(Container.DataItem, "SubscriberID") %>);' style="cursor:hand">
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../../../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "SubscriberID") %>'>
							</asp:ImageButton>
							<img title="<%=newslettersHint%>" src="../../../design/buttons/newsletters.gif" onclick='javascript:EditNewsletters(<%# DataBinder.Eval(Container.DataItem, "SubscriberID") %>);' style="cursor:hand">
						</itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="SubscriberFullName" SortExpression="SubscriberFullName" HeaderText="Full Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="SubscriberEmail" SortExpression="SubscriberEmail" HeaderText="E-mail">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="SubscriberFirstName" SortExpression="SubscriberFirstName" HeaderText="First Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="SubscriberLastName" SortExpression="SubscriberLastName" HeaderText="Last Name">
						<HeaderStyle Width=""></HeaderStyle>
					</asp:BoundColumn>
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:QueryDataGrid>
			<script language="javascript">
			function ShowSubscriber(id)
			{
			  document.location.href='EditSubscriber.aspx?id=' + id;
			}

			function EditNewsletters(id)
			{
			  document.location.href='EditNewsletters.aspx?subscriberid=' + id;
			}
			
			function NewSubscriber()
			{
			  document.location.href='subscribers/EditSubscriber.aspx';
			}

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			</script>
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
