<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="History.aspx.vb" Inherits="Kentico.CMS.CMSDesk.History"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>History</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%" id="Content">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/managingcontent/DocumentHistory"></uc1:helpicon></td>
				</tr>
			</table>
			<BR>
			<asp:label id="lblInfo" runat="server" Visible="False"></asp:label>
			<table width="100%">
				<tr>
					<td align="left"><asp:label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:label></td>
					<td align="right"><asp:button id="btnDestroyHistory" runat="server" CssClass="FormButton200"></asp:button>&nbsp;&nbsp;</td>
				</tr>
			</table>
			<div style="POSITION: relative; top:10px;"><cc1:querydatagrid id="QueryDataGrid1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
					ProcessSorting="False" QueryName="cms.versionhistory.selecthistory" SortField="VersionHistoryID" CellPadding="3" CssClass="ListingTableContentFull">
					<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
					<ItemStyle CssClass="ListingTableItem"></ItemStyle>
					<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn>
							<HeaderStyle Width="80px"></HeaderStyle>
							<ItemTemplate>
								<IMG title="<%=viewHint%>" style="CURSOR: hand" onclick='javascript:ShowHistoryVersion(<%# DataBinder.Eval(Container.DataItem, "VersionHistoryID") %> );' src="../design/buttons/view.gif">
								<% if allowRollback then %>
								<IMG title="<%=rollbackHint%>" style="CURSOR: hand" onclick='javascript:RollbackVersion(<%# DataBinder.Eval(Container.DataItem, "VersionHistoryID") %>, <%# DataBinder.Eval(Container.DataItem, "NodeID") %> );' src="../design/buttons/rollback.gif"><% end if %>
								<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;versionhistoryid&quot;) %>'>
								</asp:ImageButton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="ModifiedWhen">
							<HeaderStyle Width="100px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="ModifiedByUserFullName">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="VersionNumber">
							<HeaderStyle Width="50px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="VersionComment">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="PublishFrom" SortExpression="PublishFrom">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="PublishTo" SortExpression="PublishTo">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="WasPublishedFrom">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="WasPublishedTo">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
					</Columns>
				</cc1:querydatagrid></div>
			<br>
			&nbsp;<br>
		</form>
		<script language="javascript">
		function ShowHistoryVersion(versionHistoryId)
		{
		  window.open('ShowHistoryVersion.aspx?versionHistoryId=' + versionHistoryId, '_blank', 'height=400,width=600,left=200,top=100,location=no,menubar=no,resizable=yes,scrollbars=yes,status=no,titlebar=yes,toolbar=no');			 
		}
		
		function RollbackVersion(versionHistoryId, nodeId)
		{
		  document.location.href = 'Rollback.aspx?versionHistoryId=' + versionHistoryId + '&nodeid=' + nodeId +'&idpath=<%=Kentico.CMS.CMSDesk.Functions.RequestQueryString("idpath")%>&culture=<%=Kentico.CMS.CMSDesk.Functions.RequestQueryString("culture")%>';
		}	
		</script>
		<script language="javascript">

			function ConfirmDestroy()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}						
		</script>
		<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
	</body>
</HTML>
