<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Listing.aspx.vb" Inherits="Kentico.CMS.CMSDesk.Listing"%>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Listing</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<table width="100%">
				<tr>
					<td align="left"><asp:imagebutton id="ImageButton1" runat="server" ImageUrl="../design/images/folderup.gif"></asp:imagebutton><asp:label id="Label1" runat="server" Font-Size="Medium">..</asp:label></td>
					<td align="right"><asp:label id="lblSearchFor" runat="server"></asp:label><asp:textbox id="txtSearchFor" runat="server" CssClass="FormTextBox"></asp:textbox>
						<asp:button id="btnSearch" runat="server" CssClass="FormButton"></asp:button>&nbsp;&nbsp;
					</td>
				</tr>
			</table>
			<cc1:cmsdatagrid id="CMSDataGrid1" runat="server" CellPadding="3" CssClass="ListingTable" SortField="NodeName"
				AllowSorting="True" AllowPaging="True" AutoGenerateColumns="False" SelectOnlyPublishedNodes="False"
				SelectNodesPathType="AliasPath">
				<SelectedItemStyle CssClass="selectedListingItem"></SelectedItemStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<Columns>
					<asp:TemplateColumn SortExpression="NodeName" HeaderText="NodeName">
						<ItemTemplate>
							<asp:LinkButton runat="server" id="UnfoldButton" CommandName="Unfold" CausesValidation="false" CssClass="clickLink" Text='<%# DataBinder.Eval(Container, "DataItem.NodeName") %>'>
							</asp:LinkButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ClassDisplayName" SortExpression="ClassDisplayName" HeaderText="Type">
						<HeaderStyle Width="25%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn DataField="ModifiedWhen" SortExpression="ModifiedWhen" HeaderText="Modified">
						<HeaderStyle Width="20%"></HeaderStyle>
					</asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="IDPath" SortExpression="IDPath" HeaderText="IDPath"></asp:BoundColumn>
				</Columns>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc1:cmsdatagrid><asp:label id="lblRedirect" runat="server" Visible="False"></asp:label>
			<asp:Literal id="ltlScript" runat="server"></asp:Literal>
			</form>
		<script language="javascript">
				function unfold(idpath)
				{
					try
					{
						parent.frames['header'].RefreshAfterInsert(idpath, document.getElementById('parentIdPath').value);
					}
					catch (e)
					{
					}
				}
		</script>
		<input type="hidden" id="parentIdPath" value='<%=Kentico.CMS.CMSDesk.Functions.RequestQueryString("idpath")%>'>
	</body>
</HTML>
