<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Properties.aspx.vb" Inherits="Kentico.CMS.CMSDesk.Properties"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Properties</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%" id="Content">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" RootPath=".." HelpTopic="/ManagingContent/Edit_Document_Properties"></uc1:helpicon></td>
				</tr>
			</table>
			<div class="ContentLeftMarginDiv"></div>
			<div class="ContentRightDiv">		
			<asp:label id="lblInfo" runat="server"></asp:label><asp:label id="lblError" runat="server" CssClass="FormErrorLabel" Visible="False"></asp:label><BR>
			<table>
				<tr>
					<td style="WIDTH: 150px"><asp:label id="lblNodeName" runat="server"></asp:label></td>
					<td><asp:label id="lblNodeNameValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblNodeAlias" runat="server"></asp:label></td>
					<td><asp:textbox id="txtNodeAlias" runat="server" CssClass="FormTextBox" MaxLength="30"></asp:textbox>&nbsp;
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblNodeType" runat="server"></asp:label></td>
					<td><asp:label id="lblNodeTypeValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblCreatedWhen" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblCreatedWhenValue" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblCreatedBy" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblCreatedByValue" runat="server"></asp:Label></td>
				</tr>
				<tr>
					<td><asp:label id="lblLastModified" runat="server"></asp:label></td>
					<td><asp:label id="lblLastModifiedValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblModifiedBy" runat="server"></asp:label></td>
					<td><asp:label id="lblModifiedByValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td></td>
					<td><asp:button id="btnOK" runat="server" CssClass="FormButton"></asp:button></td>
				</tr>
			</table>
			<P><asp:literal id="ltlShowAdvanced" runat="server"></asp:literal></P>
			<table id="advanced">
				<tr>
					<td style="WIDTH: 150px; HEIGHT: 18px"><asp:label id="lblNodeIDPath" runat="server"></asp:label></td>
					<td style="HEIGHT: 18px"><asp:label id="lblNodeIDPathValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td><asp:label id="lblNodeAliasPath" runat="server"></asp:label></td>
					<td><asp:label id="lblNodeAliasPathValue" runat="server"></asp:label></td>
				</tr>
				<tr>
					<td>
						<asp:Label id="lblNodeNamePath" runat="server"></asp:Label></td>
					<td>
						<asp:Label id="lblNodeNamePathValue" runat="server"></asp:Label></td>
				</tr>
			</table>
			<asp:literal id="ltlScript" runat="server"></asp:literal>
			</div>
		</form>
	</body>
</HTML>
