<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.TreeEngine" Assembly="Kentico.CMS.TreeEngine" %>
<%@ Register TagPrefix="cc1" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Publish.aspx.vb" Inherits="Kentico.CMS.CMSDesk.Publish"%>
<%@ Register TagPrefix="uc1" TagName="HelpIcon" Src="../Help/HelpIcon.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Publish</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%" id="Content">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td align="right"><uc1:helpicon id="HelpIcon1" runat="server" HelpTopic="/managingcontent/Publish_Approve" RootPath=".."></uc1:helpicon></td>
				</tr>
			</table>
			<p>
				<br>
				<asp:label id="lblInfo" runat="server"></asp:label>
				<asp:Label id="lblError" runat="server" CssClass="FormErrorLabel"></asp:Label></p>
			<asp:panel id="pnlMain" runat="server">
				<TABLE width="100%">
					<TR vAlign="top">
						<TD width="50%">
							<asp:Label id="lblApprove" runat="server" CssClass="FormFieldLabel"></asp:Label>
							<asp:Panel id="pnlForm" runat="server">
								<asp:Label id="lblComment" runat="server"></asp:Label>
								<BR>
								<asp:TextBox id="txtComment" runat="server" Rows="5" Columns="50" Width="300px" TextMode="MultiLine"></asp:TextBox>
								<BR>
								<asp:Label id="lblSendMail" runat="server"></asp:Label>
								<asp:CheckBox id="chkSendMail" runat="server" Checked="True"></asp:CheckBox>
								<TABLE>
									<TR vAlign="top">
										<TD>
											<asp:panel id="pnlSubmitToApprove" runat="server">
												<TABLE>
													<TR vAlign="top">
														<TD>
															<asp:Button id="btnSubmitToApprove" runat="server" CssClass="FormButton"></asp:Button></TD>
													</TR>
												</TABLE>
											</asp:panel>
											<asp:panel id="pnlApprove" runat="server">
												<TABLE>
													<TR vAlign="top">
														<TD width="50%">
															<asp:Button id="btnApprove" runat="server" CssClass="FormButton"></asp:Button></TD>
														<TD align="right" width="50%">
															<asp:Button id="btnReject" runat="server" CssClass="FormButton"></asp:Button></TD>
													</TR>
												</TABLE>
											</asp:panel></TD>
										<TD>
											<TABLE>
												<TR vAlign="top">
													<TD>
														<asp:Button id="btnCancel" runat="server" CssClass="FormButton" Visible="False"></asp:Button></TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TABLE>
							</asp:Panel></TD>
						<TD width="50%">
							<asp:label id="lblWorkflowSteps" runat="server" CssClass="FormFieldLabel"></asp:label><BR>
							&nbsp;<BR>
							<asp:DataGrid id="DataGrid1" runat="server" CssClass="ListingTableContent" CellPadding="1" AutoGenerateColumns="False">
								<ItemStyle CssClass="ListingTableItem"></ItemStyle>
								<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
								<Columns>
									<asp:TemplateColumn>
										<HeaderStyle Width="30px"></HeaderStyle>
									</asp:TemplateColumn>
									<asp:BoundColumn DataField="StepOrder">
										<HeaderStyle Width="100px"></HeaderStyle>
									</asp:BoundColumn>
									<asp:BoundColumn DataField="StepDisplayName">
										<HeaderStyle Width="270px"></HeaderStyle>
									</asp:BoundColumn>
								</Columns>
								<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
							</asp:DataGrid></TD>
					</TR>
				</TABLE>
				<BR>
				<asp:label id="lblWorkflowHistory" runat="server" CssClass="FormFieldLabel"></asp:label>
				<asp:datagrid id="DataGrid2" runat="server" CssClass="ListingTable" CellPadding="3" AutoGenerateColumns="False">
					<ItemStyle CssClass="ListingTableItem"></ItemStyle>
					<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
					<Columns>
						<asp:BoundColumn DataField="ApprovedWhen">
							<HeaderStyle Width="130px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="StepDisplayName">
							<HeaderStyle Width="100px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="ApprovedByUserFullName">
							<HeaderStyle Width="200px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Comment">
							<HeaderStyle Width="300px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:TemplateColumn>
							<HeaderStyle Width="100px"></HeaderStyle>
							<ItemTemplate>
								<asp:Label runat="server"></asp:Label>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:TextBox runat="server"></asp:TextBox>
							</EditItemTemplate>
						</asp:TemplateColumn>
					</Columns>
					<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				</asp:datagrid>
			</asp:panel>
			<asp:Literal id="ltlSetModeScript" runat="server"></asp:Literal>
		</form>
	</body>
</HTML>
