<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Relationships.aspx.vb" Inherits="Kentico.CMS.CMSDesk.Relationships"%>
<%@ Register TagPrefix="cc3" Namespace="Kentico.CMS.DataEngine" Assembly="Kentico.CMS.DataEngine" %>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Relationships</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>		
			<BR>
			<asp:button id="btnAddRelationship" runat="server" Width="152px" CssClass="FormButton"></asp:button><BR>
			<BR>
			<cc2:querydatagrid id="QueryDataGrid1" runat="server" CssClass="ListingTable" ProcessSorting="False"
				QueryName="CMS.Relationship.SelectRelationshipsOfNode" OnDeleteCommand="DeleteItem" CellPadding="3"
				border="1" SortField="LeftNodeName" AllowSorting="True" AllowPaging="True" AutoGenerateColumns="False">
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
						<HeaderStyle Width="100px"></HeaderStyle>
						<ItemTemplate>
							<asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, &quot;UniqueID&quot;) %>'>
							</asp:ImageButton>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn SortExpression="LeftNodeName" HeaderText="LeftNodeName">
						<ItemTemplate>
							<a style="color:blue;text-decoration:underline;cursor:hand" target="desktop" href='contentframeset.aspx?expandmode=view&expandidpath=<%# DataBinder.Eval(Container, "DataItem.LeftIDPath") %>'>
								<%# DataBinder.Eval(Container, "DataItem.LeftNodeName") %>
							</a>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox id=TextBox1 runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.LeftNodeName") %>'>
							</asp:TextBox>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="RelationshipDisplayName" SortExpression="RelationshipDisplayName" HeaderText="RelationshipDisplayName"></asp:BoundColumn>
					<asp:TemplateColumn SortExpression="RightNodeName" HeaderText="RightNodeName">
						<ItemTemplate>
							<a style="color:blue;text-decoration:underline;cursor:hand" target="desktop" href='contentframeset.aspx?expandmode=view&expandidpath=<%# DataBinder.Eval(Container, "DataItem.RightIDPath") %>'>
								<%# DataBinder.Eval(Container, "DataItem.RightNodeName") %>
							</a>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox id=TextBox2 runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.RightNodeName") %>'>
							</asp:TextBox>
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</cc2:querydatagrid>
			<script language="javascript">
			function ShowRelName(id, nodeid)
			{
			  document.location.href = 'EditRelationship.aspx?id=' + id + '&mainnodeid=' + nodeid ;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			
			function DeleteDenied()
			{
				alert(document.getElementById('confirmationText').value);
			}
			</script>
			<asp:literal id="ltlConfirmScript" Runat="server"></asp:literal><asp:literal id="ltlScript" runat="server"></asp:literal>
			</form>
	</body>
</HTML>
