<%@ Page Language="vb" AutoEventWireup="false" Codebehind="PageTemplateList.aspx.vb" Inherits="Kentico.CMS.CMSDesk.PageTemplateList"%>
<%@ Register TagPrefix="cc2" Namespace="Kentico.CMS.CMSControls" Assembly="Kentico.CMS.CMSControls" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>PageTemplateList</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Design/CMSDesk.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<style type="text/css">
			A { COLOR: black; TEXT-DECORATION: none }
		</style>
		<form id="Form1" method="post" runat="server">
			<table class="FormHeader" width="100%">
				<tr>
					<td class="FormHeaderText" align="left"><asp:label id="lblHeader" runat="server"></asp:label></td>
					<td class="FormHeaderText" align="right"></td>
				</tr>
			</table>
			<cc2:BasicDataGrid id="BasicDataGrid1" runat="server" CssClass="ListingTable" AutoGenerateColumns="False"
				AllowPaging="False" AllowSorting="False" SortField="name" border=1 cellspacing=0 CellPadding="3" OnDeleteCommand="DeleteItem" ProcessSorting="True">
				<ItemStyle CssClass="ListingTableItem"></ItemStyle>
				<HeaderStyle CssClass="ListingTableHeader"></HeaderStyle>
				<Columns>
					<asp:TemplateColumn HeaderText="Action">
					  <HeaderStyle Width="100px"></HeaderStyle>
					  <itemtemplate>
					    <img title="<%=editHint%>" src="../design/buttons/editItem.gif" onclick="javascript:ShowPageTemplate('<%# DataBinder.Eval(Container.DataItem, "filename") %>');" style="cursor:hand"><asp:ImageButton Runat="server" ID="btnDelete" ImageUrl="../design/buttons/deleteItem.gif" CommandName="Delete" CommandArgument="<%# DataBinder.Eval(Container.DataItem, &quot;filename&quot;) %>"></asp:ImageButton>
					  </itemtemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="name" SortExpression="name" HeaderText=""><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>
					<asp:BoundColumn DataField="filename" SortExpression="filename" HeaderText=""><HeaderStyle Width=""></HeaderStyle></asp:BoundColumn>					
				</Columns>
				<PagerStyle CssClass="ListingTablePager" Mode="NumericPages"></PagerStyle>
			</cc2:BasicDataGrid>
			<script language="javascript">
			function ShowPageTemplate(filename)
			{
			  document.location.href = 'PageTemplateEdit.aspx?filename=' + filename;
			}		

			function ConfirmDelete()
			{
			  if (confirm(document.getElementById('confirmationText').value) == true)
				return true;
			  else
				return false;
			}
			</script>			
			<asp:Literal Runat="server" ID="ltlConfirmScript"></asp:Literal>
		</form>
	</body>
</HTML>
