Imports System.Threading


'''<summary>Resource manager class that retrieves localized strings from resources.</summary>
Public Class ResMan
    Private Shared mResMan As Kentico.ResourceManager.FileResourceManager

    '''<summary>Returns specified string from the resources.</summary>
    '''<param name="stringName">Name of the string.</param>
    Public Shared Function GetString(ByVal stringName As String) As String
        If mResMan Is Nothing Then
            mResMan = New Kentico.ResourceManager.FileResourceManager(HttpContext.Current.Server.MapPath("~/cms_resources/WebProject.resx"))
        End If
        Return mResMan.GetString(stringName, Functions.GetPreferredCulture)
    End Function
End Class
